PROMPT Lanzar Procedimiento FORMATEAR_NUMBER_DECIMAL

create or replace FUNCTION FORMATEAR_NUMBER_DECIMAL (IN_NUMBER IN VARCHAR2) RETURN NUMBER AS 

n_NUMBER NUMBER(13,2);
v_NUMBER VARCHAR(20);
n_auxiliar NUMBER;
n_contador NUMBER;
n_numeroDecimales NUMBER;
n_divisor NUMBER;

BEGIN

n_auxiliar := INSTR(IN_NUMBER, ','); -- Aqu obtenemos la posicin de la coma (,)

n_divisor := 1;

IF (n_auxiliar <> 0) THEN -- Si tenemos decimales
    n_numeroDecimales := LENGTH(IN_NUMBER) - n_auxiliar;

    n_contador := 0;

    WHILE (n_contador < n_numeroDecimales)
    LOOP

        n_divisor := n_divisor * 10;
        n_contador := n_contador + 1;
   
    END LOOP;

END IF;

v_NUMBER := REPLACE(REPLACE(IN_NUMBER,',',''),'.','');
n_NUMBER := TO_NUMBER (v_NUMBER);

n_NUMBER := n_NUMBER / n_divisor;

RETURN n_NUMBER;

EXCEPTION
WHEN OTHERS THEN
BEGIN
    ROLLBACK;
    
    RAISE;
    
    END;
    
END FORMATEAR_NUMBER_DECIMAL;

/