PROMPT Modificacion Tabla (AB6122T00)

ALTER TABLE AB6122T00  ADD (ID_DOCUMENTO         NUMBER(8) NULL);
ALTER TABLE AB6122T00  ADD (FECHA_ULTMODIFICACION DATE NULL);
ALTER TABLE AB6122T00  ADD (USUARIO_ULTMODIFICACION VARCHAR2(20 CHAR) NULL);

COMMENT ON COLUMN AB6122T00.ID_DOCUMENTO IS 'Identificador interno del Documento';
COMMENT ON COLUMN AB6122T00.FECHA_ULTMODIFICACION IS 'Fecha de la ltima modificacin del registro';
COMMENT ON COLUMN AB6122T00.USUARIO_ULTMODIFICACION IS 'Usuario que ha realizado la ltima modificacin del registro';


CREATE  INDEX FK_AB6122T02 ON AB6122T00(ID_DOCUMENTO   ASC);
ALTER TABLE AB6122T00	ADD (CONSTRAINT FK_AB6139T00_AB6122T00 FOREIGN KEY (ID_DOCUMENTO) REFERENCES AB6139T00 (ID_DOCUMENTO));