PROMPT Creacion de 	Tabla (AB6140T00)


CREATE TABLE AB6140T00
(
	ID_PARAMETRO_CONFIG  NUMBER(8) NOT NULL ,
	DESCRIPCION          VARCHAR2(200 CHAR) NULL ,
	VALOR                VARCHAR2(200 CHAR) NULL ,
	FECHA_REGISTRO       DATE NULL ,
	USUARIO_REGISTRO     VARCHAR2(20 CHAR) NULL 
)
	TABLESPACE AB6101E00;

COMMENT ON TABLE AB6140T00 IS 'Tabla para almacenar los Parmetros de Configuracin de AB61';
COMMENT ON COLUMN AB6140T00.ID_PARAMETRO_CONFIG IS 'Identificador interno del Parmetro de Configuracin';
COMMENT ON COLUMN AB6140T00.DESCRIPCION IS 'Descripcin del Parmetro de Configuracin';
COMMENT ON COLUMN AB6140T00.VALOR IS 'Valor del Parmetro de Configuracin';
COMMENT ON COLUMN AB6140T00.FECHA_REGISTRO IS 'Fecha cuando se ha almacenado el registro';
COMMENT ON COLUMN AB6140T00.USUARIO_REGISTRO IS 'Usuario que ha almacenado el registro';


CREATE SYNONYM PARAMETROS_CONFIG	 FOR AB6140T00;


CREATE UNIQUE INDEX PK_AB6140T00 ON AB6140T00(ID_PARAMETRO_CONFIG   ASC);
ALTER TABLE AB6140T00	ADD CONSTRAINT  PK_AB6140T00 PRIMARY KEY (ID_PARAMETRO_CONFIG);