PROMPT Creacion de 	Tabla (AB6141T00)


CREATE TABLE AB6141T00
(
	ID_CONFIG_EVENTOS    NUMBER(8) NOT NULL ,
	TIPO_EVENTO          VARCHAR2(20 CHAR) NULL ,
	PLATEA_TYPE          VARCHAR2(50 CHAR) NULL ,
	PLATEA_SUBTYPE       VARCHAR2(64 CHAR) NULL ,
	CONFIGURACION        NUMBER(1) NULL ,
	FECHA_REGISTRO       DATE NULL ,
	USUARIO_REGISTRO     VARCHAR2(20 CHAR) NULL 
)
	TABLESPACE AB6101E00;


COMMENT ON TABLE AB6141T00 IS 'Tabla de Configuracin de Eventos para determinar qu Eventos almacenamos y saber dnde ir a por la Solicitud (ejgvDocument)';
COMMENT ON COLUMN AB6141T00.ID_CONFIG_EVENTOS IS 'Identificador interno de la Configuracin del Evento';
COMMENT ON COLUMN AB6141T00.PLATEA_TYPE IS 'Identificador de PLATEATYPE (de PLATEA) al que pertenece la configuracin';
COMMENT ON COLUMN AB6141T00.PLATEA_SUBTYPE IS 'Identificador de SUBPLATEATYPE (de PLATEA) al que pertenece la configuracin';
COMMENT ON COLUMN AB6141T00.CONFIGURACION IS 'Identificador de la Condiguracin:
1: getRequestInformation (PLATEA)
2: retrieveDocument (DOKUSI)';
COMMENT ON COLUMN AB6141T00.FECHA_REGISTRO IS 'Fecha cuando se ha almacenado el registro';
COMMENT ON COLUMN AB6141T00.USUARIO_REGISTRO IS 'Usuario que ha almacenado el registro';
COMMENT ON COLUMN AB6141T00.TIPO_EVENTO IS 'Tipo de Evento de Procedimiento (de PLATEA) al que pertenece la configuracin';


CREATE SYNONYM CONFIG_EVENTOS	 FOR AB6141T00;


CREATE UNIQUE INDEX PK_AB6141T00 ON AB6141T00(ID_CONFIG_EVENTOS   ASC) TABLESPACE AB6102E00;
ALTER TABLE AB6141T00	ADD CONSTRAINT  PK_AB6141T00 PRIMARY KEY (ID_CONFIG_EVENTOS);