PROMPT Actualizar Tabla AB6110T00 - Plantillas

-- Resolucin negativa (Ayuntamiento)
Insert into AB61.AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO,FECHA_ULTMODIFICACION,USUARIO_ULTMODIFICACION) values ('34','2','4','PLANTILLA RESOLUCIN NEGATIVA (Ayuntamiento)','Ebazpena (ezezkoa). Txantiloia (Ayuntamiento)','RESOLUCION_NEGATIVA',null,SYSDATE,'SCRIPT',null,null);
-- Resolucin negativa (Asociacin)
Insert into AB61.AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO,FECHA_ULTMODIFICACION,USUARIO_ULTMODIFICACION) values ('35','2','4','PLANTILLA RESOLUCIN NEGATIVA (Asociacin)','Ebazpena (ezezkoa). Txantiloia (Asociacin)','RESOLUCION_NEGATIVA',null,SYSDATE,'SCRIPT',null,null);
-- Resolucin positiva (Ayuntamiento)
Insert into AB61.AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO,FECHA_ULTMODIFICACION,USUARIO_ULTMODIFICACION) values ('36','2','4','PLANTILLA RESOLUCIN POSITIVA (Ayuntamiento)','Ebazpena (baiezkoa). Txantiloia (Udal)','RESOLUCION_POSITIVA',null,SYSDATE,'SCRIPT',null,null);
-- Resolucin positiva (Asociacin)
Insert into AB61.AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO,FECHA_ULTMODIFICACION,USUARIO_ULTMODIFICACION) values ('37','2','4','PLANTILLA RESOLUCIN POSITIVA (Asociacin)','Ebazpena (baiezkoa). Txantiloia (Asociacin)','RESOLUCION_POSITIVA',null,SYSDATE,'SCRIPT',null,null);
-- Resolucin negativa por falta de presupuesto (Asociacin)
Insert into AB61.AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO,FECHA_ULTMODIFICACION,USUARIO_ULTMODIFICACION) values ('38','2','4','PLANTILLA RESOLUCIN NEGATIVA POR FALTA DE PRESUPUESTO (Asociacin)','PLANTILLA RESOLUCIN NEGATIVA POR FALTA DE PRESUPUESTO (Asociacin)','R_FALTA_PRESUPUESTO',null,SYSDATE,'SCRIPT',null,null);

-- EBEC
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (31,8,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (32,8,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (33,8,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Altas (0012801)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (39,9,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (40,9,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (41,9,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Modificaciones (0012802)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (42,10,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (43,10,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (44,10,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Bajas (0012803)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (45,11,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (46,11,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (47,11,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Dispensas (0012804)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (48,12,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (49,12,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (50,12,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Consultas previas (0012805)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (51,13,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (52,13,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (53,13,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Adaptacin al decreto (0012806)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (54,14,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (55,14,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (56,14,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Liquidaciones (0092101)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (57,15,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (58,15,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (59,15,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Rebajas (0092102)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (60,16,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (61,16,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (62,16,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- Ocasional (0092103)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (63,17,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (64,17,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (65,17,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- ETS (1070801)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (66,18,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (67,18,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (68,18,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

-- EMS (1072801)
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (69,19,1,'PLANTILLA REQUERIMIENTO','Errekerimendua (Txantiloia)','REQUERIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (70,19,2,'PLANTILLA DESISTIMIENTO','Atzera egitea (Txantiloia)','DESISTIMIENTO',SYSDATE,'SCRIPT');
INSERT INTO AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,DOCUMENTO,FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (71,19,3,'PLANTILLA ARCHIVO','Artxiboa (Txantiloia)','ARCHIVO',SYSDATE,'SCRIPT');

COMMIT;