PROMPT Creacion de 	Tabla (AB6109T00)


CREATE TABLE AB6109T00
(
	ID_PARAMETRO         NUMBER(8) NOT NULL ,
	ID_BUSQUEDA          NUMBER(8) NOT NULL ,
	NOMBRE               VARCHAR2(50 CHAR) NULL ,
	TEXTO_MOSTRAR        VARCHAR2(50 CHAR) NULL ,
	FECHA_REGISTRO       DATE NULL ,
	USUARIO_REGISTRO     VARCHAR2(20 CHAR) NULL ,
	FECHA_ULTMODIFICACION DATE NULL ,
	USUARIO_ULTMODIFICACION VARCHAR2(20 CHAR) NULL 
)
	TABLESPACE AB6101E00;

COMMENT ON TABLE AB6109T00 IS 'Tabla de Parmetros del Listado de un Procedimiento';
COMMENT ON COLUMN AB6109T00.ID_PARAMETRO IS 'Identificador interno del Parmtero del Listado(secuencia)';
COMMENT ON COLUMN AB6109T00.NOMBRE IS 'Nombre del parmetro del listado que tiene que coincidir con el texto utilizado en la SELECT';
COMMENT ON COLUMN AB6109T00.TEXTO_MOSTRAR IS 'Texto a mostrar para que el usuario pueda determinar valor del parmetro';
COMMENT ON COLUMN AB6109T00.FECHA_REGISTRO IS 'Fecha cuando se ha almacenado el registro';
COMMENT ON COLUMN AB6109T00.USUARIO_REGISTRO IS 'Usuario que ha almacenado el registro';
COMMENT ON COLUMN AB6109T00.FECHA_ULTMODIFICACION IS 'Fecha de la ltima modificacin del registro';
COMMENT ON COLUMN AB6109T00.USUARIO_ULTMODIFICACION IS 'Usuario que ha realizado la ltima modificacin del registro';
COMMENT ON COLUMN AB6109T00.ID_BUSQUEDA IS 'Identificador interno de la Bsqueda del Listado, cada bsqueda se almacenar en una pestaa diferente de la Excel';


CREATE SYNONYM PARAMETROS	 FOR AB6109T00;


CREATE UNIQUE INDEX PK_AB6109T00 ON AB6109T00(ID_PARAMETRO   ASC);
ALTER TABLE AB6109T00	ADD CONSTRAINT  PK_AB6109T00 PRIMARY KEY (ID_PARAMETRO);


CREATE  INDEX FK_AB6109T00 ON AB6109T00(ID_BUSQUEDA   ASC);
ALTER TABLE AB6109T00	ADD (CONSTRAINT FK_AB6138T00_AB6109T00 FOREIGN KEY (ID_BUSQUEDA) REFERENCES AB6138T00 (ID_BUSQUEDA));