PROMPT Crear vistas para el formulario del informe municipal


  CREATE OR REPLACE FORCE EDITIONABLE VIEW "AB61"."V_T_IA_NOMCOMERCIAL" ("ID_EXPEDIENTE", "PARAMETRO", "VALOR", "DESCRIPCION_CASTELLANO", "DESCRIPCION_EUSKERA") AS 
  SELECT 
  T02.ID_EXPEDIENTE, 
  T02.FOLDER_NUMBER AS PARAMETRO, 
  NVL(ESTABLECIMIENTO, ' ') AS VALOR,
  NVL(ESTABLECIMIENTO, ' ') AS DESCRIPCION_CASTELLANO,
  NVL(ESTABLECIMIENTO, ' ') AS DESCRIPCION_EUSKERA
FROM 
  AB61.AB6101T00 T01, AB61.AB6102T00 T02, 
  (SELECT ID_EXPEDIENTE, ESTABLECIMIENTO FROM AB61.AB6134T00 T34, AB61.AB6136T00 T36 WHERE T34.ID_TERCERO=T36.ID_TERCERO AND T36.ID_TIPO_DIRECCION=2) T1
WHERE 
COD_PROCEDURE_ID='0012807' 
AND T02.ID_PROCEDIMIENTO = T01.ID_PROCEDIMIENTO
AND T02.ID_EXPEDIENTE=T1.ID_EXPEDIENTE(+);
/

CREATE OR REPLACE FORCE EDITIONABLE VIEW "AB61"."V_T_IA_NUMREGISTRO" ("ID_EXPEDIENTE", "PARAMETRO", "VALOR", "DESCRIPCION_CASTELLANO", "DESCRIPCION_EUSKERA") AS 
  SELECT 
  T02.ID_EXPEDIENTE, 
  FOLDER_NUMBER AS PARAMETRO, 
  NVL(IDENTIFICADOR_ESTABLECIMIENTO, ' ') AS VALOR,
  NVL(IDENTIFICADOR_ESTABLECIMIENTO, ' ') AS DESCRIPCION_CASTELLANO,
  NVL(IDENTIFICADOR_ESTABLECIMIENTO, ' ') AS DESCRIPCION_EUSKERA
FROM 
  AB61.AB6101T00 T01, AB61.AB6102T00 T02, 
  (SELECT ID_EXPEDIENTE, IDENTIFICADOR_ESTABLECIMIENTO FROM AB61.AB6134T00 T34, AB61.AB6136T00 T36 WHERE T34.ID_TERCERO=T36.ID_TERCERO AND T36.ID_TIPO_DIRECCION=2) T1
WHERE 
COD_PROCEDURE_ID='0012807' 
AND T02.ID_PROCEDIMIENTO = T01.ID_PROCEDIMIENTO
AND T02.ID_EXPEDIENTE=T1.ID_EXPEDIENTE(+);
/

CREATE OR REPLACE FORCE EDITIONABLE VIEW "AB61"."V_T_IA_REFCATASTRAL" ("ID_EXPEDIENTE", "PARAMETRO", "VALOR", "DESCRIPCION_CASTELLANO", "DESCRIPCION_EUSKERA") AS 
  SELECT 
  T02.ID_EXPEDIENTE, 
  FOLDER_NUMBER AS PARAMETRO,   
  NVL(REF_CATASTRAL, ' ') AS VALOR,
  NVL(REF_CATASTRAL, ' ') AS DESCRIPCION_CASTELLANO,
  NVL(REF_CATASTRAL, ' ') AS DESCRIPCION_EUSKERA
FROM 
  AB61.AB6101T00 T01, AB61.AB6102T00 T02, AB63.AB6301T00, 
  (SELECT ID_EXPEDIENTE, IDENTIFICADOR_ESTABLECIMIENTO FROM AB61.AB6134T00 T34, AB61.AB6136T00 T36 WHERE T34.ID_TERCERO=T36.ID_TERCERO AND T36.ID_TIPO_DIRECCION=2) T1
WHERE 
COD_PROCEDURE_ID='0012807' 
AND T02.ID_PROCEDIMIENTO = T01.ID_PROCEDIMIENTO
AND T02.ID_EXPEDIENTE=T1.ID_EXPEDIENTE(+)
AND T1.IDENTIFICADOR_ESTABLECIMIENTO=AB6301T00.IDENTIFICADOR_ESTABLECIMIENTO(+);
/


  CREATE OR REPLACE FORCE EDITIONABLE VIEW "AB61"."V_T_IA_UBIACTIVIDAD" ("ID_EXPEDIENTE", "PARAMETRO", "VALOR", "DESCRIPCION_CASTELLANO", "DESCRIPCION_EUSKERA") AS 
  SELECT 
  T02.ID_EXPEDIENTE, 
  FOLDER_NUMBER AS PARAMETRO, 
  NVL(OBTENER_DIRECCION(T1.ID_DIRECCION, 1), ' ') AS VALOR,
  NVL(OBTENER_DIRECCION(T1.ID_DIRECCION, 1), ' ') AS DESCRIPCION_CASTELLANO,
  NVL(OBTENER_DIRECCION(T1.ID_DIRECCION, 1), ' ') AS DESCRIPCION_EUSKERA
FROM 
  AB61.AB6101T00 T01, AB61.AB6102T00 T02, 
  (SELECT ID_EXPEDIENTE, ID_DIRECCION FROM AB61.AB6134T00 T34, AB61.AB6136T00 T36 WHERE T34.ID_TERCERO=T36.ID_TERCERO AND T36.ID_TIPO_DIRECCION=2) T1
WHERE 
COD_PROCEDURE_ID='0012807' 
AND T02.ID_PROCEDIMIENTO = T01.ID_PROCEDIMIENTO
AND T02.ID_EXPEDIENTE=T1.ID_EXPEDIENTE(+);
/
