--listado eustat
UPDATE AB6138T00 SET SQL_LISTADO = 'select distinct valor as valor from AB63.INFORME_EUSTAT where ((cod_procedure_id IN (''0012801'',''0012802'')AND   fc_fec_exp IS NOT NULL) OR(cod_procedure_id = ''0012803'' AND   fc_fec_exp IS NOT NULL AND   fecha_baja IS NOT NULL) OR    (cod_procedure_id = ''0012803'' AND fc_fec_exp IS NULL))'
WHERE NOMBRE = 'informe EUSTAT';

--listado ESUTAT con censo
UPDATE AB6138T00 SET SQL_LISTADO = 'select distinct valor as valor from AB63.INFORME_EUSTAT'
WHERE NOMBRE = 'informe EUSTAT con censo';

--listado EUSTAT CON FECHAS
UPDATE AB6138T00 SET SQL_LISTADO = 'select distinct valor as valor from AB63.INFORME_EUSTAT where ((cod_procedure_id IN (''0012801'',''0012802'')AND fc_fec_exp IS NOT NULL AND  fc_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1) OR(cod_procedure_id = ''0012803'' AND  fc_fec_exp IS NOT NULL AND fc_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1 AND fecha_baja IS NOT NULL) OR   (cod_procedure_id = ''0012803'' AND fc_fec_exp IS NULL AND   fa_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1 AND   fecha_inicierretemp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1))'
WHERE NOMBRE = 'informe EUSTAT filtro fechas';

--informe ITOURBASK
UPDATE AB6138T00 SET SQL_LISTADO = 'SELECT DISTINCT
    ( substr(direcciones.identificador_establecimiento,0,1)
    || '' # ''
    || DECODE(p.COD_PROCEDURE_ID,''0012805'',''A'',''0012801'',''B'',''0012803'',''G'',''0012802'',''C'',''0012804'',''J'',''0012806'',''O'')
    || '' # ''
    || TO_CHAR(nvl(fechacierre.fec_exp,fechasapertura.fec_exp),''DD/MM/YYYY'')
    || '' # ''
    || direcciones.id_provincia
    || '' # ''
    || provincia.ds_o
    || '' # ''
    || direcciones.identificador_establecimiento
    || '' # ''
    || est.desc_nombre
    || '' # ''
    || direcciones.direccion
    || '' # ''
    || direcciones.numero
    || '' # ''
    || direcciones.piso
    || '' ''
    || direcciones.letra
    || '' # ''
    || direcciones.id_municipio
    || '' # ''
    || codigo_postal
    || '' # ''
    || localidad.ds_o
    || '' # ''
    || cat.desc_categoria_es
    || '' # ''
    || modal.desc_modalidad_es
    || '' # ''
    || est.telefono
    || '' # ''
    || est.email
    || '' # ''
    || dataest.num_plazas ) AS valor
FROM
    rel_exp_ter relexp
    JOIN datos_terceros terceros ON terceros.id_tercero = relexp.id_tercero
                                          AND terceros.tipo_participante = 0
    JOIN ab6136t00 direcciones ON terceros.id_tercero = direcciones.id_tercero
                                        AND direcciones.id_tipo_direccion = 2
    JOIN ab6102t00 exp ON relexp.id_expediente = exp.id_expediente
    JOIN ab63.ab6301s00 est ON direcciones.identificador_establecimiento = est.identificador_establecimiento
    JOIN ab63.ab6321s00 dataest ON est.id_establecimiento = dataest.id_establecimiento
    JOIN t17i.t17_provincia provincia ON provincia.id = direcciones.id_provincia
    JOIN t17i.t17_localidad localidad ON localidad.provincia_id = direcciones.id_provincia
                                               AND localidad.municipio_id = direcciones.id_municipio
                                               AND localidad.id = direcciones.id_localidad
    JOIN (
        SELECT
            relfec.id_expediente,
            relfec.fecha_expediente fec_exp
        FROM
            rel_exp_fech relfec,
            fechas_expediente fec
        WHERE
            relfec.id_fecha_expediente = fec.id_fecha_expediente
            AND   fec.etiqueta_fecha = ''FECHA_APERTURA''
    ) fechasapertura ON exp.id_expediente = fechasapertura.id_expediente
    LEFT JOIN (
        SELECT
            relfec.id_expediente,
            relfec.fecha_expediente fec_exp
        FROM
            rel_exp_fech relfec,
            fechas_expediente fec
        WHERE
            relfec.id_fecha_expediente = fec.id_fecha_expediente
            AND   fec.etiqueta_fecha = ''FECHA_CIERRE''
    ) fechacierre ON exp.id_expediente = fechacierre.id_expediente
    join AB6101T00 p on exp.id_procedimiento = p.id_procedimiento
    left join AB63.AB6314S00 modal on modal.ID_TIPO_ESTABLECIMIENTO = est.ID_TIPO_ESTABLECIMIENTO
    left join AB63.AB6313S00 cat on cat.ID_TIPO_ESTABLECIMIENTO = est.ID_TIPO_ESTABLECIMIENTO
WHERE
    relexp.id_tipo_tercero = 1
    AND(p.COD_PROCEDURE_ID IN (''0012801'',''0012802'')
        and  fechacierre.fec_exp IS NOT NULL
        )
    OR(p.COD_PROCEDURE_ID =''0012803''
        AND fechacierre.fec_exp IS NOT NULL
        AND fecha_baja IS NOT NULL)
    OR(p.COD_PROCEDURE_ID =''0012803''
        AND fechacierre.fec_exp IS NULL)' WHERE NOMBRE = 'informe EUSTAT';

--listado ITOURBASK CON FECHAS
UPDATE AB6138T00 SET SQL_LISTADO = 'SELECT DISTINCT
    ( substr(direcciones.identificador_establecimiento,0,1)
    || '' # ''
    || DECODE(p.COD_PROCEDURE_ID,''0012805'',''A'',''0012801'',''B'',''0012803'',''G'',''0012802'',''C'',''0012804'',''J'',''0012806'',''O'')
    || '' # ''
    || TO_CHAR(nvl(fechacierre.fec_exp,fechasapertura.fec_exp), ''DD/MM/YYYY'')
    || '' # ''
    || direcciones.id_provincia
    || '' # ''
    || provincia.ds_o
    || '' # ''
    || direcciones.identificador_establecimiento
    || '' # ''
    || est.desc_nombre
    || '' # ''
    || direcciones.direccion
    || '' # ''
    || direcciones.numero
    || '' # ''
    || direcciones.piso
    || '' ''
    || direcciones.letra
    || '' # ''
    || direcciones.id_municipio
    || '' # ''
    || codigo_postal
    || '' # ''
    || localidad.ds_o
    || '' # ''
    || cat.desc_categoria_es
    || '' # ''
    || modal.desc_modalidad_es
    || '' # ''
    || est.telefono
    || '' # ''
    || est.email
    || '' # ''
    || dataest.num_plazas ) AS valor
FROM
    rel_exp_ter relexp
    JOIN datos_terceros terceros ON terceros.id_tercero = relexp.id_tercero
                                          AND terceros.tipo_participante = 0
    JOIN ab6136t00 direcciones ON terceros.id_tercero = direcciones.id_tercero
                                        AND direcciones.id_tipo_direccion = 2
    JOIN ab6102t00 exp ON relexp.id_expediente = exp.id_expediente
    JOIN ab63.ab6301s00 est ON direcciones.identificador_establecimiento = est.identificador_establecimiento
    JOIN ab63.ab6321s00 dataest ON est.id_establecimiento = dataest.id_establecimiento
    JOIN t17i.t17_provincia provincia ON provincia.id = direcciones.id_provincia
    JOIN t17i.t17_localidad localidad ON localidad.provincia_id = direcciones.id_provincia
                                               AND localidad.municipio_id = direcciones.id_municipio
                                               AND localidad.id = direcciones.id_localidad
    JOIN (
        SELECT
            relfec.id_expediente,
            relfec.fecha_expediente fec_exp
        FROM
            rel_exp_fech relfec,
            fechas_expediente fec
        WHERE
            relfec.id_fecha_expediente = fec.id_fecha_expediente
            AND   fec.etiqueta_fecha = ''FECHA_APERTURA''
    ) fechasapertura ON exp.id_expediente = fechasapertura.id_expediente
    LEFT JOIN (
        SELECT
            relfec.id_expediente,
            relfec.fecha_expediente fec_exp
        FROM
            rel_exp_fech relfec,
            fechas_expediente fec
        WHERE
            relfec.id_fecha_expediente = fec.id_fecha_expediente
            AND   fec.etiqueta_fecha = ''FECHA_CIERRE''
    ) fechacierre ON exp.id_expediente = fechacierre.id_expediente
    join AB6101T00 p on exp.id_procedimiento = p.id_procedimiento
    left join AB63.AB6314S00 modal on modal.ID_TIPO_ESTABLECIMIENTO = est.ID_TIPO_ESTABLECIMIENTO
    left join AB63.AB6313S00 cat on cat.ID_TIPO_ESTABLECIMIENTO = est.ID_TIPO_ESTABLECIMIENTO
WHERE
    relexp.id_tipo_tercero = 1
    AND(p.COD_PROCEDURE_ID IN (''0012801'',''0012802'')
        and  fechacierre.fec_exp IS NOT NULL
        AND  fechacierre.fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1
        )
    OR(p.COD_PROCEDURE_ID =''0012803''
        AND fechacierre.fec_exp IS NOT NULL
        AND fechacierre.fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1
        AND fecha_baja IS NOT NULL)
    OR(p.COD_PROCEDURE_ID =''0012803''
        AND fechacierre.fec_exp IS NULL
        AND fechasapertura.fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1
        AND fecha_inicierretemp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1)' WHERE NOMBRE = 'informe ITOURBASK filtro fecha';


--ITOURBASK CON CENSO
UPDATE AB6138T00 SET SQL_LISTADO = 'SELECT DISTINCT
    ( substr(direcciones.identificador_establecimiento,0,1)
    || '' # ''
    || ''A''
    || '' # ''
    ||  TO_CHAR(fechasapertura.fec_exp,''DD/MM/YYYY'')
    || '' # ''
    || direcciones.id_provincia
    || '' # ''
    || provincia.ds_o
    || '' # ''
    || direcciones.identificador_establecimiento
    || '' # ''
    || est.desc_nombre
    || '' # ''
    || direcciones.direccion
    || '' # ''
    || direcciones.numero
    || '' # ''
    || direcciones.piso
    || '' ''
    || direcciones.letra
    || '' # ''
    || direcciones.id_municipio
    || '' # ''
    || codigo_postal
    || '' # ''
    || localidad.ds_o
    || '' # ''
    || cat.desc_categoria_es
    || '' # ''
    || modal.desc_modalidad_es
    || '' # ''
    || est.telefono
    || '' # ''
    || est.email
    || '' # ''
    || dataest.num_plazas ) AS valor
FROM
    rel_exp_ter relexp
    JOIN datos_terceros terceros ON terceros.id_tercero = relexp.id_tercero
                                          AND terceros.tipo_participante = 0
    JOIN ab6136t00 direcciones ON terceros.id_tercero = direcciones.id_tercero
                                        AND direcciones.id_tipo_direccion = 2
    JOIN ab6102t00 exp ON relexp.id_expediente = exp.id_expediente
    JOIN ab63.ab6301s00 est ON direcciones.identificador_establecimiento = est.identificador_establecimiento
    JOIN ab63.ab6321s00 dataest ON est.id_establecimiento = dataest.id_establecimiento
    JOIN t17i.t17_provincia provincia ON provincia.id = direcciones.id_provincia
    JOIN t17i.t17_localidad localidad ON localidad.provincia_id = direcciones.id_provincia
                                               AND localidad.municipio_id = direcciones.id_municipio
                                               AND localidad.id = direcciones.id_localidad
    JOIN (
        SELECT
            relfec.id_expediente,
           relfec.fecha_expediente fec_exp
        FROM
            rel_exp_fech relfec,
            fechas_expediente fec
        WHERE
            relfec.id_fecha_expediente = fec.id_fecha_expediente
            AND   fec.etiqueta_fecha = ''FECHA_APERTURA''
    ) fechasapertura ON exp.id_expediente = fechasapertura.id_expediente
    LEFT JOIN (
        SELECT
            relfec.id_expediente,
            relfec.fecha_expediente fec_exp
        FROM
            rel_exp_fech relfec,
            fechas_expediente fec
        WHERE
            relfec.id_fecha_expediente = fec.id_fecha_expediente
            AND   fec.etiqueta_fecha = ''FECHA_CIERRE''
    ) fechacierre ON exp.id_expediente = fechacierre.id_expediente
    join AB6101T00 p on exp.id_procedimiento = p.id_procedimiento
    left join AB63.AB6314S00 modal on modal.ID_TIPO_ESTABLECIMIENTO = est.ID_TIPO_ESTABLECIMIENTO
    left join AB63.AB6313S00 cat on cat.ID_TIPO_ESTABLECIMIENTO = est.ID_TIPO_ESTABLECIMIENTO
WHERE
    relexp.id_tipo_tercero = 1
    and fechacierre.fec_exp is null
    and est.tipo_registro = ''D''' WHERE NOMBRE = 'informe ITOURBASK con Censo';