-- EUSTAT CON CENSO
update AB61.AB6138T00 set SQL_LISTADO='select distinct valor as valor, ID_TIPO_ESTABLECIMIENTO, ID_PROVINCIA, FECHA_MVTO from AB63.INFORME_EUSTAT_CENSADOS ORDER BY  ID_TIPO_ESTABLECIMIENTO ASC, ID_PROVINCIA ASC, FECHA_MVTO ASC', CAMPOS ='Tipo ETR;Cod.Mvto.;Fecha.Mvto.;COD PR;Provincia;NIF;Signatura;Nombre Est.;Direccin Est.;Num;Portal Nora;Piso-Mano;C.Mun.Est.;Municipio;C.Pos.Est.;Localidad Est.;Telfono Est. ;Fax Est.;CATEGORIA;Grupo;CAP;HAB;Fis./Jur.;Razn Social;Nombre Tit.;Direccin Tit.;C.Mun. Tit.;C.Prov. Tit.;C.Pos. Tit.;Localidad Tit.;Telfono Tit.;Fax Tit.;Fecha-D Cierre;Fecha-H Cierre;Estudios;Plazas estudio;Apartamentos;Plazas apartamentos;Suites;Plazas suites;Conjuntos;Plazas Conjuntos;Modalidad' WHERE NOMBRE = 'informe EUSTAT con censo';

-- EUSTAT SIN CENSO
update AB61.AB6138T00 set SQL_LISTADO='select distinct valor as valor, ID_TIPO_ESTABLECIMIENTO, ID_PROVINCIA, FECHA_MVTO from AB63.INFORME_EUSTAT WHERE ((cod_procedure_id IN (''0012801'',''0012802'')AND   fc_fec_exp IS NOT NULL) OR(cod_procedure_id = ''0012803'' AND   fc_fec_exp IS NOT NULL AND   fecha_baja IS NOT NULL) OR    (cod_procedure_id = ''0012803'' AND fc_fec_exp IS NULL)) ORDER BY  ID_TIPO_ESTABLECIMIENTO ASC, ID_PROVINCIA ASC, FECHA_MVTO ASC', CAMPOS ='Tipo ETR;Cod.Mvto.;Fecha.Mvto.;COD PR;Provincia;NIF;Signatura;Nombre Est.;Direccin Est.;Num;Portal Nora;Piso-Mano;C.Mun.Est.;Municipio;C.Pos.Est.;Localidad Est.;Telfono Est. ;Fax Est.;CATEGORIA;Grupo;CAP;HAB;Fis./Jur.;Razn Social;Nombre Tit.;Direccin Tit.;C.Mun. Tit.;C.Prov. Tit.;C.Pos. Tit.;Localidad Tit.;Telfono Tit.;Fax Tit.;Fecha-D Cierre;Fecha-H Cierre;Estudios;Plazas estudio;Apartamentos;Plazas apartamentos;Suites;Plazas suites;Conjuntos;Plazas Conjuntos;Modalidad' WHERE NOMBRE = 'informe EUSTAT';

-- EUSTAT SIN CON FECHAS
update AB61.AB6138T00 set SQL_LISTADO='select distinct valor as valor, ID_TIPO_ESTABLECIMIENTO, ID_PROVINCIA, FECHA_MVTO from AB63.INFORME_EUSTAT WHERE ((cod_procedure_id IN (''0012801'',''0012802'')AND fc_fec_exp IS NOT NULL AND fc_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1) OR(cod_procedure_id = ''0012803'' AND fc_fec_exp IS NOT NULL AND fc_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1 AND fecha_baja IS NOT NULL) OR (cod_procedure_id = ''0012803'' AND fc_fec_exp IS NULL AND fa_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1 AND fecha_inicierretemp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1)) ORDER BY  ID_TIPO_ESTABLECIMIENTO ASC, ID_PROVINCIA ASC, FECHA_MVTO ASC', CAMPOS ='Tipo ETR;Cod.Mvto.;Fecha.Mvto.;COD PR;Provincia;NIF;Signatura;Nombre Est.;Direccin Est.;Num;Portal Nora;Piso-Mano;C.Mun.Est.;Municipio;C.Pos.Est.;Localidad Est.;Telfono Est. ;Fax Est.;CATEGORIA;Grupo;CAP;HAB;Fis./Jur.;Razn Social;Nombre Tit.;Direccin Tit.;C.Mun. Tit.;C.Prov. Tit.;C.Pos. Tit.;Localidad Tit.;Telfono Tit.;Fax Tit.;Fecha-D Cierre;Fecha-H Cierre;Estudios;Plazas estudio;Apartamentos;Plazas apartamentos;Suites;Plazas suites;Conjuntos;Plazas Conjuntos;Modalidad' WHERE NOMBRE = 'informe EUSTAT filtro fechas';

COMMIT;
