
UPDATE ab6122t00
SET select_campo = 'select valor from ( SELECT CASE WHEN ab6314s00.procedimiento_decreto IS NULL THEN ab6311s00.procedimiento_decreto || ''#'' || ab6311s00.procedimiento_decreto_eu ELSE ab6314s00.procedimiento_decreto || ''#'' || ab6314s00.procedimiento_decreto_eu END AS valor, rel_exp_ter.id_expediente id_expediente FROM ab61.rel_exp_ter, ab61.datos_terceros, ab61.datos_direcciones, ab63.ab6301s00, ab63.ab6314s00, ab63.ab6311s00 WHERE datos_terceros.id_tercero = rel_exp_ter.id_tercero AND   datos_terceros.id_tercero = datos_direcciones.id_tercero AND   datos_direcciones.identificador_establecimiento = ab6301s00.identificador_establecimiento AND   ab6301s00.id_tipo_establecimiento = ab6311s00.id_tipo_establecimiento AND   ab6301s00.id_modalidad = ab6314s00.id_modalidad (+) AND   ab6311s00.id_tipo_establecimiento = ab6314s00.id_tipo_establecimiento (+) AND   ab6301s00.tipo_registro  in (''D'', ''Q'') AND   id_tipo_direccion = 2 AND   id_tipo_tercero IN ( 1, 3 ) AND   datos_terceros.tipo_participante = 0 union select CASE WHEN ab6314s00.procedimiento_decreto IS NULL THEN ab6311s00.procedimiento_decreto ||  Chr(35) || ab6311s00.procedimiento_decreto_eu ELSE ab6314s00.procedimiento_decreto ||  Chr(35) || ab6314s00.procedimiento_decreto_eu END AS valor, ab6301s00.id_expediente id_expediente from ab63.ab6301s00, ab63.ab6314s00, ab63.ab6311s00 where ab6301s00.id_tipo_establecimiento = ab6311s00.id_tipo_establecimiento AND   ab6301s00.id_modalidad = ab6314s00.id_modalidad (+) AND   ab6311s00.id_tipo_establecimiento = ab6314s00.id_tipo_establecimiento (+) AND   ab6301s00.tipo_registro  = ''T'') where id_expediente = ?'
WHERE nombre_campo = 'procedimientoDecreto';

UPDATE ab6122t00
SET select_campo = 'select valor from ( SELECT CASE WHEN ab6314s00.procedimiento_ley IS NULL THEN ab6311s00.procedimiento_ley || ''#'' || ab6311s00.procedimiento_ley_eu ELSE ab6314s00.procedimiento_ley || ''#'' || ab6314s00.procedimiento_ley_eu END AS valor, rel_exp_ter.id_expediente id_expediente FROM ab61.rel_exp_ter, ab61.datos_terceros, ab61.datos_direcciones, ab63.ab6301s00, ab63.ab6314s00, ab63.ab6311s00 WHERE datos_terceros.id_tercero = rel_exp_ter.id_tercero AND   datos_terceros.id_tercero = datos_direcciones.id_tercero AND   datos_direcciones.identificador_establecimiento = ab6301s00.identificador_establecimiento AND   ab6301s00.id_tipo_establecimiento = ab6311s00.id_tipo_establecimiento AND   ab6301s00.id_modalidad = ab6314s00.id_modalidad (+) AND   ab6311s00.id_tipo_establecimiento = ab6314s00.id_tipo_establecimiento (+) AND   ab6301s00.tipo_registro  in (''D'', ''Q'') AND   id_tipo_direccion = 2 AND   id_tipo_tercero IN ( 1, 3 ) AND   datos_terceros.tipo_participante = 0 union select CASE WHEN ab6314s00.procedimiento_ley IS NULL THEN ab6311s00.procedimiento_ley ||  Chr(35) || ab6311s00.procedimiento_ley_eu ELSE ab6314s00.procedimiento_ley ||  Chr(35) || ab6314s00.procedimiento_ley_eu END AS valor, ab6301s00.id_expediente id_expediente from ab63.ab6301s00, ab63.ab6314s00, ab63.ab6311s00 where ab6301s00.id_tipo_establecimiento = ab6311s00.id_tipo_establecimiento AND   ab6301s00.id_modalidad = ab6314s00.id_modalidad (+) AND   ab6311s00.id_tipo_establecimiento = ab6314s00.id_tipo_establecimiento (+) AND   ab6301s00.tipo_registro  = ''T'') where id_expediente = ?'
WHERE nombre_campo = 'procedimientoLey';

UPDATE ab6122t00
SET select_campo = 'SELECT VALOR FROM  (SELECT   ( DESC_TIPO_ES || ''#'' || DESC_TIPO_EU )AS VALOR, REL_EXP_TER.ID_EXPEDIENTE ID_EXPEDIENTE FROM AB61.REL_EXP_TER, AB61.DATOS_TERCEROS, AB61.DATOS_DIRECCIONES, AB63.AB6301S00, AB63.AB6311S00 WHERE DATOS_TERCEROS.ID_TERCERO = REL_EXP_TER.ID_TERCERO AND   DATOS_DIRECCIONES.IDENTIFICADOR_ESTABLECIMIENTO = AB6301S00.IDENTIFICADOR_ESTABLECIMIENTO AND   DATOS_TERCEROS.ID_TERCERO = DATOS_DIRECCIONES.ID_TERCERO AND   AB6301S00.ID_TIPO_ESTABLECIMIENTO = AB6311S00.ID_TIPO_ESTABLECIMIENTO AND  AB6301S00.TIPO_REGISTRO IN (''D'', ''Q'') AND ID_TIPO_TERCERO IN ( 1, 3 ) AND   DATOS_TERCEROS.TIPO_PARTICIPANTE = 0 AND   ID_TIPO_DIRECCION = 2 UNION SELECT ( DESC_TIPO_ES || CHR(35) || DESC_TIPO_EU ) AS VALOR, ID_EXPEDIENTE ID_EXPEDIENTE FROM AB63.AB6301S00, AB63.AB6311S00 WHERE AB6301S00.ID_TIPO_ESTABLECIMIENTO = AB6311S00.ID_TIPO_ESTABLECIMIENTO AND AB6301S00.TIPO_REGISTRO = ''T'') WHERE ID_EXPEDIENTE = ?'
WHERE nombre_campo = 'tipoEstablecimiento';

UPDATE ab6122t00
SET select_campo = 'SELECT (TO_CHAR(relfec.fecha_expediente,''DD/MM/YYYY'')||''#''||TO_CHAR(relfec.fecha_expediente,''YYYY/MM/DD'')) AS VALOR FROM rel_exp_fech relfec, fechas_expediente fec WHERE relfec.id_fecha_expediente = fec.id_fecha_expediente AND fec.etiqueta_fecha = ''FECHA_ACUSE_NOTIF_SUBSANACION'' AND ROWNUM = 1 AND relfec.id_expediente = ?'
WHERE nombre_campo = 'fechaNotSubsabacion';


COMMIT;
