/**
 * 
 */
package com.ejie.ab61.adaptadores.service;

import java.util.List;

import com.ejie.ab61.clientesWS.X43CuentasInteresados.TInteresado;
import com.ejie.ab61.clientesWS.X43CuentasInteresados.TInterestedSearch;
import com.ejie.ab61.exceptions.X43CuentasInteresadosException;

/**
 *  
 * 
 */
public interface X43CuentasInteresadosService {

	/**
	 * Metodo que devuelve la información de los interesados por los que se
	 * pregunta
	 * 
	 * @param tInteresadosSearch
	 *            TInteresadosSearch
	 * 
	 * @return List<TInteresado>
	 * 
	 * @throws X43CuentasInteresadosException
	 *             X43CuentasInteresadosException
	 */
	public List<TInteresado> getPersonsConsent(TInterestedSearch tInterestedSearch)
			throws X43CuentasInteresadosException, Exception;
}
