/**
 * 
 */
package com.ejie.ab61.adaptadores.service;

import com.ejie.ab61.clientesWS.X43Toolkit.Exception_Exception;

/**
 *  
 * 
 */
public interface X43ToolkitService {

	/**
	 * Metodo que recupera el ejgvDocumento de la solicitud
	 * 
	 * @param idSolicitud
	 *            id del documento
	 * @param folderID
	 *            id del expediente
	 * 
	 * @return String: ejgvDocument Solicitud
	 * 
	 * @throws X43ToolkitException
	 *             X43ToolkitException
	 * @throws Exception_Exception
	 *             Exception_Exception
	 */
	public String getRequestInformation(String idSolicitud, String folderID) throws Exception_Exception;
}
