
package com.ejie.ab61.clientesWS.X43Procedimientos;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TTask complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TTask">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}taskID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}taskName"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}taskDescription"/>
 *         &lt;element name="taskType" type="{com/ejie/x43s/v2/ttn/xml}TTaskType"/>
 *         &lt;element name="isInitializable" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isGraphicInterface" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isShowInChargeMailboxWindow" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isInformConsultation" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="term" type="{com/ejie/x43s/v2/ttn/xml}TTerm"/>
 *         &lt;element name="isProceedingInit" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isProceedingEnd" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="taskBubbleName" type="{com/ejie/x43s/v2/ttn/xml}TTextI18N" minOccurs="0"/>
 *         &lt;element name="taskTypeDataList" type="{com/ejie/x43s/v2/fcp/xml}TDataList"/>
 *         &lt;element name="taskBusinessDataList" type="{com/ejie/x43s/v2/fcp/xml}TDataList"/>
 *         &lt;element name="taskBusinessUrlDataList" type="{com/ejie/x43s/v2/fcp/xml}TDataList"/>
 *         &lt;element name="controlMailboxes" type="{com/ejie/x43s/v2/ttn/xml}TStringList" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TTask", propOrder = {
    "taskID",
    "taskName",
    "taskDescription",
    "taskType",
    "isInitializable",
    "isGraphicInterface",
    "isShowInChargeMailboxWindow",
    "isInformConsultation",
    "term",
    "isProceedingInit",
    "isProceedingEnd",
    "taskBubbleName",
    "taskTypeDataList",
    "taskBusinessDataList",
    "taskBusinessUrlDataList",
    "controlMailboxes"
})
public class TTask {

    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String taskID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N taskName;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N taskDescription;
    @XmlElement(required = true)
    protected TTaskType taskType;
    @XmlElement(required = true)
    protected TBoolean isInitializable;
    @XmlElement(required = true)
    protected TBoolean isGraphicInterface;
    @XmlElement(required = true)
    protected TBoolean isShowInChargeMailboxWindow;
    @XmlElement(required = true)
    protected TBoolean isInformConsultation;
    @XmlElement(required = true)
    protected TTerm term;
    @XmlElement(required = true)
    protected TBoolean isProceedingInit;
    @XmlElement(required = true)
    protected TBoolean isProceedingEnd;
    protected TTextI18N taskBubbleName;
    @XmlElement(required = true)
    protected TDataList taskTypeDataList;
    @XmlElement(required = true)
    protected TDataList taskBusinessDataList;
    @XmlElement(required = true)
    protected TDataList taskBusinessUrlDataList;
    protected TStringList controlMailboxes;

    /**
     * Gets the value of the taskID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTaskID() {
        return taskID;
    }

    /**
     * Sets the value of the taskID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTaskID(String value) {
        this.taskID = value;
    }

    /**
     * Gets the value of the taskName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getTaskName() {
        return taskName;
    }

    /**
     * Sets the value of the taskName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setTaskName(TTextI18N value) {
        this.taskName = value;
    }

    /**
     * Gets the value of the taskDescription property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getTaskDescription() {
        return taskDescription;
    }

    /**
     * Sets the value of the taskDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setTaskDescription(TTextI18N value) {
        this.taskDescription = value;
    }

    /**
     * Gets the value of the taskType property.
     * 
     * @return
     *     possible object is
     *     {@link TTaskType }
     *     
     */
    public TTaskType getTaskType() {
        return taskType;
    }

    /**
     * Sets the value of the taskType property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTaskType }
     *     
     */
    public void setTaskType(TTaskType value) {
        this.taskType = value;
    }

    /**
     * Gets the value of the isInitializable property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsInitializable() {
        return isInitializable;
    }

    /**
     * Sets the value of the isInitializable property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsInitializable(TBoolean value) {
        this.isInitializable = value;
    }

    /**
     * Gets the value of the isGraphicInterface property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsGraphicInterface() {
        return isGraphicInterface;
    }

    /**
     * Sets the value of the isGraphicInterface property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsGraphicInterface(TBoolean value) {
        this.isGraphicInterface = value;
    }

    /**
     * Gets the value of the isShowInChargeMailboxWindow property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsShowInChargeMailboxWindow() {
        return isShowInChargeMailboxWindow;
    }

    /**
     * Sets the value of the isShowInChargeMailboxWindow property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsShowInChargeMailboxWindow(TBoolean value) {
        this.isShowInChargeMailboxWindow = value;
    }

    /**
     * Gets the value of the isInformConsultation property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsInformConsultation() {
        return isInformConsultation;
    }

    /**
     * Sets the value of the isInformConsultation property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsInformConsultation(TBoolean value) {
        this.isInformConsultation = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link TTerm }
     *     
     */
    public TTerm getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTerm }
     *     
     */
    public void setTerm(TTerm value) {
        this.term = value;
    }

    /**
     * Gets the value of the isProceedingInit property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsProceedingInit() {
        return isProceedingInit;
    }

    /**
     * Sets the value of the isProceedingInit property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsProceedingInit(TBoolean value) {
        this.isProceedingInit = value;
    }

    /**
     * Gets the value of the isProceedingEnd property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsProceedingEnd() {
        return isProceedingEnd;
    }

    /**
     * Sets the value of the isProceedingEnd property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsProceedingEnd(TBoolean value) {
        this.isProceedingEnd = value;
    }

    /**
     * Gets the value of the taskBubbleName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getTaskBubbleName() {
        return taskBubbleName;
    }

    /**
     * Sets the value of the taskBubbleName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setTaskBubbleName(TTextI18N value) {
        this.taskBubbleName = value;
    }

    /**
     * Gets the value of the taskTypeDataList property.
     * 
     * @return
     *     possible object is
     *     {@link TDataList }
     *     
     */
    public TDataList getTaskTypeDataList() {
        return taskTypeDataList;
    }

    /**
     * Sets the value of the taskTypeDataList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TDataList }
     *     
     */
    public void setTaskTypeDataList(TDataList value) {
        this.taskTypeDataList = value;
    }

    /**
     * Gets the value of the taskBusinessDataList property.
     * 
     * @return
     *     possible object is
     *     {@link TDataList }
     *     
     */
    public TDataList getTaskBusinessDataList() {
        return taskBusinessDataList;
    }

    /**
     * Sets the value of the taskBusinessDataList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TDataList }
     *     
     */
    public void setTaskBusinessDataList(TDataList value) {
        this.taskBusinessDataList = value;
    }

    /**
     * Gets the value of the taskBusinessUrlDataList property.
     * 
     * @return
     *     possible object is
     *     {@link TDataList }
     *     
     */
    public TDataList getTaskBusinessUrlDataList() {
        return taskBusinessUrlDataList;
    }

    /**
     * Sets the value of the taskBusinessUrlDataList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TDataList }
     *     
     */
    public void setTaskBusinessUrlDataList(TDataList value) {
        this.taskBusinessUrlDataList = value;
    }

    /**
     * Gets the value of the controlMailboxes property.
     * 
     * @return
     *     possible object is
     *     {@link TStringList }
     *     
     */
    public TStringList getControlMailboxes() {
        return controlMailboxes;
    }

    /**
     * Sets the value of the controlMailboxes property.
     * 
     * @param value
     *     allowed object is
     *     {@link TStringList }
     *     
     */
    public void setControlMailboxes(TStringList value) {
        this.controlMailboxes = value;
    }

}
