
package com.ejie.ab61.clientesWS.X43Procedimientos;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebService(name = "X43FCPPortType", targetNamespace = "com/ejie/x43s/v2/fcp/ws")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface X43FCPPortType {


    /**
     * 
     * @param calendarType
     * @param initDate
     * @param termType
     * @param term
     * @param ep
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "getCalendarNextDate")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getCalendarNextDate", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetCalendarNextDate")
    @ResponseWrapper(localName = "getCalendarNextDateResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetCalendarNextDateResponse")
    public String getCalendarNextDate(
        @WebParam(name = "initDate", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        String initDate,
        @WebParam(name = "term", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        Integer term,
        @WebParam(name = "termType", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TTermType termType,
        @WebParam(name = "calendarType", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TCalendarType calendarType,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TCalendarList
     */
    @WebMethod(action = "getCalendarTypes")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getCalendarTypes", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetCalendarTypes")
    @ResponseWrapper(localName = "getCalendarTypesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetCalendarTypesResponse")
    public TCalendarList getCalendarTypes(
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TConsultationContext
     */
    @WebMethod(action = "getConsultationContext")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getConsultationContext", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetConsultationContext")
    @ResponseWrapper(localName = "getConsultationContextResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetConsultationContextResponse")
    public TConsultationContext getConsultationContext(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param telActionID
     * @param filter
     * @param isInnerDocument
     * @param ep
     * @param telActionInstanceID
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TDocumentRoleList
     */
    @WebMethod(action = "getDocumentalRoles")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getDocumentalRoles", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetDocumentalRoles")
    @ResponseWrapper(localName = "getDocumentalRolesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetDocumentalRolesResponse")
    public TDocumentRoleList getDocumentalRoles(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "isInnerDocument", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TBoolean isInnerDocument,
        @WebParam(name = "telActionID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionID,
        @WebParam(name = "telActionInstanceID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionInstanceID,
        @WebParam(name = "filter", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TDocTypesFilter filter,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param entityIDList
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TEntityList
     */
    @WebMethod(action = "getEntities")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getEntities", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetEntities")
    @ResponseWrapper(localName = "getEntitiesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetEntitiesResponse")
    public TEntityList getEntities(
        @WebParam(name = "entityIDList", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TStringList entityIDList,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param telActionID
     * @param formID
     * @param ep
     * @param telActionInstanceID
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TFormValidationList
     */
    @WebMethod(action = "getFormValidations")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getFormValidations", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetFormValidations")
    @ResponseWrapper(localName = "getFormValidationsResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetFormValidationsResponse")
    public TFormValidationList getFormValidations(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "telActionID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionID,
        @WebParam(name = "telActionInstanceID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionInstanceID,
        @WebParam(name = "formID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String formID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param filter
     * @param managingUnitIDList
     * @param entityID
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TManagingUnitList
     */
    @WebMethod(action = "getManagingUnits")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getManagingUnits", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetManagingUnits")
    @ResponseWrapper(localName = "getManagingUnitsResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetManagingUnitsResponse")
    public TManagingUnitList getManagingUnits(
        @WebParam(name = "managingUnitIDList", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TStringList managingUnitIDList,
        @WebParam(name = "entityID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String entityID,
        @WebParam(name = "filter", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TManagingUnitFilter filter,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param filter
     * @param notifiedActID
     * @param ep
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TNotifiedActList
     */
    @WebMethod(action = "getNotifiedActs")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getNotifiedActs", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetNotifiedActs")
    @ResponseWrapper(localName = "getNotifiedActsResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetNotifiedActsResponse")
    public TNotifiedActList getNotifiedActs(
        @WebParam(name = "filter", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TNotifiedActFilter filter,
        @WebParam(name = "notifiedActID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String notifiedActID,
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param documentalRoles
     * @param auditUser
     * @param ep
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TAttributesObligatoryList
     */
    @WebMethod(action = "getObligatoryAttributes")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getObligatoryAttributes", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetObligatoryAttributes")
    @ResponseWrapper(localName = "getObligatoryAttributesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetObligatoryAttributesResponse")
    public TAttributesObligatoryList getObligatoryAttributes(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "documentalRoles", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TStringList documentalRoles,
        @WebParam(name = "auditUser", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String auditUser,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param organismIDList
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TOrganismList
     */
    @WebMethod(action = "getOrganisms")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getOrganisms", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetOrganisms")
    @ResponseWrapper(localName = "getOrganismsResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetOrganismsResponse")
    public TOrganismList getOrganisms(
        @WebParam(name = "organismIDList", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TStringList organismIDList,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param catalogList
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TCatalog
     */
    @WebMethod(action = "getProcedureCatalogDataAsXml")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureCatalogDataAsXml", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureCatalogDataAsXml")
    @ResponseWrapper(localName = "getProcedureCatalogDataAsXmlResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureCatalogDataAsXmlResponse")
    public TCatalog getProcedureCatalogDataAsXml(
        @WebParam(name = "catalogList", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TProcedureCatalogFilterList catalogList,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param procedureID
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "getProcedureDataAsXml")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureDataAsXml", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureDataAsXml")
    @ResponseWrapper(localName = "getProcedureDataAsXmlResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureDataAsXmlResponse")
    public String getProcedureDataAsXml(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param entityID
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TFamilyList
     */
    @WebMethod(action = "getProcedureFamilies")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureFamilies", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureFamilies")
    @ResponseWrapper(localName = "getProcedureFamiliesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureFamiliesResponse")
    public TFamilyList getProcedureFamilies(
        @WebParam(name = "entityID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String entityID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param mailboxList
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TBasicProcedureList
     */
    @WebMethod(action = "getProcedureIDsForMailboxes")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureIDsForMailboxes", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureIDsForMailboxes")
    @ResponseWrapper(localName = "getProcedureIDsForMailboxesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureIDsForMailboxesResponse")
    public TBasicProcedureList getProcedureIDsForMailboxes(
        @WebParam(name = "mailboxList", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TStringList mailboxList,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param proceedingID
     * @param ep
     * @param procedureID
     * @param taskID
     * @param folderID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TStringList
     */
    @WebMethod(action = "getProcedureMailboxes")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureMailboxes", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureMailboxes")
    @ResponseWrapper(localName = "getProcedureMailboxesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureMailboxesResponse")
    public TStringList getProcedureMailboxes(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "proceedingID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String proceedingID,
        @WebParam(name = "taskID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskID,
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TProceedingList
     */
    @WebMethod(action = "getProcedureProceedings")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureProceedings", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureProceedings")
    @ResponseWrapper(localName = "getProcedureProceedingsResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureProceedingsResponse")
    public TProceedingList getProcedureProceedings(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TResourceTypeList
     */
    @WebMethod(action = "getProcedureResourceTypes")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureResourceTypes", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureResourceTypes")
    @ResponseWrapper(localName = "getProcedureResourceTypesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureResourceTypesResponse")
    public TResourceTypeList getProcedureResourceTypes(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param telActionID
     * @param ep
     * @param telActionInstanceID
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TProcedureTelActionForm
     */
    @WebMethod(action = "getProcedureTelActionForm")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureTelActionForm", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureTelActionForm")
    @ResponseWrapper(localName = "getProcedureTelActionFormResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureTelActionFormResponse")
    public TProcedureTelActionForm getProcedureTelActionForm(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "telActionID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionID,
        @WebParam(name = "telActionInstanceID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionInstanceID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param telActionID
     * @param ep
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TTelActInstanceList
     */
    @WebMethod(action = "getProcedureTelActionInstances")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureTelActionInstances", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureTelActionInstances")
    @ResponseWrapper(localName = "getProcedureTelActionInstancesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureTelActionInstancesResponse")
    public TTelActInstanceList getProcedureTelActionInstances(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "telActionID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param telActionID
     * @param ep
     * @param telActionInstanceID
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TProcedureTelAction
     */
    @WebMethod(action = "getProcedureTelActionOrgan")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureTelActionOrgan", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureTelActionOrgan")
    @ResponseWrapper(localName = "getProcedureTelActionOrganResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureTelActionOrganResponse")
    public TProcedureTelAction getProcedureTelActionOrgan(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "telActionID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionID,
        @WebParam(name = "telActionInstanceID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionInstanceID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param procedureID
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "getProcedureWorkflowAsXml")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedureWorkflowAsXml", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureWorkflowAsXml")
    @ResponseWrapper(localName = "getProcedureWorkflowAsXmlResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedureWorkflowAsXmlResponse")
    public String getProcedureWorkflowAsXml(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param filter
     * @param procedureFamilyID
     * @param query
     * @param entityID
     * @param ep
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TProcedureList
     */
    @WebMethod(action = "getProcedures")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getProcedures", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProcedures")
    @ResponseWrapper(localName = "getProceduresResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetProceduresResponse")
    public TProcedureList getProcedures(
        @WebParam(name = "filter", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TProcedureFilter filter,
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "entityID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String entityID,
        @WebParam(name = "procedureFamilyID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureFamilyID,
        @WebParam(name = "query", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TSearchProcedureQuery query,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param telActionID
     * @param isInnerDocument
     * @param ep
     * @param telActionInstanceID
     * @param procedureID
     * @param parameters
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TDocumentList
     */
    @WebMethod(action = "getTelActionDocumentList")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getTelActionDocumentList", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetTelActionDocumentList")
    @ResponseWrapper(localName = "getTelActionDocumentListResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetTelActionDocumentListResponse")
    public TDocumentList getTelActionDocumentList(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "telActionID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionID,
        @WebParam(name = "telActionInstanceID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionInstanceID,
        @WebParam(name = "isInnerDocument", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TBoolean isInnerDocument,
        @WebParam(name = "parameters", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        TStringList parameters,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param telActionID
     * @param ep
     * @param telActionInstanceID
     * @param procedureID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43Procedimientos.TFormList
     */
    @WebMethod(action = "getTelActionForms")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
    @RequestWrapper(localName = "getTelActionForms", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetTelActionForms")
    @ResponseWrapper(localName = "getTelActionFormsResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.GetTelActionFormsResponse")
    public TFormList getTelActionForms(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "telActionID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionID,
        @WebParam(name = "telActionInstanceID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String telActionInstanceID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param fechaInicio
     * @param ep
     * @param userName
     * @param userID
     * @param procedureID
     * @param fechaFin
     */
    @WebMethod(action = "updateRequestDates")
    @RequestWrapper(localName = "updateRequestDates", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.UpdateRequestDates")
    @ResponseWrapper(localName = "updateRequestDatesResponse", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml", className = "com.ejie.ab61.clientesWS.X43Procedimientos.UpdateRequestDatesResponse")
    public void updateRequestDates(
        @WebParam(name = "userID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String userID,
        @WebParam(name = "userName", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String userName,
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "fechaInicio", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        String fechaInicio,
        @WebParam(name = "fechaFin", targetNamespace = "com/ejie/x43s/v2/fcp/ws/xml")
        String fechaFin,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

}
