package com.ejie.ab61.service.mensajesError;

import com.ejie.ab61.model.configuracionEventos.ConfigEventos;
import com.ejie.ab61.model.mensajesError.MensajesError;

public interface MensajesErrorService {

	/**
	 * Inserts a single row in the MensajesError table.
	 *
	 * @param mensajesError
	 *            MensajesError
	 * @return MensajesError
	 */
	MensajesError add(MensajesError mensajesError);

	/**
	 * Finds a single row in the MensajesError table.
	 *
	 * @param configEventos
	 *            MensajesError
	 * @return MensajesError
	 */
	MensajesError find(MensajesError mensajesError);

	/**
	 * Removes a single row in the MensajesError table.
	 *
	 * @param mensajesError
	 *            MensajesError
	 * @return
	 */
	public void remove(MensajesError mensajesError);

}
