<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>


<section>
	<div id="space"></div>
	<div class="container">
		<ul class="nav nav-tabs">
			<li role="presentation" class=""><a href="#" onclick="accederMenu('mantenimientoPlantillas')"><spring:message code="plantillas.gestionPlantillas" /></a></li>
			<li role="presentation" class="" id="pestaniaObjetos"><a href="#" onclick="accederMenu('camposplantilla')" ><spring:message code="plantillas.gestionObjetos"/></a></li>
			<li role="presentation" class="" id="pestaniaDocumentos"><a href="#" onclick="accederMenu('documentos')" ><spring:message code="plantillas.gestionDocumentos"/></a></li>
			<li role="presentation" class="active" id="pestaniaTiposPlantilla"><a href="#"><spring:message code="plantillas.gestionTiposPlantillas"/></a></li>
		</ul>
	</div>
</section>	
	 <div id="space"></div>
<section>

	<div class="container">	
		<div class="panel panel-default">
		<div id="id_capa"></div>
			<div class="panel-body">
				<div id="tiposPlantilla_div" class="rup-table-container">
				
					<div id="tiposPlantilla_feedback" class="hidden"></div>						<!-- Feedback de la tabla --> 
					<div id="tiposPlantilla_toolbar" class="mitoolbar clearfix"></div>							<!-- Botonera de la tabla -->
				
					<div id="tiposPlantilla_grid_div">
						<!-- Tabla -->
						<table id="tiposPlantilla"></table>
						<!-- Barra de paginación -->
						<div id="tiposPlantilla_pager"></div>
					</div>
				</div>
			</div>
		</div>
	</div>	

	<!-- Formulario de detalle -->
	<div id="tiposPlantilla_detail_div" class="rup-table-formEdit-detail">
		<div class="ui-dialog-content ui-widget-content" >
			<form id="tiposPlantilla_detail_form">					<!-- Formulario -->
				<div id ="tiposPlantilla_detail_feedback"></div>		<!-- Feedback del formulario de detalle -->
				<div class="floating_left_pad_right">
				
					<!-- Campos del formulario de detalle -->
					<input type="hidden" id="idTipoPlantilla" name="idTipoPlantilla"/>

					<div class="row">
						<div class="col-xs-12 form-group">
							<label class="required" for="descripcionCastellano_detail_table"><spring:message code="tiposPlantilla.descripcionCastellano"/>:</label>
							<input type="text" name="descripcionCastellano" class="form-control" id="descripcionCastellano_detail_table"/>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-12 form-group">
							<label class="required" for="descripcionEuskera_detail_table"><spring:message code="tiposPlantilla.descripcionEuskera"/>:</label>
							<input type="text" name="descripcionEuskera" class="form-control" id="descripcionEuskera_detail_table"/>
						</div>
					</div>	
					<div class="row">
						<div class="col-xs-12 form-group">
							<label for="taskId_detail_table"><spring:message code="tiposPlantilla.taskId"/>:</label>
							<input type="text" name="taskId" class="form-control" id="taskId_detail_table"/>
						</div>
					</div>	
					<div class="row">
						<div class="col-xs-12 form-group">
							<label for="proceedingId_detail_table"><spring:message code="tiposPlantilla.proceedingId"/>:</label>
							<input type="text" name="proceedingId" class="form-control" id="proceedingId_detail_table"/>
						</div>
					</div>	
					<div class="row">
						<div class="col-xs-12 form-group">
							<label for="taskType_detail_table"><spring:message code="tiposPlantilla.taskType"/>:</label>
							<input type="text" name="taskType" class="form-control" id="taskType_detail_table"/>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-12 form-group">
							<label for="title_detail_table"><spring:message code="tiposPlantilla.title"/>:</label>
							<input type="text" name="title" class="form-control" id="title_detail_table"/>
						</div>
					</div>	
					<div class="row">
						<div class="col-xs-12 form-group">
							<label for="documentRoleId_detail_table"><spring:message code="tiposPlantilla.documentRoleId"/>:</label>
							<input type="text" name="documentroleId" class="form-control" id="documentroleId_detail_table"/>
						</div>
					</div>	
					<div class="row">
						<div class="col-xs-12 form-group">
							<label for="documentRoleNameCas_detail_table"><spring:message code="tiposPlantilla.documentRoleNameCas"/>:</label>
							<input type="text" name="documentroleNameCas" class="form-control" id="documentroleNameCas_detail_table"/>
						</div>
					</div>	
					<div class="row">
						<div class="col-xs-12 form-group">
							<label for="documentRoleNameEus_detail_table"><spring:message code="tiposPlantilla.documentRoleNameEus"/>:</label>
							<input type="text" name="documentroleNameEus" class="form-control" id="documentroleNameEus_detail_table"/>
						</div>
					</div>	
					<!-- Fin campos del formulario de detalle -->
					
				</div>
			</form>
		</div>
		<!-- Botonera del formulario de detalle -->
		<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<!-- Botón Guardar -->
				<button id="tiposPlantilla_detail_button_save" type="button">
					<spring:message code="save" />
				</button>
				<!-- Enlace cancelar -->
				<a href="javascript:void(0)" id="tiposPlantilla_detail_link_cancel"
					class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
			</div>
		</div>
	</div>

</section>