<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@ page import="com.ejie.ab61.comun.Constantes"%>
<c:set var="REPRESENTANTE_LEGAL" value="<%=Constantes.TiposTercero.REPRESENTANTE_LEGAL%>" />
<c:set var="PERSONA_CONTACTO" value="<%=Constantes.TiposTercero.PERSONA_CONTACTO%>" />
<c:set var="NIF" value="<%=Constantes.TiposDocumento.CIF%>" />
<section>
<div class="container-fluid">
	<div id="id_capa"></div>
	<form:form  method="post" cssClass="form-horizontal" modelAttribute="solicitante" id="formSolicitante">
		<c:forEach items="${solicitante.relExpTers}" var="relExpTer">
			<c:set var="idTipoTercero" value= "${relExpTer.tiposTercero.idTipoTercero}" />
		</c:forEach>
	
	    <c:if test="${!empty solicitante}">
	        <form:hidden path="idTercero" value="${solicitante.idTercero}"/> 
	        <input type="hidden" id="idTipoDocumento" value="${solicitante.idTipoDocumento}"/> 
	        <input type="hidden" id="idTipoTercero" value="${idTipoTercero}"/> 
	        <form:hidden path="idSexo" />
	    </c:if>
	    <input type="hidden" id="eliminar" value="${eliminar}" />
	    <input type="hidden" id="idExpediente" name="idExpediente" value="${idExpediente}"></input> 
	    <c:choose>
			<c:when test="${solicitante.idTipoDocumento != NIF}">
			    <div class="row">
			        <div class="col-xs-4 form-group">
			            <form:label path="nombre"><spring:message code="solicitante.nombre" text="Nombre"/></form:label>
				            <c:choose>
							    <c:when test="${(idTipoTercero ==PERSONA_CONTACTO) || (idTipoTercero == REPRESENTANTE_LEGAL)}">
							  		<form:input type="text" path="nombre" class="form-control"  readonly="false"  maxlength="260"/>
							    </c:when>
							    <c:otherwise>
							    	<form:input type="text" path="nombre" class="form-control"  readonly="true" />					 
								 </c:otherwise>
							</c:choose>
			        </div>
		           <div class="col-xs-4 form-group">
			            <form:label path="nombre"><spring:message code="solicitante.apellido1" text="Nombre"/></form:label>
			            <c:choose>
						   <c:when test="${(idTipoTercero == PERSONA_CONTACTO ) || (idTipoTercero == REPRESENTANTE_LEGAL)}">
						  		<form:input type="text" path="apellido1" class="form-control"  readonly="false"  maxlength="260" />
						    </c:when>
						    <c:otherwise>
						    	<form:input type="text" path="apellido1" class="form-control"  readonly="true" />					 
							 </c:otherwise>
						</c:choose>
			       </div>
		           <div class="col-xs-4 form-group">
			            <form:label path="nombre"><spring:message code="solicitante.apellido2" text="Nombre"/></form:label>
			            <c:choose>
						   <c:when test="${(idTipoTercero == PERSONA_CONTACTO) || (idTipoTercero == REPRESENTANTE_LEGAL)}">
						  		<form:input type="text" path="apellido2" class="form-control"  readonly="false"  maxlength="260" />
						    </c:when>
						    <c:otherwise>
						    	<form:input type="text" path="apellido2" class="form-control"  readonly="true" />					 
							 </c:otherwise>
						</c:choose>
		        	</div>
			    </div>
			  	<c:if test="${idTipoTercero != PERSONA_CONTACTO}">
				   <div class="row">
				   		<div class="col-xs-4 form-group">
							  <label for="idTipoDocumento"><spring:message code="solicitante.tipoDocumento"/></label>
							  <select class="form-control" id="idComboTipoDocumentoParticipante" name="idTipoDocumento" required="required" disabled="disabled"></select>
						</div>
						<div class="col-xs-4 form-group">
							<form:label path="documento"><spring:message code="solicitante.nif" text="NIF"/></form:label>
							<form:input type="text" path="documento" class="form-control" readonly="true"/>
						</div>
						
						 <c:if test="${idTipoTercero != REPRESENTANTE_LEGAL}">
				  			<div class="col-xs-4 form-group">
								<form:label path="idSexo"><spring:message code="solicitante.sexo" text="Sexo"/></form:label>
							    	<c:choose>
									    <c:when test="${lenguaje =='es'}">	
											<form:input type="text" path="sexoIdioma.descripcionCastellano"  readonly="true"  class="form-control" />				   
									    </c:when>
									    <c:otherwise>
									     	 <form:input type="text" path="sexoIdioma.descripcionEuskera"  readonly="true"  class="form-control" />		
									    </c:otherwise>
									</c:choose>
				  			</div>
				  		</c:if>
					</div>
				</c:if>
			</c:when>
			<c:otherwise>
				<div class="row">
			        <div class="col-xs-4 form-group">
			            <form:label path="nombre"><spring:message code="solicitante.nombre" text="Nombre"/></form:label>
			            <c:choose>
						    <c:when test="${(idTipoTercero ==PERSONA_CONTACTO) || (idTipoTercero == REPRESENTANTE_LEGAL)}">
						  		<form:input type="text" path="nombre" class="form-control" readonly="false"  maxlength="260"/>
						    </c:when>
						    <c:otherwise>
						    	<form:input type="text" path="nombre" class="form-control" readonly="true" />					 
							 </c:otherwise>
						</c:choose>
			        </div>
					<div class="col-xs-4 form-group">
						<form:label path="documento"><spring:message code="empresa.nif" text="NIF"/></form:label>
						<c:choose>
						    <c:when test="${(idTipoTercero ==PERSONA_CONTACTO) || (idTipoTercero == REPRESENTANTE_LEGAL)}">
						  		<form:input type="text" path="documento" class="form-control" readonly="false" maxlength="65"/>
						    </c:when>
						    <c:otherwise>
						    	<form:input type="text" path="documento" class="form-control" readonly="true" />					 
							 </c:otherwise>
						</c:choose>
					</div>
				 </div>
			</c:otherwise>
		</c:choose>
		<c:choose>
			<c:when test="${(idTipoTercero == PERSONA_CONTACTO) || (idTipoTercero == REPRESENTANTE_LEGAL)}">
				<div class="row">
					 <div class="col-xs-3 form-group">
							<form:label path="idSexo"><spring:message code="solicitante.sexo" text="Sexo"/></form:label>
					    	<select class="form-control" id="comboSexo" /></select>
					    	<form:hidden path="idSexo" class="sexo"/>
					 </div>
					
		             <c:if test="${idTipoTercero == PERSONA_CONTACTO}">
					   <div class="col-xs-4 form-group">
							<label ><spring:message code="solicitante.telefono" text="Telefono de contacto"/></label>
							<form:input type="text" path="telefono" class="form-control phone"  value="${solicitante.telefono}" readonly="false" maxlength="10"/>	
						</div>
					
			            <div class="col-xs-5 form-group">
			                <label ><spring:message code="solicitante.email" text="Email"/></label>
			                <form:input type="text" path="email" class="form-control email"  value="${solicitante.email}" readonly="false" maxlength="100"/>	
			            </div> 
		            </c:if> 
	         	</div>
          	</c:when>
         	 <c:otherwise>
        
	         	<c:if test="${not empty solicitante.canalesAvisos}">
	        		<div class="row">
			            <div class="col-xs-6 form-group">
				            <c:if test="${hayTipoSMS == 'S'}">	
				                <label style="margin-left: 17px;"><spring:message code="solicitante.telefono" text="Telefono de contacto"/></label>           
					                <ul class="quitarPunto">
					                	<c:forEach items="${solicitante.canalesAvisos}" var="canalAvisoItem">
						                	<c:if test="${canalAvisoItem.tiposCanalAviso.idTipoCanalAviso==1}">
							                    <li><i class="fa fa-phone" aria-hidden="true"></i>${canalAvisoItem.canalAviso}</li>
							                </c:if>   
					                    </c:forEach>	
					                </ul>	
					        </c:if>  
			           </div>
			           <div class="col-xs-6 form-group">
				           <c:if test="${hayTipoEMAIL == 'S'}">		
				                <label style="margin-left: 17px;"><spring:message code="solicitante.email" text="Email"/></label>
					                <ul class="quitarPunto">
					               		<c:forEach items="${solicitante.canalesAvisos}" var="canalAvisoItem">
						                	<c:if test="${canalAvisoItem.tiposCanalAviso.idTipoCanalAviso==2}">
						                    	<li><i class="fa fa-envelope-o" aria-hidden="true"></i>${canalAvisoItem.canalAviso}</li>
						                    </c:if>   
					                    </c:forEach>
					                </ul>	
					         </c:if>  
			            </div>
		         	</div>
		         </c:if>
   			 </c:otherwise>
  		</c:choose>
   	
	</form:form>
	<c:if	test="${(idTipoTercero == PERSONA_CONTACTO) || (idTipoTercero == REPRESENTANTE_LEGAL)}">
		<div id="space"></div>
		<div class="modal-footer">
	  
	  		<button type="button" class="btn btn-primary" data-dismiss="modal"><spring:message code="boton.guardar"/></button>
	  
		</div>
	</c:if>
</div>
</section>
