var tipoGuardar;
var filaSeleccionadaFechasExpediente;
var datosFilaFechasExpediente;

jQuery(function($) {
	
	//Ocultar / mostrar opciones del menú
	$("#mnFichaExpediente").hide();
	$("#mnListados").hide();
	$("#mnMantenimientoTablas").show();
	$("#mnMantenimientoListados").show();
	$("#mnMantenimientoPlantillas").show();
	$("#mnMantenimientoModuloAdministrativo").show();
	$("#mnMantenimientoTablas").addClass("active");
	
	//Feedback tabla fechas de expediente
	$("#tablaFechasExpedienteFeedback").rup_feedback({
		gotoTop: false,
		block: false,
		closeLink: true
	});
	
	//Feedback modal detalle fechas de expediente
	$("#fechasExpedienteModalFeedback").rup_feedback({
		gotoTop: false,
		block: false,
		closeLink: true
	});
	
	//Modal detalle fechas de expediente
	$("#fechasExpedienteModal").rup_dialog({
		autoOpen: false,
		width: 700,
		modal: true,
		position: { my: "center center" },
		title: $.rup.i18n.app.fechasExpediente.configurar,
		type: $.rup.dialog.DIV,
		close: function(){
			$("#fechasExpedienteModalForm")[0].reset();
		},
		open: function(){
			
			filaSeleccionadaFechasExpediente = $("#tablaFechasExpediente").rup_table("getSelectedRows")[0];
			datosFilaFechasExpediente = $("#tablaFechasExpediente").rup_table("getRowData", filaSeleccionadaFechasExpediente);
			
			if(datosFilaFechasExpediente.numeroRelExpFech > 0 && tipoGuardar === "PUT"){
				$("#tipoEventoFechasExpedienteModal").prop("disabled", true);
				$("#statusModal").prop("disabled", true);
				$("#instanceIdModal").prop("disabled", true);
				$("#plateaTypeFechasExpedienteModal").prop("disabled", true);
				$("#plateaSubtypeFechasExpedienteModal").prop("disabled", true);
				$("#tipoDokusiModal").prop("disabled", true);
				$("#subtipoDokusiModal").prop("disabled", true);
				$("#asuntoDocumentalModal").prop("disabled", true);
				$("#taskIdModal").prop("disabled", true);
				$("#situacionIdModal").prop("disabled", true);
			} else{
				$("#tipoEventoFechasExpedienteModal").prop("disabled", false);
				$("#statusModal").prop("disabled", false);
				$("#instanceIdModal").prop("disabled", false);
				$("#plateaTypeFechasExpedienteModal").prop("disabled", false);
				$("#plateaSubtypeFechasExpedienteModal").prop("disabled", false);
				$("#tipoDokusiModal").prop("disabled", false);
				$("#subtipoDokusiModal").prop("disabled", false);
				$("#asuntoDocumentalModal").prop("disabled", false);
				$("#taskIdModal").prop("disabled", false);
				$("#situacionIdModal").prop("disabled", false);
			}
			
			desbloquearInterfaz();
		}
	});
	
	//TABLA FECHAS EXPEDIENTE
	$("#tablaFechasExpediente").rup_table({
		url: "/ab61WebAppWar/fechasexpediente",
		headertitles: true,
		autowidth: true,
		colNames: [
				   '',
				   $.rup.i18n.app.tablaMantenimientoFechasExpediente.etiquetaFecha,
				   $.rup.i18n.app.tablaMantenimientoFechasExpediente.tipoEvento,
				   $.rup.i18n.app.tablaMantenimientoFechasExpediente.plateaType,
				   $.rup.i18n.app.tablaMantenimientoFechasExpediente.plateaSubtype,
				   $.rup.i18n.app.tablaMantenimientoFechasExpediente.tipoDokusi,
				   $.rup.i18n.app.tablaMantenimientoFechasExpediente.subtipoDokusi,
				   $.rup.i18n.app.tablaMantenimientoFechasExpediente.asuntoDocumental,
				   ''
		          ],
      colModel: [{
				   name: "idFechaExpediente",
				   label: "idFechaExpediente",
				   hidden: true
			  },{
				   name: "etiquetaFecha",
				   label: "etiquetaFecha",
				   align: "center"
			  },{
				   name: "tipoEvento",
				   label: "tipoEvento",
				   align: "center"
			  },{
				   name: "plateaType",
				   label: "plateaType",
				   align: "center"
			  },{
				   name: "plateaSubtype",
				   label: "plateaSubtype",
				   align: "center"
			  },{
				   name: "tipoDokusi",
				   label: "tipoDokusi",
				   align: "center"
			  },{
				   name: "subtipoDokusi",
				   label: "subtipoDokusi",
				   align: "center"
			  },{
				   name: "asuntoDocumental",
				   label: "asuntoDocumental",
				   align: "center"
			  },{
				   name: "numeroRelExpFech",
				   label: "numeroRelExpFech",
				   hidden: true
			  }],
		model: "FechasExpediente",
		loadComplete:function (){
			$("#tablaFechasExpediente").setSelection($("#tablaFechasExpediente .jqgrow").attr("id"));
			if($("#tablaFechasExpediente").rup_table("getDataIDs").length === 0){
				$("#btnModifFechasExpediente").addClass("ui-widget ui-button-disabled ui-state-disabled");
				$("#btnBorrarFechasExpediente").addClass("ui-widget ui-button-disabled ui-state-disabled");
			} else{
				$("#btnModifFechasExpediente").removeClass("ui-widget ui-button-disabled ui-state-disabled");
				$("#btnBorrarFechasExpediente").removeClass("ui-widget ui-button-disabled ui-state-disabled");
			}
		},
		usePlugins: [
			"responsive",
			"feedback",
			"toolbar",
			"filter"
		],
		multiselect: false,
		loadOnStartUp : true,
		primaryKey: "idFechaExpediente",
		sortname: "etiquetaFecha",
		sortorder : "asc"
	});
	
	//Botón filtrar fechas de expediente
	$("#btnBuscarFechasExpediente").click(function(){
		$("#tablaFechasExpediente").trigger("reloadGrid");
	});
	
	//Botón limpiar filtro fechas de expediente
	$("#btnLimpiarFechasExpediente").click(function(){
		$("#tablaFechasExpediente_filter_form")[0].reset();
	});
	
	//Botón nueva fecha de expediente
	$("#btnAddFechasExpediente").click(function(){
		bloquearInterfaz();
		tipoGuardar = "POST";
		$("#fechasExpedienteModal").rup_dialog("open");
	});
	
	//Botón editar fecha de expediente
	$("#btnModifFechasExpediente").click(function(){
		bloquearInterfaz();
		tipoGuardar = "PUT";
		recuperarFechasExpediente();
	});
	
	//Botón eliminar fecha de expediente
	$("#btnBorrarFechasExpediente").click(function(){
		
		filaSeleccionadaFechasExpediente = $("#tablaFechasExpediente").rup_table("getSelectedRows")[0];
		datosFilaFechasExpediente = $("#tablaFechasExpediente").rup_table("getRowData", filaSeleccionadaFechasExpediente);
		
		if(datosFilaFechasExpediente.numeroRelExpFech > 0){
			$("#tablaFechasExpedienteFeedback").rup_feedback("set", $.rup.i18n.app.fechasExpediente.registroSecundario, "alert")
		} else{
			$.rup_messages("msgConfirm", {
				title: $.rup.i18n.app.fechasExpediente.borrar,
				message: $.rup.i18n.app.fechasExpediente.borrarConfirm,
				OKFunction: function(){
					bloquearInterfaz();
					$.ajax({
						url: "/ab61WebAppWar/fechasexpediente/" + $("#tablaFechasExpediente").rup_table("getGridParam", "selrow"),
						type: "DELETE",
						success: function(){
							$("#tablaFechasExpedienteFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.OK.datos_eliminados_OK, "ok");
							$("#tablaFechasExpediente").trigger("reloadGrid");
							desbloquearInterfaz();
						},
						error: function(){
							$("#tablaFechasExpedienteFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
							desbloquearInterfaz();
						}
					});
				}
			});
		}
	});
	
	//Botón exportar a Excel fechas de expediente
	$("#btnExcelFechasExpediente").click(function(){
		
		var numeroFilas = $("#tablaFechasExpediente").rup_table("getDataIDs").length;
		if(numeroFilas === 0){
			$("#tablaFechasExpedienteFeedback").rup_feedback("set",$.rup.i18n.app.mensajes.tablaVaciaExport, "alert");
		}else{
			excelFechasExpediente_handleReport();
		}
		
	});
	
	//Botón cancelar modal fechas de expediente
	$("#fechasExpedienteModalCancelar").click(function(){
		$("#fechasExpedienteModal").rup_dialog("close");
	});
	
	//Botón guardar fechas de expediente
	$("#fechasExpedienteModalGuardar").click(function(){
		bloquearInterfaz();
		$("#fechasExpedienteModalForm").rup_form({
			feedback: $("#fechasExpedienteModalFeedback"),
			url: "/ab61WebAppWar/fechasexpediente",
			type: tipoGuardar,
			dataType: "json",
			validate: {
				liveCheckingErrors: false,
				showFieldErrorAsDefault: true,
				showErrorsInFeedback: false,
				showFieldErrorsInFeedback: true,
				rules: {
					"tipoEvento" 			: { maxlength : 20 },
					"plateaType"	  		: { maxlength : 50 },
					"plateaSubtype"	  		: { maxlength : 64 },
					"tipoDokusi"		  	: { maxlength : 64 },
					"subtipoDokusi"  		: { maxlength : 64 },
					"asuntoDocumental"	  	: { maxlength : 64 },
					"taskId"	  			: { maxlength : 150 },
					"situacionId"		  	: { maxlength : 200 },
					"status"  				: { number : true },
					"etiquetaFecha"	  		: { maxlength : 100 },
					"descripcionCastellano"	: { maxlength : 200 },
					"descripcionEuskera"	: { maxlength : 200 },
					"instanceId"  			: { number : true }
				}
			},
			success: function(){
				$("#tablaFechasExpediente").trigger("reloadGrid");
				$("#fechasExpedienteModal").rup_dialog("close");
				$("#tablaFechasExpedienteFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
			},
			error: function(){
				$("#fechasExpedienteModalFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
			}
		});
		
		$("#fechasExpedienteModalForm").submit();
		desbloquearInterfaz();
		
	});
	
});

//Recuperar FechasExpediente a editar
function recuperarFechasExpediente(){
	$.ajax({
		type: "GET",
		url: "/ab61WebAppWar/fechasexpediente/" + $("#tablaFechasExpediente").rup_table("getGridParam", "selrow"),
		dataType: "json",
		success: function(data){
			$("#idFechasExpedienteModal").val(data.idFechaExpediente);
			$("#tipoEventoFechasExpedienteModal").val(data.tipoEvento);
			$("#statusModal").val(data.status);
			$("#instanceIdModal").val(data.instanceId);
			$("#plateaTypeFechasExpedienteModal").val(data.plateaType);
			$("#plateaSubtypeFechasExpedienteModal").val(data.plateaSubtype);
			$("#tipoDokusiModal").val(data.tipoDokusi);
			$("#subtipoDokusiModal").val(data.subtipoDokusi);
			$("#asuntoDocumentalModal").val(data.asuntoDocumental);
			$("#etiquetaFechaModal").val(data.etiquetaFecha);
			$("#descEsFechasExpedienteModal").val(data.descripcionCastellano);
			$("#descEuFechasExpedienteModal").val(data.descripcionEuskera);
			$("#taskIdModal").val(data.taskId);
			$("#situacionIdModal").val(data.situacionId);
			$("#fechasExpedienteModal").rup_dialog("open");
			desbloquearInterfaz();
		},
		error: function(){
			$("#tablaFechasExpedienteFeedback").rup_feedback("set", $.rup.i18n.app.fechasExpediente.recuperarFechasExpedienteError, "error");
			desbloquearInterfaz();
		}
	});
}

//Mostrar los resultados del Excel en el mismo orden en el que se ven en la tabla (Fechas de expediente)
function excelFechasExpediente_handleReport(){
	var sord = $("#tablaFechasExpediente").rup_table('getGridParam','sortorder'); 
	var sidx = $("#tablaFechasExpediente").rup_table('getGridParam','sortname'); 
	window.open("/ab61WebAppWar/fechasexpediente/xlsReport?"+$('#fechasExpediente_Report').serialize()+"&sord="+sord+"&sidx="+sidx);
}