jQuery(function($) {

	$("#mnFichaExpediente").hide();
	$("#mnListados").hide();
	$("#mnMantenimientoTablas").show();
	$("#mnMantenimientoListados").show();
	$("#mnMantenimientoPlantillas").show();
	$("#mnMantenimientoModuloAdministrativo").show();
	
	$("#mnMantenimientoPlantillas").addClass("active");
	
	if($("#roleAb61In0008").val() == "true"){
		$("#mnMantenimientoModuloAdministrativo").css("display","none");
		$("#mnMantenimientoListados").css("display","none");
		$("#mnFichaExpediente").css("display","none");
		$("#mnListados").css("display","none");
		$("#mnMantenimientoTablas").css("display","none");
	}

	if($("#roleAb61In0008").val() == "true" && ($("#roleTecnicoTurismo").val() == "true" || $("#roleTecnicoComercio").val() == "true" || $("#roleTecnicoConsumo").val() == "true")){
		
		var direccion;
		
		if($("#roleTecnicoTurismo").val() == "true"){
			direcion=TECNICOTURISMO;
		}
		
		if($("#roleTecnicoComercio").val() == "true"){
			direcion=TECNICOCOMERCIO;
		}
		
		if($("#roleTecnicoConsumo").val() == "true"){
			direcion=TECNICOCONSUMO;
		}
		
		//TABLA DOCUMENTOS
		$("#tbldocumentos").rup_table({
			url: "/ab61WebAppWar/documentos/documentosPorDireccion/"+direcion,
			headertitles: true,
			autowidth: true,
			colNames: [
					   '',
					   $.rup.i18n.app.tablaMantenimientoDocumentos.nombreDocumento,
					   $.rup.i18n.app.tablaMantenimientoDocumentos.nombreArchivo,
					   $.rup.i18n.app.tablaMantenimientoDocumentos.observaciones,
					   $.rup.i18n.app.tablaMantenimientoDocumentos.relplacam,
					   $.rup.i18n.app.tablaMantenimientoDocumentos.plantillas,
			          ],
	      colModel: [{
					   name: "idDocumento",
					   label: "idDocumento",
					   hidden: true
				  },{
					   name: "nombreDocumento",
					   label: "nombreDocumento",
					   align: "left",
					   width: 150
				  },{
					   name: "nombreArchivo",
					   label: "nombreArchivo",
					   align: "left",
					   width: 150,
					   formatter:linkDescargaFichero
				  },{
					   name: "observaciones",
					   label: "observaciones",
					   align: "left",
					   width: 150				   
				  },{
					   name: "relplacam",
					   label: "relplacam",
					   align: "left",
					   width: 65				   
				  },{
					   name: "plantilla",
					   label: "plantilla",
					   align: "left",
					   width: 70				   
				  }],
			model: "Documentos",
			loadComplete:function (){								
				 $("#tbldocumentos").setSelection($("#tbldocumentos .jqgrow").attr("id")); 
				 var ids = $("#tbldocumentos").rup_table("getDataIDs");
				 for (var i=0; i<ids.length; i++){
					 var id=ids[i];
					 var datos=$("#tbldocumentos").rup_table("getRowData", id);
					 if(datos.plantilla == 0){
						 $("#tbldocumentos tr[id="+datos.idDocumento+"]").addClass("color-rojo");
					 }
				 }		
			},
			usePlugins: [
				"responsive",
				"feedback",
				"filter",
				"toolbar",
				"report"
			],
	    	core : {
				showOperations : {
					"clone" : false
				}
	    	},
			multiselect: false,
			loadOnStartUp : true,
			primaryKey: "idDocumento",
			rowNum:20,
			sortname: 'nombreDocumento',
			sortorder : "asc",
			report: {
	 			buttons:[
	 				{id:"reports", i18nCaption:"INFORMES", right:true,
	 					buttons:[
	 						{ i18nCaption:"XLS", 
	 							url: "../documentos/xlsReport",
	 							css : "fa fa-file-excel-o",
	 						}
	 					 ]
	 				}
	 			],			
	 		},
		});	
	}else{
		//TABLA DOCUMENTOS
		$("#tbldocumentos").rup_table({
			url: "/ab61WebAppWar/documentos",
			headertitles: true,
			autowidth: true,
			colNames: [
					   '',
					   $.rup.i18n.app.tablaMantenimientoDocumentos.nombreDocumento,
					   $.rup.i18n.app.tablaMantenimientoDocumentos.nombreArchivo,
					   $.rup.i18n.app.tablaMantenimientoDocumentos.observaciones,
					   $.rup.i18n.app.tablaMantenimientoDocumentos.relplacam,
					   $.rup.i18n.app.tablaMantenimientoDocumentos.plantillas,
			          ],
	      colModel: [{
					   name: "idDocumento",
					   label: "idDocumento",
					   hidden: true
				  },{
					   name: "nombreDocumento",
					   label: "nombreDocumento",
					   align: "left",
					   width: 150
				  },{
					   name: "nombreArchivo",
					   label: "nombreArchivo",
					   align: "left",
					   width: 150,
					   formatter:linkDescargaFichero
				  },{
					   name: "observaciones",
					   label: "observaciones",
					   align: "left",
					   width: 150				   
				  },{
					   name: "relplacam",
					   label: "relplacam",
					   align: "left",
					   width: 65				   
				  },{
					   name: "plantilla",
					   label: "plantilla",
					   align: "left",
					   width: 70				   
				  }],
			model: "Documentos",
			loadComplete:function (){
				if($("#roleAb61In0008").val() == "true" && $("#roleTecnicoTurismo").val() == "false" && $("#roleTecnicoComercio").val() == "false" && $("#roleTecnicoConsumo").val() == "false"){
	 				$("#tbldocumentos").rup_table("clearGridData", false);
	 				$("#nombreDocumento").prop( "disabled", true );
	 				$("#nombreArchivo").prop( "disabled", true );
	 				$("#btnBuscarDocumentos").prop( "disabled", true );
	 				$("#btnLimpiarDocumentos").prop( "disabled", true );
	 				$("#btnAdd").addClass("ui-button-disabled");
	 				$("#btnAdd").addClass("ui-state-disabled");
	 				$("#btnModif").addClass("ui-button-disabled");
	 				$("#btnModif").addClass("ui-state-disabled");
	 				$("#btnBorrar").addClass("ui-button-disabled");
	 				$("#btnBorrar").addClass("ui-state-disabled");
	 				$("#tbldocumentos_toolbar-rightButtons").addClass("ui-button-disabled");
	 				$("#tbldocumentos_toolbar-rightButtons").addClass("ui-state-disabled");
	 			}else{
					 $("#tbldocumentos").setSelection($("#tbldocumentos .jqgrow").attr("id")); 
					 var ids = $("#tbldocumentos").rup_table("getDataIDs");
					 for (var i=0; i<ids.length; i++){
						 var id=ids[i];
						 var datos=$("#tbldocumentos").rup_table("getRowData", id);
						 if(datos.plantilla == 0){
							 $("#tbldocumentos tr[id="+datos.idDocumento+"]").addClass("color-rojo");
						 }
					 }
	 			}
			},
			usePlugins: [
				"responsive",
				"feedback",
				"filter",
				"toolbar",
				"report"
			],
	    	core : {
				showOperations : {
					"clone" : false
				}
	    	},
			multiselect: false,
			loadOnStartUp : true,
			primaryKey: "idDocumento",
			rowNum:20,
			sortname: 'nombreDocumento',
			sortorder : "asc",
			report: {
	 			buttons:[
	 				{id:"reports", i18nCaption:"INFORMES", right:true,
	 					buttons:[
	 						{ i18nCaption:"XLS", 
	 							url: "../documentos/xlsReport",
	 							css : "fa fa-file-excel-o",
	 						}
	 					 ]
	 				}
	 			],			
	 		}
		});	
	}
	
	$("#btnBuscarDocumentos").on("click",function () {
		$("#tbldocumentos").trigger("reloadGrid");
	});
	
	$("#btnLimpiarDocumentos").on("click",function () {
		$("#tbldocumentos_filter_form")[0].reset();
	});
	
	$('[id = tbldocumentos_toolbar##reports]').addClass("btn-circle");
	$('[id = tbldocumentos_toolbar##reports]').css( "border","0");
	
	$(".fa-cog").css( "position","absolute");
	$(".fa-cog").css( "top","8px");
	$(".fa-cog").css( "right","7px");
	$("#tbldocumentos_toolbar").css( "background","white");

	
	$("#tbldocumentos").on("jqGridAddEditClickSubmit", function(rowid,callback,url,op){

		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		if(op=="edit"){
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_modificado, "ok");
		}else{
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_ok, "ok");
		}
	});
	
	$("#tbldocumentos").on("rupTableAfterDelete", function(data, textStatus, xhr){
		
		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_borrado, "ok");

	});
	
	$('#btnAdd').rup_tooltip({
		content:{
			text:$.rup.i18n.app.anadir
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});		
	
	$('#btnModif').rup_tooltip({
		content:{
			text:$.rup.i18n.app.editar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});	
	
	$('#btnBorrar').rup_tooltip({
		content:{
			text:$.rup.i18n.app.eliminar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});	
	
	$('#btnModif').on("click",function () {
		abrirDialog("/ab61WebAppWar/documentos/modificar/" + $("#tbldocumentos").rup_table("getGridParam", "selrow"));
	});	
	
	$('#btnAdd').on("click",function () {
		abrirDialog("/ab61WebAppWar/documentos/anyadir/");
	});
	

	$('#btnBorrar').on("click",function () {

		$.ajax({
	        url: "/ab61WebAppWar/plantillas/obtenerNumPlantillas/"+$("#tbldocumentos").rup_table("getGridParam", "selrow"),
	        success: function(respuesta) {
	        	if (respuesta > 0)
	        	{
		    		$.rup_messages("msgConfirm", {
		    			title:  $.rup.i18n.app.tablaMantenimientoDocumentos.borrarDocumento,
		    			message: $.rup.i18n.app.tablaMantenimientoDocumentos.documentoConPlantilla,
		    			OKFunction: function(){
		    				borrarObjeto(respuesta);
		    			}
		    		});	        		
	        	}
	        	else
	        		borrarObjeto(0);
	        },
	        error: function() {
	        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
	        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
	        	desbloquearInterfaz();
	        }
	    });			
	})
	
});

function borrarObjeto(registrosHijo){
	
	bloquearInterfaz();
	$.ajax({
        url: "/ab61WebAppWar/documentos/"+$("#tbldocumentos").rup_table("getGridParam", "selrow")+"/"+registrosHijo,
        type: "DELETE",
        success: function() {
        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_eliminados_OK, "ok");
			$("#tbldocumentos").trigger("reloadGrid");
			desbloquearInterfaz();
        },
        error: function() {
        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
        	desbloquearInterfaz();
        }
    });	
}


function abrirDialog(urlDestino) {
	 $("#tbldocumentos_modal_div").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: urlDestino ,
		autoOpen: true,
		modal: true,
		width:1100,
		resizable: true,
		closeOnEscape:false,
		ajaxOptions: {
			success: function (){
				desbloquearInterfaz();
			}
		}, 
		title: $.rup.i18n.app.tablaMantenimientoDocumentos.configurar,
		buttons: [{
			text: $.rup.i18n.app.aceptar,
			click: function () { 
					guardarDocumento();
				},
			css: { backgroundColor: '#159dc9 !important',outline:"0px",color:"white",border:"0px"} ,
			},
			{
				text: $.rup.i18n.app.cerrar,
				btnType: $.rup.dialog.LINK,
				click: function () { 
					$("#tbldocumentos_modal_div").rup_dialog("close");
					$("#tbldocumentos").trigger("reloadGrid");
				}
			}
		]
	});	
}	

function guardarDocumento(){
	
	if ($("#nombreDocumentoDetalle").val() === "" && $("#ficheroDetalle").val() === "" && $("#nombreArchivoDetalle").val() === "") {
		$("#documentosDetalle_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#documentosDetalle_feedback").rup_feedback("set",$.rup.i18n.app.tablaMantenimientoDocumentos.nombreYArchivoObligatorios, "error");
	}
	else if ($("#nombreDocumentoDetalle").val() === "") {
		$("#documentosDetalle_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#documentosDetalle_feedback").rup_feedback("set",$.rup.i18n.app.tablaMantenimientoDocumentos.nombreObligatorio, "error");
	}	
	else if ($("#ficheroDetalle").val() === "" && $("#nombreArchivoDetalle").val() === "") {
		$("#documentosDetalle_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#documentosDetalle_feedback").rup_feedback("set",$.rup.i18n.app.tablaMantenimientoDocumentos.archivoObligatorio, "error");
	}
	else
	{
		$("#documentosForm").rup_form({
			url:"/ab61WebAppWar/documentos/modif",
			type : "POST",
			dataType : 'json',
			success:function(data){
				$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
				$("#tbldocumentos").trigger("reloadGrid");	
	       		desbloquearInterfaz();
	       		if (null !== data.nombreArchivo && "" !== data.nombreArchivo) {
	       			$("#conNombre").show();
	       			$("#sinNombre").hide();
	       			$("#nombreArchivoDetalle").val(data.nombreArchivo);
	       		}else{
	       			$("#conNombre").hide();
	       			$("#sinNombre").show();
	       		}
	       		$("#tbldocumentos_modal_div").rup_dialog("close");
			},
			error : function(){
				$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
	        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
				desbloquearInterfaz();
			}
		});
		bloquearInterfaz();
		$("#documentosForm").submit();		
	}
}

function linkDescargaFichero(cellvalue, options, rowObject) {
	if (rowObject.nombreArchivo == null || rowObject.nombreArchivo == ""){
		return "";
	}else{
		return "<a href=/ab61WebAppWar/documentos/descargaFichero/"+ rowObject.idDocumento +"><u>" + cellvalue + "</u></a>";
	}
}
