$(document).ready(function(){
	$("#mnFichaExpediente").show();
	$("#mnListados").show();
	$("#mnMantenimientoTablas").hide();
	$("#mnMantenimientoListados").hide();
	$("#mnMantenimientoPlantillas").hide();
	$("#mnMantenimientoModuloAdministrativo").hide();
	

	$("#mnListados").addClass("active");
	
	cargarComboBusquedas();
	desbloquearInterfaz();
	
});
//Funcion para navegar en la Ficha del Expedeinte y además Enviar el INIT_FORM




function cargarComboBusquedas(){

	var idProcedimiento = $("#idProcedimientoInitForm").val();
	if ("" !== idProcedimiento) {
		$("#comboListado").rup_combo({
			blank : "",
			source : "/ab61WebAppWar/listadosCliente/getAllRelLisProByProc/"+idProcedimiento,
			sourceParam : {
				label : "nombre",
				value : "idListado"
			},
			select: function() {
				var idListado = $("#comboListado").val();
				$("#datosBusqueda").html("");
				if ("" !== idListado) {
					$.ajax({	
				        url: "/ab61WebAppWar/busquedas/"+idListado,
				        type: "GET",
				        success: function(respuesta) {
				        	tratarRespuesta(respuesta);
				        },
				        error: function(){

				        }
				     });
				}	
			},
			width: 500
		});
	}
}

function tratarRespuesta(respuesta){
	//pintar lista de busquedas y parametros de la busqueda
	var jsonResultado = JSON.parse(respuesta);
	var html = "";
	$.each(jsonResultado, function(indexBusqueda, busqueda) {
		html += "<div class='movchekbox'>"
				    +"<input type='checkbox' class='busquedaschecked' value=" + busqueda.idBusqueda + "> </input> "
			    + "<b>" + busqueda.nombre + "</b> </br></br>";
		$.each(busqueda.parametros, function(indexParametro, parametros) {
		   if ("eu"==$.rup_utils.get("language")){
				html +="<div style='margin-left:2em'>" 
		 			+ parametros.textoMostrarEus 
		 			+"<input type='text' id='"+ parametros.idParametro + "' class='"+ busqueda.idBusqueda  +"' style='margin-left:2em'> </input>" 
		 			+"</div></br>"	
			}else{
				html +="<div style='margin-left:2em'>" 
		 			+ parametros.textoMostrar 
		 			+"<input type='text' id='"+ parametros.idParametro + "' class='"+ busqueda.idBusqueda  +"' style='margin-left:2em'> </input>" 
		 			+"</div></br>"	
			}	
		});
		html += "</div>";
	});
	if (null !== respuesta && "" !== respuesta) {
		html += "</br></br> <button type='button' id='btnEjecutar' class='.btn btn-primary ui-button ui-corner-all ui-widget'>" + $("#botonCrearListado").val() +"</button>"
	}
	$("#datosBusqueda").html(html);
	
	
	$("#form_listado").rup_form({
		url : "/ab61WebAppWar/listadosCliente/llamarWebService",
		type : "POST",
		contentType : "application/json",
		dataType : 'json',
		success : function(respuesta) {
			desbloquearInterfaz();
			$("#rutaPIF").val(respuesta);
			$("#form_PIF").submit();
		}, 
		error : function (respuesta){
			desbloquearInterfaz();
				$("#listados_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				$("#listados_feedback").rup_feedback("set",respuesta.responseText, "error");
			
		}
		
	

	});
	
	$("#btnEjecutar").click(function(){
		var resultado = "";
		$(".busquedaschecked").each(function () {
			if($(this).is(':checked')){
				var idBusqueda = $(this).val();
				resultado += idBusqueda + "#";
				//recogemos los parametros de esa busqueda
				var parametros = $("."+idBusqueda);
				$.each(parametros, function() {
					resultado += $(this).attr("id") + "@" + $(this).val() +",";
				});
				resultado +="&";
			}
		});
		//submitimos el resultado
		$("#resultado").val(resultado);
		bloquearInterfaz();
		$("#form_listado").submit();
	});
}