jQuery(function($) {
	$("#mnFichaExpediente").hide();
	$("#mnListados").hide();
	$("#mnMantenimientoTablas").show();
	$("#mnMantenimientoListados").show();
	$("#mnMantenimientoPlantillas").show();
	$("#mnMantenimientoModuloAdministrativo").show();
	
	var correctos = false;
	var fallidos = false;
	
	$("#btnTodos").addClass("btn-primary");
	
	$("#mnMantenimientoModuloAdministrativo").addClass("active");
	
	$("#btnTodos").addClass("ui-button-disabled ui-state-disabled");
	$("#btnCorrectos").addClass("ui-button-disabled ui-state-disabled");
	$("#btnErrores").addClass("ui-button-disabled ui-state-disabled");
	$("#btnCorregirMensaje").addClass("ui-button-disabled ui-state-disabled");
	
	//TABLA HuecosFolderNumber
	$("#tblHuecosFolderNumber").rup_table({
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/huecosFolderNumber",
		headertitles: true,
		autowidth: true,
		colNames: [
				  "idErrorFolderNumber",
				  "idProcedimiento",
				  $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.procedimiento,
				  $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.procedimiento,
				  $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.folderNumber,
				  "fechaRegistro",
				  "usuarioRegistro"
		    ],
      colModel: [
	    	  {
				   name: "idErrorFolderNumber",
				   label: "idErrorFolderNumber",
				   sortable: false,
				   hidden:true
			  },{
				   name: "idProcedimiento",
				   label: "idProcedimiento",
				   sortable: false,
				   hidden:true
			  },{
				   name: "procedimientoDesCast",
				   label:"procedimientoDesCast",
				   sortable: false,
				   hidden:(("es"==$.rup_utils.get("language")) ? false : true),
				   width:500
			  },{
				   name: "procedimientoDesEusk",
				   label:"procedimientoDesEusk",
				   sortable: false,
				   hidden:(("es"==$.rup_utils.get("language")) ? true : false),
				   width:500
			  },{
				   name: "folderNumber",
				   label: "folderNumber",
				   sortable: false,
			  },{
				   name: "fechaRegistro",
				   label: "fechaRegistro",
				   sortable: false,
				   hidden:true
			  },{
				   name: "usuarioRegistro",
				   label: "usuarioRegistro",
				   sortable: false,
				   hidden:true
			  }
    	  	],
		model: "HuecosFolderNumber",
		usePlugins: [
			"responsive",
			"feedback",
			"toolbar",
			"filter"
		],
    	core : {
			showOperations : {
				"clone" : false
			}
    	},
		multiselect: false,
		loadOnStartUp : true,
		rowNum:10,
		rowList:[10,20,30,50],
		primaryKey: "idMensaje",
		loadComplete:function (){	
			if(jQuery("#tblFolderNull").jqGrid('getGridParam', 'records') != 0 || jQuery("#tblHuecosFolderNumber").jqGrid('getGridParam', 'records') != 0){
				$("#btnHuecosFolderId").css("display","inline");
			}else{
				$("#btnHuecosFolderId").css("display","none");
			}
		}
	});
	
	//TABLA FolderNull
	$("#tblFolderNull").rup_table({
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/folderNull",
		headertitles: true,
		autowidth: true,
		colNames: [
				  "idExpediente",
				  "idProcedimiento",
				  $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.codProcedure,
				  $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.titulo,
				  $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.procedimiento,
				  $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.procedimiento,
				  $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.folderId,
				  "fechaRegistro",
				  "usuarioRegistro"
		    ],
      colModel: [
	    	  {
				   name: "idExpediente",
				   label: "idExpediente",
				   sortable: false,
				   hidden:true
			  },{
				   name: "idProcedimiento",
				   label: "idProcedimiento",
				   sortable: false,
				   hidden:true
			  },{
				   name: "codProcedure",
				   label: "codProcedure",
				   sortable: false
			  },{
				   name: "titulo",
				   label: "titulo",
				   sortable: false
			  },{
				   name: "procedimientoDesCast",
				   label:"procedimientoDesCast",
				   sortable: false,
				   hidden:(("es"==$.rup_utils.get("language")) ? false : true),
				   width:500
			  },{
				   name: "procedimientoDesEusk",
				   label:"procedimientoDesEusk",
				   sortable: false,
				   hidden:(("es"==$.rup_utils.get("language")) ? true : false),
				   width:500
			  },{
				   name: "folderId",
				   label: "folderId",
				   sortable: false,
				   width:310
			  },{
				   name: "fechaRegistro",
				   label: "fechaRegistro",
				   sortable: false,
				   hidden:true
			  },{
				   name: "usuarioRegistro",
				   label: "usuarioRegistro",
				   sortable: false,
				   hidden:true
			  }
    	  	],
		model: "HuecosFolderNumber",
		usePlugins: [
			"responsive",
			"feedback",
			"toolbar",
			"filter"
		],
    	core : {
			showOperations : {
				"clone" : false
			}
    	},
		multiselect: false,
		loadOnStartUp : true,
		rowNum:10,
		rowList:[10,20,30,50],
		primaryKey: "idMensaje",
		loadComplete:function (){								
			if(jQuery("#tblFolderNull").jqGrid('getGridParam', 'records') != 0 || jQuery("#tblHuecosFolderNumber").jqGrid('getGridParam', 'records') != 0){
				$("#btnHuecosFolderId").css("display","inline");
			}else{
				$("#btnHuecosFolderId").css("display","none");
			}
		}
	});
	
	$("#dialogsHuecosFolderNumber").rup_dialog({
		autoOpen: false,
		width: 1200,
		modal: true,
		position: { my: "center center" },
		title:$.rup.i18n.app.erroresFolderNumber,
		type: $.rup.dialog.DIV,
		open: function(){
			desbloquearInterfaz();
			
			if(jQuery("#tblFolderNull").jqGrid('getGridParam', 'records') != 0){
				$("#ocultar1").css("display","block");
			}else{
				$("#ocultar1").css("display","none");
			}
			
			if(jQuery("#tblHuecosFolderNumber").jqGrid('getGridParam', 'records') != 0){
				$("#ocultar2").css("display","block");
			}else{
				$("#ocultar2").css("display","none");
			}
		},
		buttons: [
			{
				text: $.rup.i18n.app.cerrar,
				click: function() { $("#dialogsHuecosFolderNumber").rup_dialog("close"); },
				btnType: $.rup.dialog.LINK
			}
		],
	});
	
	$("#btnHuecosFolderId").on("click",function () {
		bloquearInterfaz();
		$("#tblHuecosFolderNumber").trigger("reloadGrid");
		$("#dialogsHuecosFolderNumber").rup_dialog("open");
	});
	
	$.rup_date({
		from: "fechaDesde",
		to: "fechaHasta",
	});
	
	$(".ui-datepicker-trigger").css("height","23px");
	$(".ui-datepicker-trigger").css("margin-top","-1px");
	
	//TABLA MODULOS ADMINISTRATIVOS
	$("#tblModulosAdministrativos").rup_table({
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo",
		headertitles: true,
		autowidth: true,
		colNames: [
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.idMensaje,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.idSolicitud,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.codProcedure,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.evento,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.plateaType,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.plateaSubType,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.mensaje,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.solicitud,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.traza,
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.configuracion,
				   "ERROR",
				   $.rup.i18n.app.tablaMantenimientoModulosAdministrativos.fechaRegistro
		          ],
      colModel: [{
				   name: "idMensaje",
				   label: "idMensaje",
				   sortable: false,
				   width: 100,
			  },{
				   name: "idSolicitud",
				   label: "idSolicitud",
				   sortable: false,
				   formatter: formatIdSolicitud,
				   width: 100,
			  },{
				   name: "codigoProcedimiento",
				   label: "codigoProcedimiento",
				   width: 175,
				   sortable: false
			  },{
				   name: "tipoMensaje",
				   label: "tipoMensaje",
				   width: 110,
				   sortable: false
			  },{
				   name: "plateaType",
				   label: "plateaType",
				   width: 120,
				   sortable: false
			  },{
				   name: "plateaSubType",
				   label: "plateaSubType",
				   width: 150,
				   sortable: false
			  },{
				   name: "mensaje",
				   label: "mensaje",
				   width: 75,
				   formatter:formatMensaje,
				   align: "center",
				   title: false,
				   sortable: false
			  },{
				   name: "solicitud",
				   label: "solicitud",
				   width: 80,
				   formatter: formatSolicitud,
				   align: "center",
				   title: false,
				   sortable: false
			  },{
				   name: "numeroTrazas",
				   label: "numeroTrazas",
				   width: 70,
				   formatter: formatTraza,
				   align: "center",
				   sortable: false
			  },{
				   name: "configuracion",
				   label: "configuracion",
				   width: 125,
				   hidden: true,
				   sortable: false
			  },{
				   name: "error",
				   label: "error",
				   sortable: false,
				   hidden: true,
			  },{
				   name: "fechaRegistroStr",
				   label: "fechaRegistroStr",
				   align: "center",
				   width: 125,
				   hidden: false,
				   sortable: false
			  }],
		model: "ModuloAdministracion",
		usePlugins: [
			"responsive",
			"feedback",
			"toolbar",
			"filter"
		],
    	core : {
			showOperations : {
				"clone" : false
			}
    	},
		multiselect: false,
		loadOnStartUp : false,
		rowNum:500,
		primaryKey: "idMensaje",
		loadComplete:function (){								
			 $("#tblModulosAdministrativos").setSelection($("#tblModulosAdministrativos .jqgrow").attr("id")); 
			 var ids = $("#tblModulosAdministrativos").rup_table("getDataIDs");
			 if(ids.length == 1 && ids[0] == "null"){
				 jQuery('#tblModulosAdministrativos').jqGrid('clearGridData');
				 $("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000 });
				 $("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.mas_resultados, "error");
			 }else{
				 for (var i=0; i<ids.length; i++){
					 var id=ids[i];
					 var datos=$("#tblModulosAdministrativos").rup_table("getRowData", id);				 
					 if(datos.error != 0){
						 $("#tblModulosAdministrativos tr[id="+datos.idMensaje+"]").addClass("color-rojo");
						 if(correctos){
							 $('#tblModulosAdministrativos').jqGrid('delRowData',id);
						 }
					 }else{
						 if(fallidos){
							 $('#tblModulosAdministrativos').jqGrid('delRowData',id);
						 }
					 }
				 }
			 }
			 		 
			 if(jQuery("#tblModulosAdministrativos").jqGrid('getGridParam', 'records') != 0){
				 $("#btnTodos").removeClass("ui-button-disabled ui-state-disabled");
				 $("#btnCorrectos").removeClass("ui-button-disabled ui-state-disabled");
				 $("#btnErrores").removeClass("ui-button-disabled ui-state-disabled");	 
			 }
		},
		onSelectRow: function(cellValue, options, rowObject) {
			var id = $("#tblModulosAdministrativos").rup_table("getSelectedRows");
			var mensaje = $("#tblModulosAdministrativos").rup_table("getRowData", id[0]);
			
			if(mensaje.error == 0 || mensaje.error == 6){
				$("#btnCorregirMensaje").addClass("ui-button-disabled ui-state-disabled");
			}else{
				$("#btnCorregirMensaje").removeClass("ui-button-disabled ui-state-disabled");
			}
		},
		gridComplete: function(){
			definePopoverTable("tblModulosAdministrativos");
		}
	});
	
	function formatMensaje(cellValue, options, rowObject) {
		var tooltip = null;
		if("eu" === $.rup_utils.get("language")){
			tooltip = "Mezua"
		} else if("es" === $.rup_utils.get("language")){
			tooltip = "Mensaje"
		}
		return "<span data-toggle='popover' data-placement='left' data-content=\"" + tooltip + "\"><button id='btnMensaje_"+rowObject.idMensaje+"' onclick='abrirMensaje(this.id)'><a href='#'><i class='fa fa-envelope-o' aria-hidden='true'></i></a></button><span>"; 
    }
	
	function formatSolicitud(cellValue, options, rowObject) {
		var tooltip = null;
		if("eu" === $.rup_utils.get("language")){
			tooltip = "Eskaera"
		} else if("es" === $.rup_utils.get("language")){
			tooltip = "Solicitud"
		}
		
		if(rowObject.ficheroSolicitud != null){
			return "<span data-toggle='popover' data-placement='left' data-content=\"" + tooltip + "\"><button id='btnSolicitud_"+rowObject.idMensaje+"' onclick='abrirSolicitud(this.id)'><a href='#'><i class='fa fa-file-o' aria-hidden='true'></i></a></button></span>"; 
		}else{
			return "";
		}
    }
	
	function formatIdSolicitud(cellValue, options, rowObject) {
		if(rowObject.idSolicitud == 0){
			return ""; 
		}else{
			return rowObject.idSolicitud;
		}
    }
	
	function formatTraza(cellValue, options, rowObject) {
		if(rowObject.numeroTrazas == 0){
			return "";
		}else if((rowObject.numeroTrazas != 0 && rowObject.numeroTrazas == 1) && (rowObject.configuracion == 3 || rowObject.configuracion == 4 || rowObject.configuracion == 5)){
			return "<button id='btnTraza_"+rowObject.idMensaje+"' onclick='abrirTraza(this.id)'><a href='#' style='color:black'><i class='fa fa-plus' aria-hidden='true'></i></a></button>"; 
		}else if((rowObject.numeroTrazas != 0 && rowObject.numeroTrazas > 1) && (rowObject.configuracion == 3 || rowObject.configuracion == 4 || rowObject.configuracion == 5)){
			return "<button id='btnTraza_"+rowObject.idMensaje+"' onclick='abrirTraza(this.id)'><a href='#' style='color:black'><i class='fa fa-plus' aria-hidden='true'></i><i class='fa fa-plus' aria-hidden='true'></i></a></button>"; 
		}else if((rowObject.numeroTrazas != 0 && rowObject.numeroTrazas == 1) && (rowObject.configuracion == 1 || rowObject.configuracion == 2)){
			return "<button id='btnTraza_"+rowObject.idMensaje+"' onclick='abrirTraza(this.id)'><a href='#' style='color:black'><i class='fa fa-plus' aria-hidden='true'></i></a></button>"; 
		}else if((rowObject.numeroTrazas != 0 && rowObject.numeroTrazas > 1) && (rowObject.configuracion == 1 || rowObject.configuracion == 2)){
			return "<button id='btnTraza_"+rowObject.idMensaje+"' onclick='abrirTraza(this.id)'><a href='#' style='color:black'><i class='fa fa-plus' aria-hidden='true'></i><i class='fa fa-plus' aria-hidden='true'></i></a></button>"; 
		}else if((rowObject.numeroTrazas != 0 && rowObject.numeroTrazas == 1) && rowObject.configuracion == 0){
			return "<button id='btnTraza_"+rowObject.idMensaje+"' onclick='abrirTraza(this.id)'><a href='#' style='color:black'><i class='fa fa-plus' aria-hidden='true'></i></a></button>"; 
		}else if((rowObject.numeroTrazas != 0 && rowObject.numeroTrazas > 1) && rowObject.configuracion == 0){
			return "<button id='btnTraza_"+rowObject.idMensaje+"' onclick='abrirTraza(this.id)'><a href='#' style='color:black'><i class='fa fa-plus' aria-hidden='true'></i><i class='fa fa-plus' aria-hidden='true'></i></a></button>"; 
		}
    }
	
	$("#btnBuscarModulos").on("click",function () {
		$("#fechaRegistroDesde").val($("#fechaDesde").rup_date("getRupValue"));
		$("#fechaRegistroHasta").val($("#fechaHasta").rup_date("getRupValue"));
		$("#tblModulosAdministrativos").trigger("reloadGrid");
	});
	
	$("#btnLimpiarModulos").on("click",function () {
		$("#tblModulosAdministrativos_filter_form")[0].reset();
	});
	
	$("#btnCorregirMensaje").on("click",function () {
		var id = $("#tblModulosAdministrativos").rup_table("getSelectedRows");
		var mensaje = $("#tblModulosAdministrativos").rup_table("getRowData", id[0]);
		
		if(mensaje.numeroTrazas != ""){
			mensaje.numeroTrazas = 1;
		}
		
		$.ajax({	
	        url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/corregirMensaje",
	        type: "POST",
	        dataType: "json",
	        contentType : "application/json",
	        data: JSON.stringify({ "idMensaje" : mensaje.idMensaje,
	        	"ficheroMensaje" : mensaje.ficheroMensaje,
	        	"ficheroSolicitud" : mensaje.ficheroSolicitud,
	        	"tipoMensaje" : mensaje.tipoMensaje,
	        	"codigoProcedimiento" : mensaje.codigoProcedimiento,
	        	"plateaType" : mensaje.plateaType,
	        	"plateaSubType" : mensaje.plateaSubType,
	        	"numeroTrazas" : mensaje.numeroTrazas,
	        	"configuracion" : mensaje.configuracion,
	        	"error" : mensaje.error,
	        	"idSolicitud" : mensaje.idSolicitud
	        }),
	        success: function() {
	        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000});
				$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_corregidos_OK, "ok");
				$("#tblModulosAdministrativos").rup_table("reloadGrid", true);
	       		desbloquearInterfaz();
	       		
	        },
			error: function(){
				$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000 });
	        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_corregidos_error, "error");
				desbloquearInterfaz();
			}
		});		
		
	});
	
	$("#btnCargarExpediente").on("click",function () {
		bloquearInterfaz();
		$("#dialogsCargarExpediente").rup_dialog({
			type: $.rup.dialog.AJAX,
			url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/abrirCargarExpediente",
			autoOpen: true,
			modal: true,
			width: 1050,
			resizable: true,
			buttons: [
				{
					text: $.rup.i18n.app.cerrar,
					click: function() { $("#dialogsCargarExpediente").rup_dialog("close"); },
					btnType: $.rup.dialog.LINK,
					css: { outline:"none"} ,
				},
				{
					text: $.rup.i18n.app.cargar,
					click: function () { 
						bloquearInterfaz();
						$("#cargarExpedienteForm").rup_form({
							url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/cargarExpediente/"+$("#cargaFolderId").val()+"/"+$("#procedimientos").rup_combo("getRupValue"),
							type:"POST",
							validate: {
								liveCheckingErrors: false,
								showFieldErrorAsDefault: true,
								showErrorsInFeedback: false,
								showFieldErrorsInFeedback: true,
								rules: {
									"procedimientos" : { required : true },
									"cargaFolderId"	 : { required : true }
								},
							},
							success: function(){
								desbloquearInterfaz();
								$("#dialogsCargarExpediente").rup_dialog("close");
								$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000 });
					        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
							},
							error: function(){
								desbloquearInterfaz();
								$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000 });
					        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
							}
						});
						
						$("#cargarExpedienteForm").submit();
					},
					css: { backgroundColor: '#159dc9 !important',outline:"0px",color:"white",border:"0px"} ,
				},
			],
			open: function(event, ui) { 
				desbloquearInterfaz();
			}
		});	
	});
	
	$("#btnObtenerErrores").on("click",function () {
		bloquearInterfaz();
		$.ajax({	
	        url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/obtenerErroresFolderNumber",
	        type: "POST",
	        success: function(resultado) {
	        	if(resultado){
		        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000});
					$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.obtener_errores_OK, "ok");
	        	}else{
	        		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000 });
		        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.obtener_errores, "error");
	        	}
	       		desbloquearInterfaz();  		
	        },
			error: function(){
				$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000 });
	        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.obtener_errores, "error");
				desbloquearInterfaz();
			}
		});		
	});
	
	$("#btnTodos").on("click",function () {
		correctos = false;
		fallidos = false;
		$("#btnTodos").addClass("btn-primary");
		$("#btnCorrectos").removeClass("btn-primary");
		$("#btnErrores").removeClass("btn-primary");
		$("#tblModulosAdministrativos").trigger("reloadGrid");
	});	
	
	$("#btnCorrectos").on("click",function () {
		correctos = true;
		fallidos = false;
		$("#btnTodos").removeClass("btn-primary");
		$("#btnCorrectos").addClass("btn-primary");
		$("#btnErrores").removeClass("btn-primary");
		$("#tblModulosAdministrativos").trigger("reloadGrid");
	});	
	
	$("#btnErrores").on("click",function () {
		correctos = false;
		fallidos = true;
		$("#btnTodos").removeClass("btn-primary");
		$("#btnCorrectos").removeClass("btn-primary");
		$("#btnErrores").addClass("btn-primary");
		$("#tblModulosAdministrativos").trigger("reloadGrid");
	});	
});

function abrirMensaje(id){
	bloquearInterfaz();
	$("#dialogsMensajes").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/abrirMensaje/"+id,
		autoOpen: true,
		modal: true,
		width: 1200,
		resizable: true,
		buttons: [
			{
				text: $.rup.i18n.app.cerrar,
				click: function() { $("#dialogsMensajes").rup_dialog("close"); },
				btnType: $.rup.dialog.LINK,
				css: { outline:"none"} ,
			}
		],
		open: function(event, ui) { 
			desbloquearInterfaz();
		}
	});	
}

function abrirSolicitud(id){
	bloquearInterfaz();
	$("#dialogsSolicitudes").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/abrirSolicitud/"+id,
		autoOpen: true,
		modal: true,
		width: 1200,
		resizable: true,
		buttons: [
			{
				text: $.rup.i18n.app.cerrar,
				click: function() { $("#dialogsSolicitudes").rup_dialog("close"); },
				btnType: $.rup.dialog.LINK
			}
		],
		open: function(event, ui) { 
			desbloquearInterfaz();
		}
	});	
}

function abrirTraza(id){
	bloquearInterfaz();
	$("#dialogsTrazas").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/abrirTrazas/"+id,
		autoOpen: true,
		modal: true,
		width: 1200,
		resizable: true,
		open: function(event, ui) { 
			desbloquearInterfaz();
		}
	});	
}

function definePopoverTable(idTabla){
	$('#' + idTabla + ' [data-toggle="popover"]').popover({
		trigger: 'hover',
		container: 'body',
		template: '<div class="popover" style="width:90px; role="tooltip"><div class="arrow"></div><h3 class="popover-title"></h3><div class="popover-content" style="max-width: 100%; overflow: auto"></div></div>'
	});
}