jQuery(function($) {
	//TABLA TRAZAS MENSAJES
	$("#tblTrazasMensajes").rup_table({
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/trazasMensaje/"+$("#idMensajeTraza").val(),
		headertitles: true,
		autowidth: true,
		colNames: [
				   "IDTRAZA",
				   $.rup.i18n.app.trazas.idMensaje,
				   $.rup.i18n.app.trazas.idExpediente,
				   $.rup.i18n.app.trazas.codProcedure,
				   $.rup.i18n.app.trazas.excepcion,
				   $.rup.i18n.app.trazas.metodo,
				   $.rup.i18n.app.trazas.estadoSolicitud,
				   $.rup.i18n.app.trazas.tareas,
				   $.rup.i18n.app.trazas.fechaRegistro,
		          ],
      colModel: [{
				   name: "trazas.idTraza",
				   label: "idTraza",
				   hidden: true,
				   sortable: false
			  },{
				   name: "trazas.idMensaje",
				   label: "idMensaje",
				   sortable: false,
				   width: 60
			  },{
				   name: "trazas.idExpediente",
				   label: "idExpediente",
				   sortable: false,
				   width: 60
			  },{
				   name: "trazas.codigoProcedimiento",
				   label: "codigoProcedimiento",
				   width: 75,
				   sortable: false
			  },{
				   name: "trazas.excepcion",
				   label: "excepcion",
				   width: 220,
				   sortable: false
			  },{
				   name: "trazas.metodo",
				   label: "metodo",
				   width: 90,
				   sortable: false
			  },{
				   name: "trazas.estadoSolicitud",
				   label: "estadoSolicitud",
				   width: 50,
				   sortable: false,
				   formatter:formatTrazas,
				   align: "center"
			  },{
				   name: "trazas.ficheroTareas",
				   label: "ficheroTareas",
				   width: 40,
				   align: "center",
				   sortable: false,
				   formatter: formatTareasMensajes,
			  },{
				   name: "trazas.fechaRegistroStr",
				   label: "fechaRegistro",
				   align:"center",
				   width: 70
			  }],
		model: "ModuloAdministracion",
		usePlugins: [
			"responsive",
			"feedback",
			"toolbar",
			"filter"
		],
		multiselect: false,
		loadOnStartUp : true,
		primaryKey: "trazas.idTraza",
	});

	if($("#configuracionTraza").val() == "1" || $("#configuracionTraza").val() == "2"){
		//TABLA TRAZAS SOLICITUDES
		$("#tblTrazasSolicitudes").rup_table({
			url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/trazasSolicitudes/"+$("#idMensajeTraza").val(),
			headertitles: true,
			autowidth: true,
			colNames: [
					   "IDTRAZA",
					   $.rup.i18n.app.trazas.idSolicitud,
					   $.rup.i18n.app.trazas.idExpediente,
					   $.rup.i18n.app.trazas.codProcedure,
					   $.rup.i18n.app.trazas.excepcion,
					   $.rup.i18n.app.trazas.metodo,
					   $.rup.i18n.app.trazas.estadoSolicitud,
					   $.rup.i18n.app.trazas.tareas,
					   $.rup.i18n.app.trazas.fechaRegistro,
			          ],
	      colModel: [{
					   name: "trazas.idTraza",
					   label: "idTraza",
					   hidden: true,
					   sortable: false
				  },{
					   name: "trazas.idSolicitud",
					   label: "idMensaje",
					   sortable: false,
					   width: 60
				  },{
					   name: "trazas.idExpediente",
					   label: "idExpediente",
					   sortable: false,
					   width: 60
				  },{
					   name: "trazas.codigoProcedimiento",
					   label: "codigoProcedimiento",
					   width: 75,
					   sortable: false
				  },{
					   name: "trazas.excepcion",
					   label: "excepcion",
					   width: 220,
					   sortable: false
				  },{
					   name: "trazas.metodo",
					   label: "metodo",
					   width: 90,
					   sortable: false
				  },{
					   name: "trazas.estadoSolicitud",
					   label: "estadoSolicitud",
					   width: 50,
					   sortable: false,
					   formatter:formatTrazas,
					   align: "center"
				  },{
					   name: "trazas.ficheroTareas",
					   label: "ficheroTareas",
					   width: 40,
					   sortable: false,
					   formatter: formatTareasSolicitud,
					   align: "center"
				  },{
					   name: "trazas.fechaRegistroStr",
					   label: "fechaRegistro",
					   align:"center",
					   width: 70
				  }],
			model: "ModuloAdministracion",
			usePlugins: [
				"responsive",
				"feedback",
				"toolbar",
				"filter"
			],
			multiselect: false,
			loadOnStartUp : true,
			primaryKey: "trazas.idTraza",
		});
	}
	
	function formatTareasMensajes(cellValue, options, rowObject) {
		if(rowObject.trazas.ficheroTareas != null){
			return "<button id='btnTrazaMensaje_"+rowObject.trazas.idTraza+"' onclick='abrirTareasMensaje(this.id,"+$("#configuracionTraza").val()+")'><a href='#'><i class='fa fa-file-o' aria-hidden='true'></i></a></button>"; 
		}else{
			return "";
		}
    }
	
	function formatTareasSolicitud(cellValue, options, rowObject) {
		if(rowObject.trazas.ficheroTareas != null){
			return "<button id='btnTrazaSolicitud_"+rowObject.trazas.idTraza+"' onclick='abrirTareasSolicitud(this.id)'><a href='#'><i class='fa fa-file-o' aria-hidden='true'></i></a></button>"; 
		}else{
			return "";
		}
    }
	
	function formatTrazas(cellValue, options, rowObject) {
		if(rowObject.trazas.estadoSolicitud == 1){
			return "<i class='fa fa-check' aria-hidden='true'></i>"; 
		} else {
			return "<i class='fa fa-times' aria-hidden='true'></i>"; 
		}	
    }
});

function abrirTareasMensaje(id,configuracion){
	bloquearInterfaz();
	$("#dialogsTareasMensajes").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/abrirTarea/"+id,
		autoOpen: true,
		modal: true,
		width: 1200,
		resizable: true,
		open: function(event, ui) { 
			desbloquearInterfaz();
			$("#tblTrazasMensajes_filter_div").width($("#tblTrazasMensajes_div").width());
			if(configuracion == "1" || configuracion == "2"){
				$("#tblTrazasSolicitudes_filter_div").width($("#tblTrazasSolicitudes_div").width());
			}
		},
		close: function(event, ui) {
			$("#dialogsTareasMensajes").rup_dialog("destroy");
		},
		beforeClose: function(event, ui) {  
			$("#tblTrazasMensajes_filter_div").width($("#tblTrazasMensajes_div").width());
			if(configuracion == "1" || configuracion == "2"){
				$("#tblTrazasSolicitudes_filter_div").width($("#tblTrazasSolicitudes_div").width());
			}
		}
	});	
}
	
function abrirTareasSolicitud(id){
	bloquearInterfaz();
	$("#dialogsTareasSolicitudes").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/abrirTarea/"+id,
		autoOpen: true,
		modal: true,
		width: 1200,
		resizable: true,
		open: function(event, ui) { 
			desbloquearInterfaz();
			$("#tblTrazasMensajes_filter_div").width($("#tblTrazasMensajes_div").width());
			$("#tblTrazasSolicitudes_filter_div").width($("#tblTrazasSolicitudes_div").width());
		},
		close: function(event, ui) {
			$("#dialogsTareasSolicitudes").rup_dialog("destroy");
		},
		beforeClose: function(event, ui) {  
			$("#tblTrazasMensajes_filter_div").width($("#tblTrazasMensajes_div").width());
			$("#tblTrazasSolicitudes_filter_div").width($("#tblTrazasSolicitudes_div").width());
		}
	});	
}
	