jQuery(function($) {
	
	$("#mnFichaExpediente").hide();
	$("#mnListados").hide();
	$("#mnMantenimientoTablas").show();
	$("#mnMantenimientoListados").show();
	$("#mnMantenimientoPlantillas").show();
	$("#mnMantenimientoModuloAdministrativo").show();
	
	$("#mnMantenimientoPlantillas").addClass("active");
	
	$("#tblcamposPlantilla_save").addClass("ui-button ui-corner-all ui-widget");
	
	//COMBO TIPOS CAMPO
	$("#idTipoCampo").rup_combo({
		source: "/ab61WebAppWar/tipocampo",
		blank: "0",
		sourceParam: {
			label: (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value: "idTipoCampo"
		},
		width: 500
	});
	
	$("#btnBuscarObjetos").on("click",function () {
		$("#tblcamposPlantilla").trigger("reloadGrid");
		$('#btnModif').removeAttr("disabled"); 
		$('#btnAdd').removeAttr("disabled");
		$('#btnBorrar').removeAttr("disabled");
	});
	
	$("#btnLimpiarObjetos").on("click",function () {
		$("#idTipoCampo").rup_combo("clear");
		$("#tblcamposPlantilla_filter_form")[0].reset();
	});
	
	//COMBO TIPOS CAMPO
	$("#comboTipoCampo").rup_combo({
		source: "/ab61WebAppWar/tipocampo",
		blank: "",
		sourceParam: {
			label: (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value: "idTipoCampo"
		},
		select: function() {
			if ($("#comboTipoCampo").val() == TIPOOBJETOFORMULARIO){			
				$('#comboIdDocumento-button').css("display","block");
				$('#idDocumentoLabel').css("display","block");
			}else{
				$('#comboIdDocumento-button').css("display","none");
				$('#idDocumentoLabel').css("display","none");
				$('#comboIdDocumento').rup_combo("clear");
			}	
			
//			if ($("#comboTipoCampo").rup_combo("value") == TIPOOBJETOLISTA){
//				$("#nombreXml").removeAttr("readonly");
//			}else{
//				$("#nombreXml").attr("readonly", true);
//			}
		},	
		width: 300
	});
	
//	$("#nombreCampo").keyup(function() {
//		if($("#comboTipoCampo").rup_combo("value") != TIPOOBJETOLISTA){
//			var escrito = $("#nombreCampo").val();
//	        $("#nombreXml").val(escrito);
//		}
//	});
	
	//COMBO DOCUMENTO
	$("#comboIdDocumento").rup_combo({
		source: "/ab61WebAppWar/documentos",
		blank: "0",
		sourceParam: {
			label: "nombreDocumento",
			value: "idDocumento"
		},
		width: 800
	});		
	
	//TABLA OBJETOS
	$("#tblcamposPlantilla").rup_table({
		url: "/ab61WebAppWar/camposplantilla",
		headertitles: false,
		enabletooltips:false,
		autowidth: true,
		colNames: [
				   '',
				   $.rup.i18n.app.tablaMantenimientoObjetos.tipoObjeto,
				   $.rup.i18n.app.tablaMantenimientoObjetos.nombre,
				   $.rup.i18n.app.tablaMantenimientoObjetos.descripcion,
				   $.rup.i18n.app.tablaMantenimientoObjetos.select,
				   $.rup.i18n.app.tablaMantenimientoObjetos.relplacam,
				   ''
		          ],
      colModel: [{
				   name: "idCampo",
				   label: "idCampo",
				   hidden: true
			  },{
				   name: (("eu"==$.rup_utils.get("language")) ? "tipoCampo.descripcionEuskera": "tipoCampo.descripcionCastellano"),
				   label: (("eu"==$.rup_utils.get("language")) ? "tipoCampo.descripcionEuskera": "tipoCampo.descripcionCastellano"),
				   align: "left",
				   width: 150,
				   tittle:false
			  },{				   
				   name: "nombreCampo",
				   label: "nombreCampo",
				   align: "left",
				   width: 150,
				   tittle:false
			  },{
				   name: "descripcion",
				   label: "descripcion",
				   align: "left",
				   width: 150,
				   tittle:false
			  },{
				   name: "selectCampo",
				   label: "selectCampo",
				   align: "",
				   width: 150,
				   hidden: false,
				   tittle:false,
				   align: "", 
				   width: 150, 
				   fixed: false, 
				   resizable: true, 
				   title: false,
			  	   formatter: truncarVisualizacionCampo,
			  },{				   
				   name: "relplacam",
				   label: "relplacam",
				   align: "left",
				   align: "right", 
				   width: 105,
				   tittle:false
			  },{
				   name: "nombreXml",
				   label: "nombreXml",
				   align: "center",
				   width: 150,
				   hidden: true
			  }],
		model: "CamposPlantilla",
		gridComplete: function(){
			definePopoverTable("tblcamposPlantilla");
		},
		loadComplete:function (){
			 $("#tblcamposPlantilla").setSelection($("#tblcamposPlantilla .jqgrow").attr("id")); 
			 $('[aria-describedby=tblcamposPlantilla_selectCampoFilter]').attr('style', 'overflow:hidden;white-space:nowrap !important;text-overflow:ellipsis;');
			 var ids = $("#tblcamposPlantilla").rup_table("getDataIDs");
			 for (var i=0; i<ids.length; i++){
				 var id=ids[i];
				 var datos=$("#tblcamposPlantilla").rup_table("getRowData", id);
				 if(datos.relplacam == 0){
					 $("#tblcamposPlantilla tr[id="+datos.idCampo+"]").addClass("color-rojo");
				 }
			 }
		},
		usePlugins: [
			"formEdit",
			"responsive",
			"feedback",
			"toolbar",
			"filter",
			"report"
		],
		formEdit:{
			detailForm: "#tblcamposPlantilla_detail_div",
			fillDataMethod: "serverSide",
    		addEditOptions:{
				reloadAfterSubmit:true,
				width:1000,
				closable:false,
				closeOnEscape:false,
			},
			deleteOptions: {
				reloadAfterSubmit:true
			},			
			validate:{
    			rules:{
    				"idTipoCampo" :{
    					required:true,
    					maxlength : 2
    				},
    				"nombreCampo" :{
    					required:true,
    					maxlength : 100
    				},    				
    				"nombreXml" :{
    					maxlength : 500
    				},
    				"selectCampo":{
    					campoValorInformado:true,
    					maxlength : 2000
    				},
    				"descripcion":{
    					required:true,
    					maxlength : 2000
    				},
    				"idDocumento":{
    					validarEsTipoFormulario:true,
    					maxlength : 8
    				},    				
    			}
    		}			
		},
    	core : {
			showOperations : {
				"clone" : false
			}
    	},
		multiselect: false,
		loadOnStartUp : true,
		primaryKey: "idCampo",
		rowNum:20,
		sortorder : "asc",
		report: {
 			buttons:[
 				{id:"reports", i18nCaption:"INFORMES", right:true,
 					buttons:[
 						{ i18nCaption:"XLS", 
 							url: "../camposplantilla/xlsReport",
 							css : "fa fa-file-excel-o"
 						}
 					 ]
 				}
 			],			
 		},
	});	
	
	$('[id = tblcamposPlantilla_toolbar##btnAdd]').rup_tooltip({
		content:{
			text:$.rup.i18n.app.anadir
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});		
	
	$('[id = tblcamposPlantilla_toolbar##btnEdit]').rup_tooltip({
		content:{
			text:$.rup.i18n.app.editar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});	
	
	$('[id = tblcamposPlantilla_toolbar##btnDelete]').rup_tooltip({
		content:{
			text:$.rup.i18n.app.eliminar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});	
	
	$('[id = tblcamposPlantilla_toolbar##reports-mbutton-group##XLS]').rup_tooltip({
		content:{
			text:$.rup.i18n.app.excel
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});	
	
	$("#tblcamposPlantilla").on("jqGridAddEditClickSubmit", function(rowid,callback,url,op){

		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		if(op=="edit"){
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_modificado, "ok");
		}else{
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_ok, "ok");
		}
	});
	
	$("#tblcamposPlantilla").on("rupTableAfterDelete", function(data, textStatus, xhr){
		
		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_borrado, "ok");

	});
	
	$("#tblcamposPlantilla").on("rupTable_afterFormFillDataServerSide", function(element, rowData){
		if ($("#comboTipoCampo").val() == TIPOOBJETOFORMULARIO){			
			$('#comboIdDocumento-button').css("display","block");
			$('#idDocumentoLabel').css("display","block");
		}else{
			$('#comboIdDocumento-button').css("display","none");
			$('#idDocumentoLabel').css("display","none");
			$('#comboIdDocumento').rup_combo("clear");
		}					
	});	
	
	$("#tblcamposPlantilla_save").on("click",function () {
		
		if(validarCamposSQL($("#nombreXml").val(), $("#selectCampo").val())){			
			$("#tblcamposPlantilla_detail_button_save").trigger("click");	
		}
		else			
		{
			$.rup_messages("msgConfirm", {
    			title:  $.rup.i18n.app.tablaMantenimientoObjetos.guardarObjeto,
    			message: $.rup.i18n.app.mensajes.error.validarCamposSQL,
    			width: 550,
    			OKFunction: function(){
    				$("#tblcamposPlantilla_detail_button_save").trigger("click");
    			}
    		});	 
		}
		
	});
	
	//Metodo validar si en la sql existe el cambpo valor
	$.validator.addMethod('campoValorInformado', function() {
		if($("#comboTipoCampo").rup_combo("getRupValue") !== TIPOOBJETOWEBSERVICE)
		{		
		    var sql = $("#selectCampo").val();
		    if(sql.toUpperCase().indexOf("AS VALOR") > -1)
		    	return true;
		    return false;
		}
		else
			return true;
		    
	},$.rup.i18n.app.mensajes.error.campoValorInformado);	

	//Metodo validar si en la sql existe el cambpo valor
	$.validator.addMethod('validarEsTipoFormulario', function() {
	
		if($("#comboTipoCampo").rup_combo("getRupValue") === TIPOOBJETOFORMULARIO && $("#comboIdDocumento").rup_combo("getRupValue") === "0")
	    	return false;
		
	    return true;
	},$.rup.i18n.app.mensajes.error.documentoInformado);		
	
	$('#btnBorrar').on("click",function () {

		$.ajax({
	        url: "/ab61WebAppWar/relplacam/obtenerNumDocumentosCampo/"+$("#tblcamposPlantilla").rup_table("getGridParam", "selrow"),
	        success: function(respuesta) {
	        	if (respuesta > 0)
	        	{
		    		$.rup_messages("msgConfirm", {
		    			title:  $.rup.i18n.app.tablaMantenimientoObjetos.borrarObjeto,
		    			message: $.rup.i18n.app.tablaMantenimientoObjetos.objetoConDocumentos,
		    			OKFunction: function(){
		    				borrarObjeto();
		    			}
		    		});	        		
	        	}
	        	else
	        		borrarObjeto();
	        },
	        error: function() {
	        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
	        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
	        	desbloquearInterfaz();
	        }
	    });			
	});	
});

function borrarObjeto(){
	
	bloquearInterfaz();
	$.ajax({
        url: "/ab61WebAppWar/camposplantilla/"+$("#tblcamposPlantilla").rup_table("getGridParam", "selrow"),
        type: "DELETE",
        success: function() {
        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_eliminados_OK, "ok");
			$("#tblcamposPlantilla").trigger("reloadGrid");
			desbloquearInterfaz();
        },
        error: function() {
        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
        	desbloquearInterfaz();
        }
    });	
	
}

function truncarVisualizacionCampo(cellvalue, options, rowObject) {
	var text = "";
	if (rowObject.selectCampo == null || rowObject.selectCampo == ""){
		text = "";
	}else{
		text = rowObject.selectCampo.substring(0, 45);
	}
	return "<span data-toggle='popover' data-placement='left' data-content=\"" + rowObject.selectCampo + "\">" + text + "</span>";
}	

function definePopoverTable(idTabla){
	$('#' + idTabla + ' [data-toggle="popover"]').popover({
		trigger: 'hover',
		container: 'body',
		template: '<div class="popover" style="width:35%; max-width: 40%" role="tooltip"><div class="arrow"></div><h3 class="popover-title"></h3><div class="popover-content" style="max-width: 100%; overflow: auto"></div></div>'
	});
}

function validarCamposSQL(camposBusqueda, sqlListado){
	
	if($("#comboTipoCampo").rup_combo("getRupValue") !== TIPOOBJETOWEBSERVICE)
	{
	    if (null !== sqlListado && "" !== sqlListado && null !== camposBusqueda && "" !== camposBusqueda) {
	    	if (camposBusqueda.includes(";") && sqlListado.includes("#")) {
	    		var camposBusquedaSplit = camposBusqueda.split(";");
		    	var sqlListadoSplit = sqlListado.split("#");
		    	var numCamposBusqueda = camposBusquedaSplit.length;
		    	var numSqlListado = sqlListadoSplit.length;
		    	
		    	if (numCamposBusqueda === numSqlListado) {
		    		
			    	for (var int = 0; int < numCamposBusqueda; int++) {
						if (camposBusquedaSplit[int] === "")
						{
							numCamposBusqueda = numCamposBusqueda - 1;
						}
					}
			    	if (numCamposBusqueda === numSqlListado) {				    	
						return true;
					}
				}
			}else if (!camposBusqueda.includes(";") && !sqlListado.includes("#")){
				return true;
		    }
		}
	    return false;			
	}
	else
		return true;
}