jQuery(function($) {
	if (null != $("#nombreFicheroIf").val() && "" != $("#nombreFicheroIf").val()) {
		$("#conNombre").show();
		$("#sinNombre").hide();
	}else{
		$("#conNombre").hide();
		$("#sinNombre").show();
	}
	
	//TABLA BUSQUEDAS
	$("#tblbusquedas").rup_table({
		url: "/ab61WebAppWar/busquedas/"+$("#idListado").val(),
		headertitles: true,
		autowidth: false,
		colNames: [
				   '',
				   '',
				   $.rup.i18n.app.tablaListados.nombre,
				   $.rup.i18n.app.tablaListados.listadoSQL,
				   $.rup.i18n.app.tablaListados.campos
		          ],
		colModel: [
	    	  {
				   name: "idBusqueda",
				   label: "idBusqueda",
				   hidden: true
			  },{
				   name: "idListado",
				   label: "idListado",
				   hidden: true
			  },{
				   name: "nombre",
				   label: "nombre",
				   align: "center",
				   width: 150
			  },{
				   name: "sqlListado",
				   label: "listadoSQL",
				   align: "center",
				   width: 150
			  },{
				   name: "campos",
				   label: "campos",
				   align: "center",
				   width: 150
			  }],
		model: "Busquedas",
		onSelectRow: function(idRow){
			//cuando anyadimos una nueva fila a la tabla, esta no tiene id por lo que no podemos relacionarla con la segunda tabla
        	//por eso lanzamos el reloadGrid
        	if (-1 === idRow.indexOf("jqg")) {
        		//seleccionamos el id busqueda para filtrar en la tabla de parametros
            	$("#tblParametros").rup_table("deselectAllRows");
        		$("#idBusqueda").val(idRow);
        		$("#idBusquedaFilter").val(idRow);
        		$("#tblParametros").rup_table("filter");
			}else{
				$("#tblbusquedas").trigger("reloadGrid");
			}
		},loadComplete:function () {     
        	var idRowBusqueda = $("#tblbusquedas").rup_table("getActiveRowId");
    		if (null != idRowBusqueda) {
    			$("#idBusquedaFilter").val(idRowBusqueda);
    			$("#ocultarParametros").show();
			}else{
    			$("#ocultarParametros").hide();
    		}
    		$("#tblParametros").rup_table("filter");
        },
		usePlugins: [
			"formEdit",
			"responsive",
			"feedback",
			"fluid",
			"toolbar",
			"filter"
		],
		formEdit:{
        	detailForm: "#tblbusquedas_detail_div",
        	fillDataMethod: "serverSide",
    		addEditOptions:{
				reloadAfterSubmit:true,
				width:1000,
				closable:false,
				closeOnEscape:false,
			},
			deleteOptions: {
				reloadAfterSubmit:true
			},
    		validate:{
    			rules:{
    				"nombre":{
    					required:true,
    					maxlength : 80
    				},
    				"campos" :{
    					required:true,
    					validarCamposSQL:true,
    					maxlength : 500
    				},
    				"sqlListado":{
    					required:true,
    					campoValorInformado:true,
    					maxlength : 4000
    				},
    			}
    		}
        },
    	core : {
			showOperations : {
				"clone" : false
			}
    	},
		multiselect: false,
		loadOnStartUp : true,
		primaryKey: "idBusqueda",
		sortorder : "asc"
	});
	
	$.validator.addMethod('validarCamposSQL', function() {
		var camposBusqueda = $("#camposBusqueda").val();
	    var sqlListado = $("#sqlListado").val();
	    if (null != sqlListado && "" != sqlListado && null != camposBusqueda && "" != camposBusqueda) {
	    	if (camposBusqueda.includes(";") && sqlListado.includes("#")) {
	    		var camposBusquedaSplit = camposBusqueda.split(";");
		    	var sqlListadoSplit = sqlListado.split("#");
		    	if (camposBusquedaSplit.length === sqlListadoSplit.length) {
					return true;
				}
			}else if (!camposBusqueda.includes(";") && !sqlListado.includes("#")){
				return true;
		    }
		}
	    return false;
	 },$.rup.i18n.app.mensajes.error.validarCamposSQL);
	
	//Metodo validar si en la sql existe el cambpo valor
	$.validator.addMethod('campoValorInformado', function() {
	    var sql = $("#sqlListado").val();
	    if(sql.toUpperCase().indexOf("AS VALOR") > -1)
	    	return true;
	    return false;
	 },$.rup.i18n.app.mensajes.error.campoValorInformado);
	
	$.validator.addMethod('campoEnSQL', function() {
		var idRowBusquedaActiva = $("#tblbusquedas").rup_table("getActiveRowId");
		var valorSQLBusqueda = $("#tblbusquedas #"+idRowBusquedaActiva+" [aria-describedby='tblbusquedas_sqlListado']").html()

	    if(valorSQLBusqueda.toUpperCase().indexOf($("#valorParametro").val().toUpperCase()) > -1)
	    	return true;
	    return false;
	 },$.rup.i18n.app.mensajes.error.campoEnSQL);
	
	
	
	$("#tblbusquedas_detail_button_save").click(function(){
		
		$('#tblbusquedas').trigger('reloadGrid'); 
		$("#ocultarParametros").show();
	});
	
	//TABLA PARAMETROS
	$("#tblParametros").rup_table({
		url: "/ab61WebAppWar/parametros",
		headertitles: true,
		autowidth: true,
		colNames: [
				   '',
				   $.rup.i18n.app.tablaParametro.nombre,
				   $.rup.i18n.app.tablaParametro.nombreEus,
				   $.rup.i18n.app.tablaParametro.valor
		          ],
        colModel: [
	    	  {
				   name: "idParametro",
				   label: "idParametro",
				   hidden: true
			  },{
				   name: "textoMostrar",
				   label: "nombre",
				   align: "center"
			  },{
				   name: "textoMostrarEus",
				   label: "textoMostrarEus",
				   align: "center"
			  },{
				   name: "nombre",
				   label: "valor",
				   align: "center"
			  }],
		model: "Parametros",
		usePlugins: [
			"formEdit",
			"responsive",
			"feedback",
			"fluid",
			"toolbar",
			"filter"
		],
		formEdit:{
        	detailForm: "#tblParametros_detail_div",
			fillDataMethod: "serverSide",
			addEditOptions:{
				reloadAfterSubmit:true,
				width: 1100,
				fillDataMethod: "serverSide"
			},
			deleteOptions: {
				reloadAfterSubmit:true
			},
			core:{
	    		showOperations:{
					clone:false
		    	},
		    	operations:{	    		
		    		"operacion": {
		    			name: "Clonar",
		    			icon: "rup-icon rup-icon-clone",
		    			enabled: function(){
		    				return false;
		    			}
		    		}
		    	}
		 },
		 validate:{
 			rules:{
 				"nombre":{
 					required:true,
 					campoEnSQL:true
 				},
 				"textoMostrar" :{
 					required:true
 				}
 			}
 		 }
		 
        },
        core : {
			showOperations : {
				"clone" : false
			}
    	},
    	loadOnStartUp: false,
		multiselect: false,
		primaryKey: "idParametro",
		sortorder : "asc"
	});

	$('[id = tblbusquedas_toolbar##btnAdd]').click(function(){
		$("#idListadoBusqueda").val($("#idListado").val());
	});
	$("#tblbusquedas_detail_button_save").click(function(){
		$("#idListadoFilter").val($("#idListado").val());
	});
	$('[id = tblParametros_toolbar##btnAdd]').click(function(){
		$("#idBusquedaParametros").val($("#idBusquedaFilter").val());
	});
	if ("" != $("#nombreBusqueda").val()) {
		$("#ocultarBusquedas").show();
	}else{
		$("#ocultarBusquedas").hide();
		$("#ocultarParametros").hide();
	}
	$(".ocultar").hide();
});
function borrarDocumento(){
	bloquearInterfaz();
	$.ajax({	
        url: "/ab61WebAppWar/documentosListado/borrarFichero/"+$("#idListado").val(),
        type: "POST",
        success: function(json) {
        	$("#tbldocumentoslistado_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#tbldocumentoslistado_feedback").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
        	$("#nombreFichero").val("");
        	$("#nombreFichero").replaceWith($("#nombreFichero").val('').clone(true));
        	$("#conNombre").hide();
       		$("#sinNombre").show();
       		desbloquearInterfaz();
        },
		error: function(){
			$("#tbldocumentoslistado_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
        	$("#tbldocumentoslistado_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
			desbloquearInterfaz();
		}
	});
}