var tipoGuardar;
var idAreaCombo = "";
var idConfigEventosRecuperado;
var filaSeleccionadaProcedimientos;
var datosFilaProcedimientos;

jQuery(function($) {
		
	//Ocultar / mostrar opciones del menú
	$("#mnFichaExpediente").hide();
	$("#mnListados").hide();
	$("#mnMantenimientoTablas").show();
	$("#mnMantenimientoListados").show();
	$("#mnMantenimientoPlantillas").show();
	$("#mnMantenimientoModuloAdministrativo").show();
	$("#mnMantenimientoTablas").addClass("active");
	$('#btnCopy').addClass("ui-widget ui-button-disabled ui-state-disabled");
	$('#btnModif').addClass("ui-widget ui-button-disabled ui-state-disabled");
	$('#btnAdd').addClass("ui-widget ui-button-disabled ui-state-disabled");
	$('#btnBorrar').addClass("ui-widget ui-button-disabled ui-state-disabled");
	
	//Combo direcciones filtro
	$("#direccionesComboFiltro").rup_combo({
		source: "/ab61WebAppWar/direcciones",
		blank: "",
		sourceParam: {
			label: ("eu" === $.rup_utils.get("language")) ? "descripcionEuskera" : "descripcionCastellano",
			value: "idDireccion"
		},
		select: function() {
			$("#tablaProcedimientos").trigger("reloadGrid");
			
			if($("#direccionesComboFiltro").rup_combo("getRupValue") !== "0"){
				$('#btnCopy').removeClass("ui-widget ui-button-disabled ui-state-disabled");
				$('#btnModif').removeClass("ui-widget ui-button-disabled ui-state-disabled");
				$('#btnAdd').removeClass("ui-widget ui-button-disabled ui-state-disabled");
				$('#btnBorrar').removeClass("ui-widget ui-button-disabled ui-state-disabled");
			} else{
				$('#btnCopy').addClass("ui-widget ui-button-disabled ui-state-disabled");
				$('#btnModif').addClass("ui-widget ui-button-disabled ui-state-disabled");
				$('#btnAdd').addClass("ui-widget ui-button-disabled ui-state-disabled");
				$('#btnBorrar').addClass("ui-widget ui-button-disabled ui-state-disabled");
			}
			
		},
		width : 300
	});
	
	//Combo direcciones
	$("#direccionesCombo").rup_combo({
		source: "/ab61WebAppWar/direcciones",
		blank: "",
		sourceParam: {
			label: ("eu" === $.rup_utils.get("language")) ? "descripcionEuskera" : "descripcionCastellano",
			value: "idDireccion"
		},
		width : 300
	});
	
	//Combo áreas
	$("#areasCombo").rup_combo({
		parent: ["direccionesCombo"],
		source: "/ab61WebAppWar/areas",
		blank: "",
		sourceParam: {
			label: ("eu" === $.rup_utils.get("language")) ? "descripcionEuskera" : "descripcionCastellano",
			value: "idArea"
		},
		onLoadSuccess: function(){
			if(idAreaCombo !== ""){
				$("#areasCombo").rup_combo("setRupValue", idAreaCombo);
			}
		},
		width : 300
	});
	
	//Formulario detalle modal
	$("#procedimientosModal").rup_dialog({
		autoOpen: false,
		width: 1000,
		modal: true,
		position: { my: "center center" },
		title: $.rup.i18n.app.procedimientos.configurar,
		type: $.rup.dialog.DIV,
		close: function(){
			limpiarFormularioDetalle();
		}
	});
	
	//Feedback tabla procedimientos
	$("#tablaProcedimientosFeedback").rup_feedback({
		gotoTop: true,
		block: false,
		closeLink: true
	});
	
	//Feedback modal mantenimiento de procedimientos
	$("#procedimientosModalFeedback").rup_feedback({
		gotoTop: true,
		block: false,
		closeLink: true
	});
	
	//Feedback modal tabla de acciones telemáticas
	$("#tablaConfiguracionFeedback").rup_feedback({
		gotoTop: true,
		block: false,
		closeLink: true
	});
	
	//Feedback modal asignar acciones telemáticas
	$("#accionTelematicaModalFeedback").rup_feedback({
		gotoTop : true,
		block: false,
		closeLink: true
	});
	
	//Feedback modal copiar procedimiento
	$("#copiarProcedimientoModalFeedback").rup_feedback({
		gotoTop: true,
		block: false,
		closeLink: true
	});
	
	//Modal asignar acción telemática
	$("#accionTelematicaModal").rup_dialog({
		autoOpen: false,
		width: 700,
		modal: true,
		position: { my: "center center" },
		title: $.rup.i18n.app.procedimientos.asignarAccionesTelematicas,
		type: $.rup.dialog.DIV,
		close: function(){
			limpiarFormAccionesTelematicas();
		},
		open: function(){
			$("#codProcedureIdAccionTelematica").val($("#codProcedureIdFilter").val());
		}
	});
	
	//Combo acciones telemáticas
	$("#comboAccionesTelematicas").rup_combo({
		source: "/ab61WebAppWar/configEventos",
		blank: "",
		sourceParam: {
			label: ("eu" === $.rup_utils.get("language")) ? "descripcionEuskera" : "descripcionCastellano",
			value: "idConfigEventos"
		},
		width : 300
	});
	
	//Modal copiar procedimiento
	$("#copiarProcedimientoModal").rup_dialog({
		autoOpen: false,
		width:400,
		modal: true,
		position: { my: "center center" },
		title: $.rup.i18n.app.procedimientos.copiar,
		type: $.rup.dialog.DIV,
		close: function(){
			$("#copiarProcedimientoModalForm")[0].reset();
		}
	});
	
	//Mostrar / ocultar campos dependiendo del idioma
	if("eu" === $.rup_utils.get("language")){
		$("#descripcionCastellanoFiltroDiv").css("display", "none");
		$("#descripcionEuskeraFiltroDiv").css("display", "block");
	} else if("es" === $.rup_utils.get("language")){
		$("#descripcionEuskeraFiltroDiv").css("display", "none");
		$("#descripcionCastellanoFiltroDiv").css("display", "block");
	}

	//TABLA PROCEDIMIENTOS
	$("#tablaProcedimientos").rup_table({
		url: "/ab61WebAppWar/procedimientos",
		headertitles: true,
		autowidth: true,
		colNames: [
				   '',
				   $.rup.i18n.app.tablaMantenimientoProcedimientos.codProcedureId,
				   $.rup.i18n.app.tablaMantenimientoProcedimientos.descripcion,
				   $.rup.i18n.app.tablaMantenimientoProcedimientos.area,
				   $.rup.i18n.app.tablaMantenimientoProcedimientos.camposTituloExpediente,
				   $.rup.i18n.app.tablaMantenimientoProcedimientos.inspeccionable,
				   $.rup.i18n.app.tablaMantenimientoProcedimientos.aplicacionNegocio,
				   ''
		          ],
      colModel: [{
				   name: "idProcedimiento",
				   label: "idProcedimiento",
				   hidden: true
			  },{
				   name: "codProcedureId",
				   label: "codProcedureId",
				   align: "center"
			  },{
				   name: ("eu" === $.rup_utils.get("language")) ? "descripcionEuskera" : "descripcionCastellano",
				   label: ("eu" === $.rup_utils.get("language")) ? "descripcionEuskera" : "descripcionCastellano",
				   align: "center"
			  },{
				   name: ("eu" === $.rup_utils.get("language"))? "areas.descripcionEuskera" : "areas.descripcionCastellano",
				   label: ("eu" === $.rup_utils.get("language"))? "areas.descripcionEuskera" : "areas.descripcionCastellano",
				   index: ("eu" === $.rup_utils.get("language")) ? "areasdescripcioneuskera" : "areasdescripcioncastellano",
				   align: "center"
			  },{
				   name: "camposTituloExpediente",
				   label: "camposTituloExpediente",
				   align: "center"
			  },{
				   name: "inspeccionable",
				   label: "inspeccionable",
				   align: "center",
				   formatter: inspeccionableFormatter
			  },{
				   name: "aplicacionNegocio",
				   label: "aplicacionNegocio",
				   align: "center"
			  },{
				  name: "numeroExpedientes",
				  label: "numeroExpedientes",
				  hidden: true
			  }],
		model: "Procedimientos",
		loadComplete:function (){
			 $("#tablaProcedimientos").setSelection($("#tablaProcedimientos .jqgrow").attr("id"));
			 if($("#tablaProcedimientos").rup_table("getDataIDs").length === 0){
				 $("#btnCopy").addClass("ui-widget ui-button-disabled ui-state-disabled");
				 $("#btnModif").addClass("ui-widget ui-button-disabled ui-state-disabled");
				 $("#btnBorrar").addClass("ui-widget ui-button-disabled ui-state-disabled");
			 } else{
				 $("#btnCopy").removeClass("ui-widget ui-button-disabled ui-state-disabled");
				 $("#btnModif").removeClass("ui-widget ui-button-disabled ui-state-disabled");
				 $("#btnBorrar").removeClass("ui-widget ui-button-disabled ui-state-disabled");
			 }
		},
		usePlugins: [
			"responsive",
			"feedback",
			"toolbar",
			"filter"
		],
		multiselect: false,
		loadOnStartUp : false,
		primaryKey: "idProcedimiento",
		sortname: "codProcedureId",
		sortorder : "asc"
	});
	
	//Nuevo procedimiento
	$("#btnAdd").click(function(){
		idAreaCombo = "";
		$("#codProcedureId").prop("disabled", false);
		$("#sectionTablaConfiguracion").addClass("hidden");
		tipoGuardar = "POST";
		$("#procedimientosModal").rup_dialog("open");		
	});
	
	//Editar procedimiento
	$("#btnModif").click(function(){
		tipoGuardar = "PUT";
		limpiarFormularioDetalle();
		$("#sectionTablaConfiguracion").removeClass("hidden");
		bloquearInterfaz();
		recuperarProcedimiento();
		//TABLA ACCIÓN TELEMÁTICA
		$("#tablaConfiguracion").rup_table({
			url: "/ab61WebAppWar/configuracion",
			headertitles: true,
			autowidth: true,
			colNames: [
					   '',
					   $.rup.i18n.app.tablaConfiguracion.descripcion,
					   $.rup.i18n.app.tablaConfiguracion.plsqlCarga,
			          ],
	      colModel: [{
					   name: "idConfiguracion",
					   label: "idConfiguracion",
					   hidden: true
				  },{
					   name: ("eu" === $.rup_utils.get("language")) ? "configEventos.descripcionEuskera" : "configEventos.descripcionCastellano",
					   label: ("eu" === $.rup_utils.get("language")) ? "configEventos.descripcionEuskera" : "configEventos.descripcionCastellano",
					   index: ("eu" === $.rup_utils.get("language")) ? "configeventosdescripcioneu" : "configeventosdescripciones",
					   align: "center"
				  },{
					   name: "plsqlCarga",
					   label: "plsqlCarga",
					   align: "center"
				  }],
			model: "Configuracion",
			loadComplete:function (){
				 $("#tablaConfiguracion").setSelection($("#tablaConfiguracion .jqgrow").attr("id")); 
				 $("#tablaConfiguracion_filter_div").width($("#tablaConfiguracion_div").width());
				 
				 if($("#tablaConfiguracion").rup_table("getDataIDs").length === 0){
					 $("#codProcedureId").prop("disabled", false);
					 $("#btnModifConfiguracion").addClass("ui-widget ui-button-disabled ui-state-disabled");
					 $("#btnBorrarConfiguracion").addClass("ui-widget ui-button-disabled ui-state-disabled");
				 } else{
					 $("#codProcedureId").prop("disabled", true);
					 $("#btnModifConfiguracion").removeClass("ui-widget ui-button-disabled ui-state-disabled");
					 $("#btnBorrarConfiguracion").removeClass("ui-widget ui-button-disabled ui-state-disabled");
				 }
				 
			},
			usePlugins: [
				"responsive",
				"feedback",
				"toolbar",
				"filter"
			],
			multiselect: false,
			loadOnStartUp : true,
			primaryKey: "idConfiguracion",
			sortname: "idConfiguracion",
			sortorder : "desc"
		});
		$("#tablaConfiguracion").trigger("reloadGrid");
	});
	
	//Borrar procedimiento
	$("#btnBorrar").click(function(){
		
		filaSeleccionadaProcedimientos = $("#tablaProcedimientos").rup_table("getSelectedRows")[0];
		datosFilaProcedimientos = $("#tablaProcedimientos").rup_table("getRowData", filaSeleccionadaProcedimientos);
		
		if(datosFilaProcedimientos.numeroExpedientes > 0){
			$("#tablaProcedimientosFeedback").rup_feedback("set", $.rup.i18n.app.procedimientos.registroSecundario, "alert")
		} else{
		
			$.rup_messages("msgConfirm", {
				title:  $.rup.i18n.app.procedimientos.borrarProcedimiento,
				message: $.rup.i18n.app.procedimientos.borrarProcedimientoConfirm,
				OKFunction: function(){
					bloquearInterfaz();
					$.ajax({
						url: "/ab61WebAppWar/procedimientos/"+$("#tablaProcedimientos").rup_table("getGridParam", "selrow"),
						type: "DELETE",
						success: function(){
							$("#tablaProcedimientosFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.OK.datos_eliminados_OK, "ok");
							$("#tablaProcedimientos").trigger("reloadGrid");
							desbloquearInterfaz();
						},
						error: function(){
							$("#tablaProcedimientosFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
							desbloquearInterfaz();
						}
					});
				}
			});
		}
	});
	
	//Botón filtrar procedimientos
	$("#btnBuscarProcedimientos").click(function(){
		$("#tablaProcedimientos").trigger("reloadGrid");
	});
	
	//Botón limpiar filtro procedimientos
	$("#btnLimpiarProcedimientos").click(function(){
		limpiarFormularioFiltroProcedimientos();
	});
	
	//Botón cancelar modal procedimentos
	$("#procedimientosModalCancelar").click(function(){
		$("#procedimientosModal").rup_dialog("close");
	});
	
	//Botón cancelar modal acciones telemáticas - plsql
	$("#accionTelematicaModalCancelar").click(function(){
		$("#accionTelematicaModal").rup_dialog("close");
	});
	
	//Botón guardar procedimiento
	$("#procedimientosModalGuardar").click(function(){
		bloquearInterfaz();
		$("#procedimientosModalForm").rup_form({
			feedback: $("#procedimientosModalFeedback"),
			url:"/ab61WebAppWar/procedimientos",
			type: tipoGuardar,
			validate: {
				liveCheckingErrors: false,
				showFieldErrorAsDefault: true,
				showErrorsInFeedback: false,
				showFieldErrorsInFeedback: true,
				rules: {
					"direcciones.idDireccion" : { required : true },
					"descripcionCastellano"	  : { required : true, maxlength : 500 },
					"descripcionEuskera"	  : { required : true, maxlength : 500 },
					"codProcedureId"		  : { required : true, maxlength : 20 },
					"camposTituloExpediente"  : { required : true, maxlength : 200 }
				}
			},
			success: function(){
				$("#tablaProcedimientos").trigger("reloadGrid");
				$("#procedimientosModal").rup_dialog("close");
				$("#tablaProcedimientosFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
			},
			error: function(){
				$("#procedimientosModalFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
			}
		});
		
		if($("#codProcedureId").val() !== ""){
			comprobarCodProcedureUnico($("#codProcedureId").val(), $("#idProcedimientoModal").val(), $("#procedimientosModalFeedback"), $("#procedimientosModalForm"), false);
		} else{
			$("#procedimientosModalForm").submit();
		}

		$("#tablaProcedimientos").trigger("reloadGrid");
		desbloquearInterfaz();
		
	});
	
	//Botón asignar acción telemática - plsql
	$("#btnAddConfiguracion").click(function(){
		bloquearInterfaz();
		tipoGuardar = "POST";
		$("#accionTelematicaModalGuardar").text($.rup.i18n.app.anadir);
		$("#accionTelematicaModal").rup_dialog("open");
		desbloquearInterfaz();
	});
	
	//Botón editar acción telemática - plsql
	$("#btnModifConfiguracion").click(function(){
		tipoGuardar = "PUT";
		$("#accionTelematicaModalGuardar").text($.rup.i18n.app.aceptar);
		bloquearInterfaz();
		recuperarAccionTelematica();
	});
	
	//Borrar acción telemática - plsql
	$("#btnBorrarConfiguracion").click(function(){
		$.rup_messages("msgConfirm", {
			title:  $.rup.i18n.app.procedimientos.borrarAccionTelematica,
			message: $.rup.i18n.app.procedimientos.borrarAccionTelematicaConfirm,
			OKFunction: function(){
				bloquearInterfaz();
				$.ajax({
					url: "/ab61WebAppWar/configuracion/"+$("#tablaConfiguracion").rup_table("getGridParam", "selrow"),
					type: "DELETE",
					success: function(){
						$("#tablaConfiguracionFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.OK.datos_eliminados_OK, "ok");
						$("#tablaConfiguracion").trigger("reloadGrid");
						desbloquearInterfaz();
					},
					error: function(){
						$("#tablaProcedimientosFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
						desbloquearInterfaz();
					}
				});
			}
		});		
	});
	
	//Asignar acción telemática - plsql
	$("#accionTelematicaModalGuardar").click(function(){
		bloquearInterfaz();
		$("#accionTelematicaModalForm").rup_form({
			feedback: $("#accionTelematicaModalFeedback"),
			url: "/ab61WebAppWar/configuracion",
			type: tipoGuardar,
			validate: {
				liveCheckingErrors: false,
				showFieldErrorAsDefault: true,
				showErrorsInFeedback: false,
				showFieldErrorsInFeedback: true,
				rules: {
					"configEventos.idConfigEventos" : { required : true },
					"plsqlCarga"					: { required : true, maxlength : 250 }
				}
			},
			success: function(){
				$("#accionTelematicaModalFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
				$("#tablaConfiguracion").trigger("reloadGrid");
				desbloquearInterfaz();
			},
			error: function(){
				$("#accionTelematicaModalFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
				desbloquearInterfaz();
			}
		});
		
		if($("#comboAccionesTelematicas").rup_combo("getRupValue") !== ""){
			comprobarConfigEventosRepetido($("#codProcedureIdFilter").val(), $("#comboAccionesTelematicas").rup_combo("getRupValue"));
		} else{
			$("#accionTelematicaModalForm").submit();
		}		
		
	});
	
	//Botón copiar procedimiento
	$("#btnCopy").click(function(){
		
		var filaSeleccionadaProcedimientos = $("#tablaProcedimientos").rup_table("getSelectedRows")[0];
		var datosFilaProcedimientos = $("#tablaProcedimientos").rup_table("getRowData", filaSeleccionadaProcedimientos);
		
		if(datosFilaProcedimientos.aplicacionNegocio.toUpperCase() === COD_APLICACION_AB60){
			$("#tablaProcedimientosFeedback").rup_feedback("set", $.rup.i18n.app.procedimientos.copiarAplicacionAB60, "alert");
		} else{
			$("#copiarProcedimientoModal").rup_dialog("open");
		}
		
	});
	
	//Botón cancelar modal copiar procedimiento
	$("#copiarProcedimientoCancelar").click(function(){
		$("#copiarProcedimientoModal").rup_dialog("close");
	});
	
	//Botón guardar modal copiar procedimiento
	$("#copiarProcedimientoGuardar").click(function(){
		
		bloquearInterfaz();
		var filaSeleccionadaProcedimientos = $("#tablaProcedimientos").rup_table("getSelectedRows")[0];
		var datosACopiar = $("#tablaProcedimientos").rup_table("getRowData", filaSeleccionadaProcedimientos);
		
		if(datosACopiar.inspeccionable === "<i class=\"fa fa-check\"></i>"){
			datosACopiar.inspeccionable = true;
		}
		
		$("#copiarProcedimientoModalForm").rup_form({
			feedback: $("#copiarProcedimientoModalFeedback"),
			type: "POST",
			url: "/ab61WebAppWar/procedimientos/copiarProcedimiento/" + $("#codProcedureIdCopiaModal").val(),
			data: datosACopiar,
			validate: {
				liveCheckingErrors: false,
				showFieldErrorAsDefault: true,
				showErrorsInFeedback: false,
				showFieldErrorsInFeedback: true,
				rules: {
					"codProcedureId": { required : true, maxlength : 20 }
				}
			},
			success: function(){
				$("#copiarProcedimientoModal").rup_dialog("close");
				$("#tablaProcedimientos").trigger("reloadGrid");
				$("#tablaProcedimientosFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
			},
			error: function(){
				$("#copiarProcedimientoModalFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
			}
		});
		
		if($("#codProcedureIdCopiaModal").val() !== ""){
			comprobarCodProcedureUnico($("#codProcedureIdCopiaModal").val(), datosACopiar.idProcedimiento, $("#copiarProcedimientoModalFeedback"), $("#copiarProcedimientoModalForm"), true);
		} else{
			$("#copiarProcedimientosModalForm").submit();
		}
		
		desbloquearInterfaz();
	});
	
	//Pulsar la tecla 'enter' en el modal de copiar es como si se pulsase el botón de guardar
	$("#codProcedureIdCopiaModal").on('keypress',function(event) {
	    if(event.which == 13) {
	    	event.preventDefault();
	    	$("#copiarProcedimientoGuardar").click();
	    }
	});
	
});

//Formatear el contenido de la columna inspeccionable
function inspeccionableFormatter(cellvalue){
	if(cellvalue){
		return "<i class='fa fa-check'></i>";
	} else{
		return "";
	}
}

//Recuperar el procedimiento a editar
function recuperarProcedimiento(){
	$.ajax({
		url: "/ab61WebAppWar/procedimientos/" + $("#tablaProcedimientos").rup_table("getGridParam", "selrow"),
		type: "GET",
		dataType:"json",
		async:false,
		success: function(data){
			$("#procedimientosModal").rup_dialog("open");
			desbloquearInterfaz();
			$("#idProcedimientoModal").val(data.idProcedimiento);
			$("#codProcedureIdFilter").val(data.codProcedureId);
			$("#direccionesCombo").rup_combo("setRupValue", data.direcciones.idDireccion);
			if(data.areas !== null && data.areas.idArea !== null){
				idAreaCombo = data.areas.idArea;
			} else{
				$("#areasCombo").rup_combo("setRupValue", "");
			}
			if(data.inspeccionable === true){
				$("#inspeccionableSi").prop("checked", true);
			} else if(data.inspeccionable === false){
				$("#inspeccionableNo").prop("checked", true);
			}
			$("#descripcionCastellanoModal").val(data.descripcionCastellano);
			$("#descripcionEuskeraModal").val(data.descripcionEuskera);
			$("#codProcedureId").val(data.codProcedureId);
			$("#aplicacionNegocioModal").val(data.aplicacionNegocio);
			$("#camposTituloExpediente").val(data.camposTituloExpediente);
		},
		error: function(){
			$("#tablaProcedimientosFeedback").rup_feedback("set", $.rup.i18n.app.procedimientos.recuperarProcError, "error");
			desbloquearInterfaz();
		}
	});
}

//Limpiar el formulario de detalle
function limpiarFormularioDetalle(){
	$("#procedimientosModalFeedback").rup_feedback("close");
	$("#tablaConfiguracionFeedback").rup_feedback("close");
	$("#direccionesCombo").rup_combo("clear");
	$("#areasCombo").rup_combo("clear");
	$("#inspeccionableSi").prop("checked", false);
	$("#inspeccionableNo").prop("checked", false);
	$("#descripcionCastellanoModal").val("");
	$("#descripcionEuskeraModal").val("");
	$("#codProcedureId").val("");
	$("#aplicacionNegocioModal").val("");
	$("#camposTituloExpediente").val("");
}

//Comprobar si existe el codProcedureId antes de instertar / modificar un procedimiento
function comprobarCodProcedureUnico(codProcedureId, idProcedimiento, feedback, formulario, copia){
	$.ajax({
		type: "GET",
		url: "/ab61WebAppWar/procedimientos/getByCodProcedure/" + codProcedureId,
		dataType: "json",
		success: function(data){
			if((data !== null && idProcedimiento != data.idProcedimiento) || (data !== null && copia)){
				feedback.rup_feedback("set", $.rup.i18n.app.procedimientos.codProcedureIdRepetido, "alert");
				desbloquearInterfaz();
			} else{
				formulario.submit();
			}
			
		},
		error: function(){
			desbloquearInterfaz();
		}
	});
}

//Comprobar que un procedimiento no tenga un mismo idConfigEventos asociado más de una vez
function comprobarConfigEventosRepetido(codProcedureId, idConfigEventos){
	$.ajax({
		type: "GET",
		url: "/ab61WebAppWar/configuracion/comprobarConfigEventosRepetido/" + codProcedureId + "/" + idConfigEventos,
		dataType: "json",
		success: function(data){
			if((data > 0 && tipoGuardar === "POST") || (data > 0 && tipoGuardar === "PUT" && idConfigEventosRecuperado != $("#comboAccionesTelematicas").rup_combo("getRupValue"))){
				$("#accionTelematicaModalFeedback").rup_feedback("set", $.rup.i18n.app.procedimientos.accionTelematicaRepetida, "alert");
				desbloquearInterfaz();
			} else{
				$("#accionTelematicaModalForm").submit();
			}
		},
		error: function(){
			desbloquearInterfaz();
		}
	});
}

//Limpiar el formulario de asignar acciones telemáticas
function limpiarFormAccionesTelematicas(){
	$("#accionTelematicaModalFeedback").rup_feedback("close");
	$("#comboAccionesTelematicas").rup_combo("clear");
	$("#plsqlTextarea").val("");
}

//Recuperar la acción telemática a editar
function recuperarAccionTelematica(){
	$.ajax({
		type: "GET",
		url: "/ab61WebAppWar/configuracion/" + $("#tablaConfiguracion").rup_table("getGridParam", "selrow"),
		dataType: "json",
		success: function(data){
			$("#accionTelematicaModal").rup_dialog("open");
			$("#idConfiguracionModal").val(data.idConfiguracion);
			idConfigEventosRecuperado = data.configEventos.idConfigEventos;
			$("#comboAccionesTelematicas").rup_combo("setRupValue", data.configEventos.idConfigEventos);
			$("#plsqlTextarea").val(data.plsqlCarga);
			desbloquearInterfaz();
		},
		error: function(){
			$("#tablaConfiguracionFeedback").rup_feedback("set", $.rup.i18n.app.procedimientos.recuperarAccionTelematicaError, "error");
			desbloquearInterfaz();
		}
	});
}

//Limpiar el formulario de filtrado de procedimientos
function limpiarFormularioFiltroProcedimientos(){
	$("#direccionesComboFiltro").rup_combo("setRupValue", "0");
	$("#codProcedureIdFiltro").val("");
	$("#descripcionCastellanoFiltro").val("");
	$("#descripcionEuskeraFiltro").val("");
	$("#tablaProcedimientos").trigger("reloadGrid");
	$('#btnCopy').addClass("ui-widget ui-button-disabled ui-state-disabled");
	$('#btnModif').addClass("ui-widget ui-button-disabled ui-state-disabled");
	$('#btnAdd').addClass("ui-widget ui-button-disabled ui-state-disabled");
	$('#btnBorrar').addClass("ui-widget ui-button-disabled ui-state-disabled");
}
