jQuery(function($){
	desbloquearInterfaz()
	//si venimos de eliminar
	if ($("#eliminar").val() == 1) {
		$("#eliminar").val(0);
		$.rup_messages("msgConfirm", {
			title:  $.rup.i18n.app.mensajes.titulo,
			message: $.rup.i18n.app.mensajes.eliminar,
			OKFunction: function(){
				$('#formSolicitante').rup_form({
					'url':"/ab61WebAppWar/datosterceros/delete/"+ $('#idExpediente').val(),
					validate:{
						rules:{
							"nombre":{required:false},
							"apellido1":{required:false},
							"sexo":{required:false},
							"telefono":{required:false},
							"email":{required:false}
							}
					},
					success:function(){
						$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
						$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_eliminados_OK, "ok");
						bloquearInterfaz();
						window.parent.accederMenu('relexpter');
					},
					error:function(){
						$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
						$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
						//bloquearInterfaz();
						//window.parent.accederMenu('relexpter');
					}
				});
				$("#formSolicitante").submit();
			}
		});
	}
	
	//poner value del input cero a vacio
	 var idSexo=  $("#idSexo").val();
	 if(undefined == idSexo){
		 $("#idSexo").val(0);
	 }
	var idTipoTercero = $("#idTipoTercero").val();
	if (idTipoTercero == 6) {
		$("#documento").removeAttr("readonly")
	}

	if (idTipoTercero == 2 || idTipoTercero == 6){
	
		$("#comboSexo").rup_combo({
			blank: "",
			source: "/ab61WebAppWar/sexos/verValorCombo",
			sourceParam: {
			    label: (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
				value: "idSexo"
			},
			onLoadSuccess: function() {
				var sexo = $(".sexo").val();
				$("#comboSexo").rup_combo("setRupValue", sexo);
			},
			select: function() {
				var sexo = $("#comboSexo").val();
				$(".sexo").val(sexo);
			}
		});
	}
  
  $("#formSolicitante").rup_form({

		url:"/ab61WebAppWar/datosterceros/save",
		type : "POST",
		dataType : 'json',
		success:function(){
			$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
			$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
			bloquearInterfaz();
			window.parent.accederMenu('relexpter');
		},
		error : function(){
			$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
			$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
			//bloquearInterfaz();
			//window.parent.accederMenu('relexpter');
		},
		validate:{
			rules:{
				"nombre":{required:true},
				"apellido1":{required:true},
				"sexo":{required:true},
				"telefono":{required:true,number:true,maxlength:10},
				"email":{required:true},
				"idComboTipoDocumento" : {required : true}
				}
			}
	});
  
  $(".btn-primary").click(function(){

	  var numeroIdentificativo = validarDNICIFNIEPASAPORTE($("#documento").val(),$("#idComboTipoDocumento").val())
		if (numeroIdentificativo) {
			$("#formSolicitante").submit();
		}else{
			if (!numeroIdentificativo) {
				$("#feedbackMensajesParticipantes").rup_feedback("set",$.rup.i18n.app.validaciones.participantes.numero, "error");
			}
		}
	   
  });	

  if ( (idTipoTercero == 6)  || idTipoTercero == 1 || idTipoTercero == 3){

	  $("#idComboTipoDocumentoParticipante").rup_combo({
			blank:"",
			source : "/ab61WebAppWar/tiposdocumento/verValorCombo",
			sourceParam : {
				label : (("eu" == $.rup_utils.get("language")) ? "descripcionEuskera"
						: "descripcionCastellano"),
				value : "idTipoDocumento"
			},
			width : 200,
			onLoadSuccess: function(){
				$("#idComboTipoDocumentoParticipante").rup_combo("setRupValue",$("#idTipoDocumento").val());
				$("#idComboTipoDocumentoParticipante").rup_combo("disable");
			}
		});
  }
  
});
