jQuery(function($){
	
	//si venimos de eliminar
	if ($("#eliminar").val() == 1) {
		$("#eliminar").val(0);
		$.rup_messages("msgConfirm", {
			title:  $.rup.i18n.app.mensajes.titulo,
			message: $.rup.i18n.app.mensajes.eliminar,
			OKFunction: function(){
				  $("#formEmpresa").rup_form({
					url:"/ab61WebAppWar/empresas/delete/"+$('#idExpediente').val(),
					type : "POST",
					dataType : 'json',
					success:function(){
						$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
						$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_eliminados_OK, "ok");
						window.parent.accederMenu('relexpteremp');
					},
					error:function(){
						$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
						$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
						//window.parent.accederMenu('relexpteremp');
					}
				});	
				$("#formEmpresa").submit();
			}
		});
	}
	$(".btn-primary").click(function(){
		var numeroIdentificativo = validateCIFModal($("#nif").val())
		if (numeroIdentificativo) {
			$("#formEmpresa").rup_form({
				url:"/ab61WebAppWar/empresas/save",
				type : "POST",
				dataType : 'json',
				success:function(){
					$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
					$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
					window.parent.accederMenu('relexpteremp');
				},
				error : function(){
					$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
					$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
					//window.parent.accederMenu('relexpteremp');
				},
				validate:{
					rules:{
						"nombre":{required:true},
						"nif":{required:true}
						}
					}
			});
			$("#formEmpresa").submit();
		}else{
			$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : false });
			$("#id_capa").rup_feedback("set",$.rup.i18n.app.validaciones.participantes.numero, "error");
		}
	});

});

function validateCIFModal(cif) {
	cif = cif.toUpperCase();
	if (!cif || cif.length !== 9) {
		return false;
	}
	var letters = [ 'J', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I' ];
	var digits = cif.substr(1, cif.length - 2);
	var letter = cif.substr(0, 1);
	var control = cif.substr(cif.length - 1);
	var sum = 0;
	var i;
	var digit;

	if (!letter.match(/[A-Z]/)) {
		return false;
	}
	for (i = 0; i < digits.length; ++i) {
		digit = parseInt(digits[i]);

		if (isNaN(digit)) {
			return false;
		}

		if (i % 2 === 0) {
			digit *= 2;
			if (digit > 9) {
				digit = parseInt(digit / 10) + (digit % 10);
			}
			sum += digit;
		} else {
			sum += digit;
		}
	}
	sum %= 10;
	if (sum !== 0) {
		digit = 10 - sum;
	} else {
		digit = sum;
	}

	if (letter.match(/[ABEH]/)) {
		return String(digit) === control;
	}
	if (letter.match(/[NPQRSW]/)) {
		return letters[digit] === control;
	}

	return String(digit) === control || letters[digit] === control;
}