jQuery(function($) {
	$("#mnFichaExpediente").show();
	$("#mnListados").show();
	$("#mnMantenimientoTablas").hide();
	$("#mnMantenimientoListados").hide();
	$("#mnMantenimientoPlantillas").hide();
	$("#mnMantenimientoModuloAdministrativo").hide();
	//Marcamos la opción del menú principal "Ficha expediente"
	$("#mnFichaExpediente").addClass("active");
	
	desbloquearInterfaz();

	var ab61_folderID = $('#folderId').val();

	$("#divFichaExpediente").rup_accordion({
		active : true,
		autoHeight : false
	});
	$("#tabs").rup_tabs({
		tabs : [ {
			i18nCaption : $.rup.i18n.app.tabs.tab1,
			layer : "#contenedorTabs"
		}
	
		]
	});
	// Creamos el área de mensajes para la ficha de expedientes en general
	$("#feedbackMensajesSearchFolder").rup_feedback({
		closeLink : true,
		block : false,
		gotoTop : false
	});
	if ("false" == $("#flagSearchFolder").val()) {
		$("#feedbackMensajesSearchFolder").rup_feedback("set",$.rup.i18n.app.mensajes.error.searchFolder_error,"error");
	}else{
		$("#divFichaExpediente").rup_accordion("activate", 0);
	}
	$(".iconoDerecha").rup_tooltip({
		content:{
			text:$.rup.i18n.app.tooltip.misGestiones
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});
	
	$(".botonCompartir").click(function() {	
		$("#mnFichaExpediente").addClass("active");
		var tipo = "";
		var tipoAux = $(this).prop('id');
		var splitString = tipoAux.split("-");
		if (tipoAux.substring(0, 7) == "TITULAR") {
			tipo = "TITULAR";
			titulo =$.rup.i18n.app.datoSolicitante;
			
		}else if (tipoAux.substring(0, 13) == "REPRESENTANTE"){
			tipo = "REPRESENTANTE";
			titulo = $.rup.i18n.app.datoRepresantante;
		}else if (tipoAux.substring(0, 4) == "OTRO"){
			tipo = "OTRO";
			titulo = $.rup.i18n.app.datoOtroInteresado;
		}

		var idSolicitante = $(this).val();
		
		var url ="/ab61WebAppWar/datosterceros/"+$('#idExpediente').val()+"/" + idSolicitante + "/" + ab61_folderID + "/"+ splitString[0]+"/"+splitString[1];
			
		bloquearInterfaz();
		$("#dialogsTerceros").rup_dialog({
			
		
			type: $.rup.dialog.AJAX,
			url: url ,
			title: titulo,
			autoOpen: true,
			modal: true,
			width:1100,
			resizable: true,
			closeOnEscape:false,
			ajaxOptions: {
				success: function (){
					$("#mnFichaExpediente").addClass("active");
					desbloquearInterfaz();
				}
			},
			buttons: [{
				text: $.rup.i18n.app.cerrar,
				btnType: $.rup.dialog.LINK,
				click: function () { 
					
					$("#dialogsTerceros").rup_dialog("destroy");
				}					
			}]
		});	
		//quitar X de modal
		$('.ui-dialog-titlebar-close').hide();
		
	});
	
});	


