jQuery(document).ready(function(){

	var idProcedimiento=$('#idProcedimiento').val();
	var origen=$('#origen').val();
	var idExpediente =$('#idExpediente').val();
	var folderId = $('#folderId').val();
	var procedureId = $('#procedureId').val();
	var parametroConfig = $('#parametroConfig').val();

	$('#btnGenerarDocumento').prop("disabled", true);
	$('#btnEditarDocumento').prop("disabled", true);
	$('#btnAportarDocumento').prop("disabled", true);
	$('#btnDescargarDocumento').prop("disabled", true);
	$('#btnEliminarDocumento').prop("disabled", true);
	

	
	$("#PlantillaTabla").rup_table({
		url: "/ab61WebAppWar/plantillas/tabla/"+idProcedimiento +"/"+idExpediente,
		colNames: [
			"idPlantilla",
			$.rup.i18n.app.tablaPlantilla.descripcion,
			"",
			"tarea",
			"ruta"
		],
		colModel: [
			{ 	
				name: "idPlantilla", 
			 	label: "idPlantilla",
			 	hidden:true

			},
			{ 	
				name:(("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
				label:(("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
				align: "left",
				classes: "celdaSinBorde"
				
			},
			{ 	
				name: "existeDoc", 
			 	label: "",
			 	align: "left", 
				width: 5,
				
			 	
			},
			{ 	
				name: "tiposPlantilla.taskId", 
			 	label: "tarea",
				hidden:true
				
			},
			{ 	
				name: "relExpPla.ruta", 
			 	label: "ruta",
				hidden:true
				
			}
			
        ],
        rowNum:12,   
        width:800,
        model:"Plantillas",
        usePlugins:[
        	"feedback",
        	"responsive",
        	"toolbar"
         	],
     	primaryKey: "idPlantilla",
        sortname: (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
        loadComplete : function (rowData){
        	var row_ids = jQuery("#PlantillaTabla").getDataIDs();
            jQuery.each(row_ids, function(i, row_id){
                if(0 !=$("#PlantillaTabla").rup_table("getCol",row_id, "relExpPla.ruta") && 0 != parametroConfig)
                {
                	$("#PlantillaTabla").rup_table("setCell",row_id, "existeDoc",'<i class="fa fa-file-text" aria-hidden="true"></i>');

                }
            });
        },
        onSelectRow: function(id){ 
        	
    	   var dataRow = jQuery('#PlantillaTabla').jqGrid ('getRowData', id);
    	   var ruta = dataRow['relExpPla.ruta'];
    	   var tarea = dataRow['tiposPlantilla.taskId'];

    	   switch(parametroConfig) {
    		  case VALOR_DESCARGAR:
    			  	$('#btnGenerarDocumento').prop("disabled", true);
			         $('#btnEditarDocumento').prop("disabled", true);
			         $('#btnAportarDocumento').prop("disabled", true);
			         $('#btnDescargarDocumento').prop("disabled", false);
			         $('#btnEliminarDocumento').prop("disabled", true);
    		    break;
    		  case VALOR_TRAMITAR_ONLINE:

    			  if( tarea == '' )
    		      {
    		         $('#btnGenerarDocumento').prop("disabled", true);
    		         $('#btnEditarDocumento').prop("disabled", true);
    		         $('#btnAportarDocumento').prop("disabled", true);
    		         $('#btnEliminarDocumento').prop("disabled", true);
    		         $('#btnDescargarDocumento').prop("disabled", false);
    		      }
    			  else if((tarea != '' && ruta == '')||(tarea != '' && ruta != '') ){
    				  $('#btnGenerarDocumento').prop("disabled", true);
    				  if (ruta != ''){
    					  $('#btnEditarDocumento').prop("disabled", false);
    					  $('#btnEliminarDocumento').prop("disabled", false);
    				      $('#btnAportarDocumento').prop("disabled", false);
    				      $('#btnDescargarDocumento').prop("disabled", true);
     			     }    			        
    				  else{
    					  $('#btnGenerarDocumento').prop("disabled", false);
    				      $('#btnEditarDocumento').prop("disabled", true);
    				      $('#btnEliminarDocumento').prop("disabled", true);
    				      $('#btnAportarDocumento').prop("disabled", true);
    				      $('#btnDescargarDocumento').prop("disabled", true);
    			  	}
    			  }
    		    break;
    		  case VALOR__DESCARGAR_Y_ONLINE:
 	 			
 				 $('#btnDescargarDocumento').prop("disabled", false);
 	 			 if((tarea == '' && ruta == '')||(tarea != '' && ruta == ''))
 			     {
 	 				
 			        $('#btnGenerarDocumento').prop("disabled", false);
 			        $('#btnEditarDocumento').prop("disabled", true);
 			        $('#btnAportarDocumento').prop("disabled", true);
 			       $('#btnEliminarDocumento').prop("disabled", true);
 			        
 			      }
 			      else if(ruta != '')
 			      {
 			    	
 	    			 $('#btnGenerarDocumento').prop("disabled", true);
 			         $('#btnEditarDocumento').prop("disabled", false);
 			         $('#btnEliminarDocumento').prop("disabled", false);
 			         if (tarea != ''){
 			        	
 			        	 $('#btnAportarDocumento').prop("disabled", false);
 			         }    			        
 			         else{
 			        	 
 			        	 $('#btnAportarDocumento').prop("disabled", true);
 			      	}
 				  }
 			    break;
 	 		  default:
 	 		    // code block
 	 		}

        }
     });	
		

	$("#btnGenerarDocumento").on("click", function () {
		 activeRowId = $("#PlantillaTabla").rup_table("getGridParam", "selrow");
		 rowData = $("#PlantillaTabla").rup_table("getRowData",activeRowId);
		 var idPlantilla= rowData.idPlantilla;
		if(activeRowId !=null){
			bloquearInterfaz();
			$.ajax({
				url : "/ab61WebAppWar/plantillas/generarDocumento/"+procedureId +"/" + folderId +"/"+idPlantilla,
				contentType: "application/json",
			    type: "GET",
			    success: function (json) 
			    {
			    	desbloquearInterfaz();
			    	var data = JSON.parse(json);
			    	if (data)
			    	{	
			    		generarDocumento(data);
			    		$("#PlantillaTabla").rup_table("setCell",rowData.idPlantilla, "relExpPla.ruta",data);
			    		$("#PlantillaTabla").rup_table("setCell",rowData.idPlantilla, "existeDoc",'<i class="fa fa-file-text" aria-hidden="true"></i>');
			    		
			    	}else{
			    		$.rup_messages("msgAlert",{
			    			title:  $.rup.i18n.app.mensajes.alerta,
			    			message: $.rup.i18n.app.mensajes.avisos
			    			
			    		});
			    		
			    	}
			    },
			    error : function (respuesta){
					desbloquearInterfaz();
					$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
					$("#id_capa").rup_feedback("set",respuesta.responseText, "error");
					
				}	
			});
		}
		else{
			desbloquearInterfaz();
			$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.msgAlert.selFila, "error");
		}

	});
	
	$("#btnEditarDocumento").on("click", function () {
		
		 activeRowId = $("#PlantillaTabla").rup_table("getGridParam", "selrow");
		 rowData = $("#PlantillaTabla").rup_table("getRowData",activeRowId);
		 idPlantilla= rowData.idPlantilla;
		
		
		if(activeRowId !=null){
			bloquearInterfaz();
			$.ajax({
			
				url : "/ab61WebAppWar/plantillas/modificarDocumento/"+  idPlantilla +"/" + procedureId +"/" + folderId ,
				contentType: "application/json",
			    type: "GET",
			    success: function (json) 
			    {
			    	desbloquearInterfaz();
			    	if(json.length>0){
			    		var data = JSON.parse(json);
				    		editarDocumento(data);
			    	}else{
			    		
			    		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			    		$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.avisoNoRuta, "error");
			    		$('#btnGenerarDocumento').prop("disabled", false);
			    		$('#btnEditarDocumento').prop("disabled", true);
			    		
			    		$('#btnEliminarDocumento').prop("disabled",true);
			    		$('#btnAportarDocumento').prop("disabled", true);
			    		$("#PlantillaTabla").rup_table("setCell",activeRowId, "existeDoc",'<i></i>');
			    		
			    	}
			    },
			    error : function (respuesta){
					desbloquearInterfaz();
					$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
					$("#id_capa").rup_feedback("set",respuesta.responseText, "error");
					
				}	
			});
		}
		else{
			desbloquearInterfaz();

			$("#PlantillaTabla_feedback").rup_feedback("set", $.rup.i18n.app.msgAlert.selFila, "error");
		}
		
	});
	
	$("#btnAportarDocumento").on("click", function () {
		var activeRowId = $("#PlantillaTabla").rup_table("getGridParam", "selrow");
		var rowData = $("#PlantillaTabla").rup_table("getRowData",activeRowId);
		var idPlantilla = rowData.idPlantilla;
	
		if(activeRowId !=null){	
			bloquearInterfaz();
			$.ajax({
				url : "/ab61WebAppWar/plantillas/aportarDocumento/" + idPlantilla +"/" + procedureId +"/" + folderId ,
				cache : false,
					contentType: "application/json",
				    type: "GET",
				    dataType: "json",
				    success: function (result){
				    	desbloquearInterfaz();
					
						$('#btnGenerarDocumento').prop("disabled", false);
			    		$('#btnEditarDocumento').prop("disabled", true);
			    	    $('#btnEliminarDocumento').prop("disabled", true);
			    		$('#btnAportarDocumento').prop("disabled", true);
			    		$("#PlantillaTabla").rup_table("setCell",activeRowId, "existeDoc",'<i></i>');
			    		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
						$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.documentoTramitado, "ok");
				    },
					error : function (respuesta){
						desbloquearInterfaz();
						$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
						$("#id_capa").rup_feedback("set",respuesta.responseText, "error");
						
					}				    
				});
		}
		else{
			desbloquearInterfaz();
			$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.msgAlert.selFila, "error");
		}
		
	});	
	
	$("#btnDescargarDocumento").on("click", function () {
		var activeRowId = $("#PlantillaTabla").rup_table("getGridParam", "selrow");
		var rowData = $("#PlantillaTabla").rup_table("getRowData",activeRowId);
		var idPlantilla = rowData.idPlantilla;
		if(activeRowId !=null){
			bloquearInterfaz();
			$.ajax({
				url : "/ab61WebAppWar/plantillas/descargarDocumento/"+ procedureId +"/" + folderId +"/" + idPlantilla,
				contentType: "application/json",
			    type: "GET",
			    success: function (json) 
			    {
			    	desbloquearInterfaz();
		    		var data = JSON.parse(json);
			    	if(data)
			    	{			
			    		
			    		$("#rutaDocumento").val(data);
			    		
						$("#form_Documento").submit();
			    	}else{
			    		$.rup_messages("msgAlert",{
			    			title:  $.rup.i18n.app.mensajes.alerta,
			    			message: $.rup.i18n.app.mensajes.avisos
			    			
			    		});
			    		
			    	}
			    	
			    },
			    error : function (respuesta){
					desbloquearInterfaz();
					$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
					$("#id_capa").rup_feedback("set",respuesta.responseText, "error");
					
				}	
			});
		}
		else{
			desbloquearInterfaz();
			$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.msgAlert.selFila, "error");
		}

	});
	
	
	$("#btnEliminarDocumento").on("click", function () {
		var activeRowId = $("#PlantillaTabla").rup_table("getGridParam", "selrow");
		var rowData = $("#PlantillaTabla").rup_table("getRowData",activeRowId);
		var idPlantilla = rowData.idPlantilla;
		if(activeRowId !=null){
			bloquearInterfaz();
			$.ajax({
				url : "/ab61WebAppWar/plantillas/eliminarDocumento/"+ idPlantilla +"/" + procedureId +"/" + folderId ,
				contentType: "application/json",
			    type: "GET",
			    success: function (result){
			    	desbloquearInterfaz();
					$('#btnGenerarDocumento').prop("disabled", false);
		    		$('#btnEditarDocumento').prop("disabled", true);
		    	    $('#btnEliminarDocumento').prop("disabled", true);
		    		$('#btnAportarDocumento').prop("disabled", true);
		    		$("#PlantillaTabla").rup_table("setRowData", activeRowId,{"relExpPla.ruta":""});
		    		$("#PlantillaTabla").rup_table("setCell",activeRowId, "existeDoc",'<i></i>');
		    		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
					$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.documentoEliminado, "ok");
			    },
				error : function (respuesta){
					desbloquearInterfaz();
					$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
					$("#id_capa").rup_feedback("set",respuesta.responseText, "error");
					
				}				    
			});
		}
		else{
			desbloquearInterfaz();
			$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.msgAlert.selFila, "error");
		}
	
	});	
});


function generarDocumento(data){

	$('#btnGenerarDocumento').prop("disabled", true);
	$('#btnEditarDocumento').prop("disabled", false);
	var activeRowId = $("#PlantillaTabla").rup_table("getGridParam", "selrow");
	var rowData = $("#PlantillaTabla").rup_table("getRowData",activeRowId);
	var taskId = rowData['tiposPlantilla.taskId'];
	if(taskId !=''){
		$('#btnAportarDocumento').prop("disabled", false);
	}else{
		$('#btnAportarDocumento').prop("disabled", true);
	}
	
	$('#btnEliminarDocumento').prop("disabled",false);
	
	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });


	$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.documentoGenerado, "ok");
	

	location.href = data;

}

function editarDocumento(data){

	
	$('#btnGenerarDocumento').prop("disabled", true);
	var activeRowId = $("#PlantillaTabla").rup_table("getGridParam", "selrow");
	var rowData = $("#PlantillaTabla").rup_table("getRowData",activeRowId);
	var taskId = rowData['tiposPlantilla.taskId'];
	if(taskId !=''){
		$('#btnAportarDocumento').prop("disabled", false);
	}else{
		$('#btnAportarDocumento').prop("disabled", true);
	}
	$('#btnEditarDocumento').prop("disabled", false);
	
	$('#btnEliminarDocumento').prop("disabled",false);
	
	location.href = data;


}
