	$.validator.addMethod('validarNumerodecimal', function(value, element, params) {
			var blnRetorno = true;
			if(''=== value){
				blnRetorno = true;
			}else{
			    var valorSinFormato = eliminarFormatoNumero(value)
			    if ($.isNumeric(valorSinFormato)) {
				    blnRetorno = this.optional(element) || /^((\d+(\\.\d{0,2})?)|((\d*(\.\d{1,2}))))$/.test(valorSinFormato);
				    
				    if (blnRetorno && ((valorSinFormato.split(".")[0].length) > params[0])){
				    	blnRetorno = false;
				    }
			    }
			    else{
			    	blnRetorno = false;
			    }
			}
		    return blnRetorno;
		},jQuery.validator.format( $.rup.i18n.app.mensajes.error.numero_decimal_incorrecto));
	
	function validarNumerodecimalPorValor(value,params) {
		var blnRetorno = true;
		if(''=== value){
			blnRetorno = true;
		}else{
		    var valorSinFormato = eliminarFormatoNumero(value)
		    if ($.isNumeric(valorSinFormato)) {
			    blnRetorno = /^((\d+(\\.\d{0,2})?)|((\d*(\.\d{1,2}))))$/.test(valorSinFormato);
			    
			    if (blnRetorno && ((valorSinFormato.split(".")[0].length) > params[0])){
			    	blnRetorno = false;
			    }
		    }
		    else{
		    	blnRetorno = false;
		    }
		}
	    return blnRetorno;
	}
	

	function formatearNumero(objeto){
		var valor = numeroFormater(objeto.value.toString());
		$("input[name='"+ (objeto.name.substring(0, (objeto.name.length-4))) +"']").val(eliminarFormatoNumero(valor));
		$("input[name='"+ objeto.name +"']").val(valor);
	}
	
	function eliminarFormatoNumero(value){
		if (null != value) {
			value = value.toString().replace(/\./g,''); 
			value = value.toString().replace(/\,/g,'.');
			if (!isNaN(value)) {
				return value;
			}
		}
		return "";
	}
	
	$.validator.addMethod('validarPorcentaje', function(value) {
	    var blnRetorno = true;
	    
	    var valorSinFormato = eliminarFormatoNumero(value);
	    
	    if ((parseFloat(valorSinFormato)<0) || parseFloat(valorSinFormato)>(100.00) )
	    	blnRetorno = false;
	    
	    return blnRetorno;
	}, jQuery.validator.format($.rup.i18n.app.mensajes.error.porcentaje_incorrecto));
	
	function validarPorcentajePorValor(value){
	    var blnRetorno = true;
	    
	    var valorSinFormato = eliminarFormatoNumero(value);
	    
	    if ((parseFloat(valorSinFormato)<0) || parseFloat(valorSinFormato)>(100.00) )
	    	blnRetorno = false;
	    
	    return blnRetorno;
	}

	//Bloquear pantalla
	function bloquearInterfaz(){
		//Estilos por defecto
		$.blockUI({
			css: { backgroundColor: 'transparent',borderColor:'transparent'} ,
			message: '<img src="' + STATICS + '/ab61/images/cargando.gif"  id="cargando"/>' 
		});
	
		
	}
	//Desbloquear pantalla
	function desbloquearInterfaz(){
		try{
			$.unblockUI();
		}catch(e){
			$('.blockUI').remove();
		}
	}
	
	//Left Pad
	function pad (str, max) {
	    str = str.toString();
	    return str.length < max ? pad("0" + str, max) : str;
	}

	//funcion de formato de ("###,###.##") a la columna de ADMITIDO
	function numeroFormater(cellvalue) {
		if((null!=cellvalue && ''!=cellvalue && ""!=cellvalue) || 0 ===cellvalue){	
			cellvalue = cellvalue.toString().replace(/\./g,','); 
			cellvalue = cellvalue.toString().replace(/\,/g,'.');
			if (!isNaN(cellvalue)) {
				var decimals=2;
				cellvalue += ''; // por si pasan un numero en vez de un string
				cellvalue = parseFloat(cellvalue.replace(/[^0-9\.]/g, '')); // elimino cualquier cosa que no sea numero o punto
			    decimals = decimals || 0; // por si la variable no fue fue pasada
			    // si no es un numero o es igual a cero retorno el mismo cero
			    if (isNaN(cellvalue)) 
			        return parseFloat(0).toFixed(decimals);
			    // si es mayor o menor que cero retorno el valor formateado como numero
			    cellvalue = '' + cellvalue.toFixed(decimals);
			    var cellvalue_parts = cellvalue.split('.'),
			        regexp = /(\d+)(\d{3})/;
			    while (regexp.test(cellvalue_parts[0]))
			    	cellvalue_parts[0] = cellvalue_parts[0].replace(regexp, '$1' + '.' + '$2');
			    return cellvalue_parts.join(',');
			}
		}else{
			return '';
		}
	}
	
	//Validar si es numero positivo de 4 digitos
	$.validator.addMethod('isPositiveNumber', function(value) {
		return ($.isNumeric(value) && value >999) ? true:false;
	},$.rup.i18n.app.mensajes.error.numero_positivo_incorrecto);

	function validateDNI(dni) {
		var lockup = 'TRWAGMYFPDXBNJZSQVHLCKE';
		var valueDni = dni.substr(0, dni.length - 1);
		var letra = dni.substr(dni.length - 1, 1).toUpperCase();

		if (lockup.charAt(valueDni % 23) == letra){
			return true;
		}
		return false;
	}

	function validatePASAPORTE(pasaporte) {
		if (!/^[a-z]{3}[0-9]{6}[a-z]?$/i.test(pasaporte)){
			return true;
		}
		return false;
	}

	function validateCIF(cif) {
		cif = cif.toUpperCase();
		if (!cif || cif.length !== 9) {
			return false;
		}
		var letters = [ 'J', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I' ];
		var digits = cif.substr(1, cif.length - 2);
		var letter = cif.substr(0, 1);
		var control = cif.substr(cif.length - 1);
		var sum = 0;
		var i;
		var digit;

		if (!letter.match(/[A-Z]/)) {
			return false;
		}
		for (i = 0; i < digits.length; ++i) {
			digit = parseInt(digits[i]);

			if (isNaN(digit)) {
				return false;
			}

			if (i % 2 === 0) {
				digit *= 2;
				if (digit > 9) {
					digit = parseInt(digit / 10) + (digit % 10);
				}
				sum += digit;
			} else {
				sum += digit;
			}
		}
		sum %= 10;
		if (sum !== 0) {
			digit = 10 - sum;
		} else {
			digit = sum;
		}

		if (letter.match(/[ABEH]/)) {
			return String(digit) === control;
		}
		if (letter.match(/[NPQRSW]/)) {
			return letters[digit] === control;
		}

		return String(digit) === control || letters[digit] === control;
	}

	function validateNIE(nie) {
		"use strict";
		nie = nie.toUpperCase();
		 // Basic format test
		 if ( !nie.match('((^[A-Z]{1}[0-9]{7}[A-Z0-9]{1}$|^[T]{1}[A-Z0-9]{8}$)|^[0-9]{8}[A-Z]{1}$)') ) {
		  return false;
		 }
		 // Test NIE
		 //T
		 if ( /^[T]{1}/.test( nie ) ) {
		  return ( nie[ 8 ] === /^[T]{1}[A-Z0-9]{8}$/.test( nie ) );
		 }
		 //XYZ
		 if ( /^[XYZ]{1}/.test(nie)) {
		  return (	
			nie[8] === "TRWAGMYFPDXBNJZSQVHLCKE".charAt(
			  nie.replace( 'X', '0' )
		     .replace( 'Y', '1' )
		     .replace( 'Z', '2' )
		     .substring( 0, 8 ) % 23
		   )
		  );
		 }
	}

	function validarDNICIFNIEPASAPORTE(value,tipoDocumento) {
		if (null != value && value != "") {
			value = value.toUpperCase();
			// compruebo que tipo de documento es
			switch (tipoDocumento) {
			case "1":
				return validateDNI(value);
			case "2":
				return validateCIF(value);
			case "3":
				return validateNIE(value);
			case "4":
				return validatePASAPORTE(value);
			default:
				return true; // si no ha elegido el tipo
			}
		}
		return true;
	}
