PROMPT Modificacion Tabla (AB6111T00)

ALTER TABLE AB6111T00 MODIFY ID_TIPO_PLANTILLA NUMBER(8);

ALTER TABLE AB6111T00  ADD (TASK_ID              VARCHAR2(100 CHAR) NULL);
ALTER TABLE AB6111T00  ADD (PROCEEDING_ID        VARCHAR2(100 CHAR) NULL);
ALTER TABLE AB6111T00  ADD (TASK_TYPE            VARCHAR2(50 CHAR) NULL);
ALTER TABLE AB6111T00  ADD (TITLE                VARCHAR2(100 CHAR) NULL);
ALTER TABLE AB6111T00  ADD (DOCUMENT_ROLE_ID     VARCHAR2(100 CHAR) NULL);
ALTER TABLE AB6111T00  ADD (DOCUMENT_ROLE_NAME_EUS VARCHAR2(200 CHAR) NULL);
ALTER TABLE AB6111T00  ADD (DOCUMENT_ROLE_NAME_CAS VARCHAR2(200 CHAR) NULL);
ALTER TABLE AB6111T00  ADD (FECHA_ULTMODIFICACION DATE NULL);
ALTER TABLE AB6111T00  ADD (USUARIO_ULTMODIFICACION VARCHAR2(20 CHAR) NULL);


COMMENT ON COLUMN AB6111T00.TASK_ID IS 'Identificador de la Tarea de Tramitagune que vamos a utilizar para aportar el Documento a Tramitagune';
COMMENT ON COLUMN AB6111T00.PROCEEDING_ID IS 'Trmiete de Tramitagune que vamos a utilizar para aportar el Documento a Tramitagune';
COMMENT ON COLUMN AB6111T00.TASK_TYPE IS 'Tipo de la Tarea de Tramitagune que vamos a utilizar para aportar el Documento a Tramitagune';
COMMENT ON COLUMN AB6111T00.TITLE IS 'Ttulo de la Tarea de Tramitagune que vamos a utilizar para aportar el Documento a Tramitagune';
COMMENT ON COLUMN AB6111T00.DOCUMENT_ROLE_ID IS 'Document Role del Documento que vamos a utilizar al aportar el Documento a Tramitagune. Aqu almacenaremos el Tipo Documental de DOKUSI, punto, el Subtidpo Documental, punto y el Asundo Documental';
COMMENT ON COLUMN AB6111T00.DOCUMENT_ROLE_NAME_CAS IS 'Document Role Name en Castellano del Documento que vamos a utilizar al aportar el Documento a Tramitagune';
COMMENT ON COLUMN AB6111T00.DOCUMENT_ROLE_NAME_EUS IS 'Document Role Name en Euskera del Documento que vamos a utilizar al aportar el Documento a Tramitagune';
COMMENT ON COLUMN AB6111T00.FECHA_ULTMODIFICACION IS 'Fecha de la ltima modificacin del registro';
COMMENT ON COLUMN AB6111T00.USUARIO_ULTMODIFICACION IS 'Usuario que ha realizado la ltima modificacin del registro';