PROMPT Actualizar catalogo (AB6111T00) 

-- Requerimiento (MEC, DEC, OTC, PTT, CTP, EMET, BEC, 0012801, 0012802, 0012803, 0012804, 0012805, 0012806)
UPDATE AB6111T00 SET TASK_ID = 'adjuntar_docu_subsana', PROCEEDING_ID = 'SUBSANACION', TASK_TYPE = 'APORDOCU',TITLE = 'Requerimiento', DOCUMENT_ROLE_ID = 'ejgv_d_requsubs.0.0', DOCUMENT_ROLE_NAME_EUS='Zuzentze-eskaera', DOCUMENT_ROLE_NAME_CAS = 'Requerimiento de subsanacin', FECHA_ULTMODIFICACION = SYSDATE, USUARIO_ULTMODIFICACION = 'SCRIPT'  WHERE ID_TIPO_PLANTILLA = 1;

-- Desistimiento (MEC, DEC, OTC, PTT, CTP, EMET, BEC, 0012801, 0012802, 0012803, 0012804, 0012805, 0012806)
UPDATE AB6111T00 SET TASK_ID = 'adjuntar_docu_desistimiento', PROCEEDING_ID = 'DESISTIMIENTO', TASK_TYPE = 'APORDOCU',TITLE = 'Desistimiento', DOCUMENT_ROLE_ID = 'ejgv_d_resolucion.ejgv_d_resolucion_desisti.0', DOCUMENT_ROLE_NAME_EUS='Atzera-egite ebazpena', DOCUMENT_ROLE_NAME_CAS = 'Resolucin de desistimiento', FECHA_ULTMODIFICACION = SYSDATE, USUARIO_ULTMODIFICACION = 'SCRIPT'  WHERE ID_TIPO_PLANTILLA = 2;

-- Archivo (MEC, DEC, OTC, PTT, CTP, EMET, BEC, 0012801, 0012802, 0012803, 0012804, 0012805, 0012806)				
UPDATE AB6111T00 SET TASK_ID = 'adjuntar_docu', PROCEEDING_ID = 'ADJUNTAR_DOCU_TRAMITADOR', TASK_TYPE = 'APORDOCU',TITLE = 'Archivo', DOCUMENT_ROLE_ID = 'ejgv_d_resolucion.0.0', DOCUMENT_ROLE_NAME_EUS='Ebazpena', DOCUMENT_ROLE_NAME_CAS = 'Resolucin', FECHA_ULTMODIFICACION = SYSDATE, USUARIO_ULTMODIFICACION = 'SCRIPT'  WHERE ID_TIPO_PLANTILLA = 3;

-- Resolucin negativa (MEC, DEC, PTT, CTP, EMET, 0012801, 0012802, 0012803, 0012804, 0012805, 0012806)
UPDATE AB6111T00 SET TASK_ID = 'adjuntar_docu_resol_den', PROCEEDING_ID = 'RESOLUCION_DENEGATORIA', TASK_TYPE = 'APORDOCU',TITLE = 'Resolucin negativa', DOCUMENT_ROLE_ID = 'ejgv_d_resolucion.0.0', DOCUMENT_ROLE_NAME_EUS='Ebazpena', DOCUMENT_ROLE_NAME_CAS = 'Resolucin', FECHA_ULTMODIFICACION = SYSDATE, USUARIO_ULTMODIFICACION = 'SCRIPT'  WHERE ID_TIPO_PLANTILLA = 4;

-- Resolucin positiva (MEC, DEC, PTT, EMET, 0012801, 0012802, 0012803, 0012804, 0012805, 0012806)
UPDATE AB6111T00 SET TASK_ID = 'adjuntar_docu_resol_fav', PROCEEDING_ID = 'RESOLUCION_FAVORABLE', TASK_TYPE = 'APORDOCU', TITLE = 'Resolucin positiva', DOCUMENT_ROLE_ID = 'ejgv_d_resolucion.0.0', DOCUMENT_ROLE_NAME_EUS='Ebazpena', DOCUMENT_ROLE_NAME_CAS = 'Resolucin', FECHA_ULTMODIFICACION = SYSDATE, USUARIO_ULTMODIFICACION = 'SCRIPT'  WHERE ID_TIPO_PLANTILLA = 5;

-- Informe Tcnico (MEC, DEC, PTT, CTP, EMET, BEC, 0012801, 0012802, 0012803, 0012804, 0012805, 0012806)
UPDATE AB6111T00 SET TASK_ID = 'adjuntar_docu', PROCEEDING_ID = 'ADJUNTAR_DOCU_TRAMITADOR', TASK_TYPE = 'APORDOCU',TITLE = 'Informe Tcnico', DOCUMENT_ROLE_ID = 'ejgv_d_informe.0.0', DOCUMENT_ROLE_NAME_EUS='Txosten teknikoa', DOCUMENT_ROLE_NAME_CAS = 'Informe Tcnico', FECHA_ULTMODIFICACION = SYSDATE, USUARIO_ULTMODIFICACION = 'SCRIPT'  WHERE ID_TIPO_PLANTILLA = 6;

-- Requerimiento (0092101, 0092102, 0092103)
INSERT INTO AB6111T00 (ID_TIPO_PLANTILLA, DESCRIPCION_CASTELLANO, DESCRIPCION_EUSKERA, TASK_ID, PROCEEDING_ID, TASK_TYPE, TITLE, DOCUMENT_ROLE_ID, DOCUMENT_ROLE_NAME_EUS, DOCUMENT_ROLE_NAME_CAS, FECHA_REGISTRO, USUARIO_REGISTRO) VALUES (15, 'Requerimiento2', 'Eskaera2', 'adjuntar_docu_requeri', 'REQUERIMIENTO', 'APORDOCU', 'Requerimiento', 'ejgv_d_requsubs.0.0', 'Zuzentze-eskaera', 'Requerimiento de subsanacin', SYSDATE, 'SCRIPT');

-- Desistimiento (0092101, 0092102, 0092103, 1048301, 1055601)
INSERT INTO AB6111T00 (ID_TIPO_PLANTILLA, DESCRIPCION_CASTELLANO, DESCRIPCION_EUSKERA, TASK_ID, PROCEEDING_ID, TASK_TYPE, TITLE, DOCUMENT_ROLE_ID, DOCUMENT_ROLE_NAME_EUS, DOCUMENT_ROLE_NAME_CAS, FECHA_REGISTRO, USUARIO_REGISTRO) VALUES (16, 'Desistimiento2', 'Atzera egitea2', 'adjuntar_docu', 'ADJUNTAR_DOCU_TRAMITADOR', 'APORDOCU', 'Desistimiento', 'ejgv_d_resolucion.ejgv_d_resolucion_desisti.0', 'Atzera-egite ebazpena', 'Resolucin de desistimiento', SYSDATE, 'SCRIPT');

-- Requerimiento (1048301, 1055601)
INSERT INTO AB6111T00 (ID_TIPO_PLANTILLA, DESCRIPCION_CASTELLANO, DESCRIPCION_EUSKERA, TASK_ID, PROCEEDING_ID, TASK_TYPE, TITLE, DOCUMENT_ROLE_ID, DOCUMENT_ROLE_NAME_EUS, DOCUMENT_ROLE_NAME_CAS, FECHA_REGISTRO, USUARIO_REGISTRO) VALUES (17, 'Requerimiento3', 'Eskaera3', 'adjuntar_docu', 'ADJUNTAR_DOCU_TRAMITADOR', 'APORDOCU', 'Requerimiento', 'ejgv_d_requsubs.0.0', 'Zuzentze-eskaera', 'Requerimiento de subsanacin', SYSDATE, 'SCRIPT');


COMMIT;