create or replace FUNCTION OBTENER_DESC_ACT_SUB(IN_ID_ID_AGRUPACION IN AB60.ACT_SUBVENCIONABLE.ID_AGRUPACION%TYPE,
                                                IN_ID_REL_EXP_ACT_SUB IN AB60.REL_EXP_ACT_SUB.ID_REL_EXP_ACT_SUB%TYPE,
                                                IN_DESCRIPCION IN AB60.ACT_SUBVENCIONABLE.DESCRIPCION_CASTELLANO%TYPE,
                                                IN_IDIOMA INTEGER) RETURN VARCHAR2 AS 
--IN_IDIOMA = 1 (CASTELLANO)
--IN_IDIOMA = 2 (EUSKERA)
                                                
v_TITULO_AYUNTAMIENTO       AB60.ACT_AYUNTAMIENTO.TITULO%TYPE;

v_TITULO_ASOCIACION         AB60.ACT_ASOCIACION.TITULO%TYPE;

v_NOMBRE_CON_PER            AB60.CONTRATACIONES_PERSONAL.NOMBRE%TYPE;
v_APELLIDO1_CON_PER         AB60.CONTRATACIONES_PERSONAL.APELLIDO1%TYPE;
v_APELLIDO2_CON_PER         AB60.CONTRATACIONES_PERSONAL.APELLIDO2%TYPE;

v_DENOMIMACION              AB60.GASTOS_TURISTICOS.DENOMIMACION%TYPE;
v_DES_CAS_PRO_TUR           AB60.PRODUCTOS_TURISTICOS.DESCRIPCION_CASTELLANO%TYPE;
v_DES_EUS_PRO_TUR           AB60.PRODUCTOS_TURISTICOS.DESCRIPCION_EUSKERA%TYPE;

v_NOMBRE_PER_CON            AB60.PERSONAS_CONTRATADAS.NOMBRE%TYPE;
v_APELLIDO1_PER_CON         AB60.PERSONAS_CONTRATADAS.APELLIDO1%TYPE;
v_APELLIDO2_PER_CON         AB60.PERSONAS_CONTRATADAS.APELLIDO2%TYPE;

BEGIN
    IF (IN_ID_ID_AGRUPACION = 38) OR (IN_ID_ID_AGRUPACION = 39) OR (IN_ID_ID_AGRUPACION = 40) OR (IN_ID_ID_AGRUPACION = 41) OR (IN_ID_ID_AGRUPACION = 42) OR (IN_ID_ID_AGRUPACION = 43) OR (IN_ID_ID_AGRUPACION = 44) OR
    (IN_ID_ID_AGRUPACION = 45) OR (IN_ID_ID_AGRUPACION = 46) OR (IN_ID_ID_AGRUPACION = 47) OR (IN_ID_ID_AGRUPACION = 48) OR (IN_ID_ID_AGRUPACION = 49) THEN -- DEC (AYUNTAMIENTO)

        SELECT TITULO INTO v_TITULO_AYUNTAMIENTO FROM AB60.ACT_AYUNTAMIENTO WHERE AB60.ACT_AYUNTAMIENTO.ID_REL_EXP_ACT_SUB = IN_ID_REL_EXP_ACT_SUB;

        RETURN IN_DESCRIPCION || '[salto](' || v_TITULO_AYUNTAMIENTO || ')';

    ELSIF (IN_ID_ID_AGRUPACION = 7) OR (IN_ID_ID_AGRUPACION = 8) OR (IN_ID_ID_AGRUPACION = 9) THEN -- DEC (ASOCIACIN)

        SELECT TITULO INTO v_TITULO_ASOCIACION FROM AB60.ACT_ASOCIACION WHERE AB60.ACT_ASOCIACION.ID_REL_EXP_ACT_SUB = IN_ID_REL_EXP_ACT_SUB;

        RETURN IN_DESCRIPCION || '[salto](' || v_TITULO_ASOCIACION || ')';

     ELSIF (IN_ID_ID_AGRUPACION = 13) THEN -- PTT (CONTRATACION_PERSONAL)

        SELECT NOMBRE, APELLIDO1, APELLIDO2  INTO v_NOMBRE_CON_PER, v_APELLIDO1_CON_PER, v_APELLIDO2_CON_PER FROM AB60.CONTRATACIONES_PERSONAL 
            WHERE AB60.CONTRATACIONES_PERSONAL.ID_REL_EXP_ACT_SUB = IN_ID_REL_EXP_ACT_SUB;

        RETURN IN_DESCRIPCION || '[salto](' || v_NOMBRE_CON_PER || ' ' || v_APELLIDO1_CON_PER || ' ' || v_APELLIDO2_CON_PER || ')';

      ELSIF (IN_ID_ID_AGRUPACION = 15) THEN -- PTT (GASTOS DE CREACIN, PROMOCIN Y COMERCIALIZACIN)

        SELECT DENOMIMACION, DESCRIPCION_CASTELLANO  INTO v_DENOMIMACION, v_DES_CAS_PRO_TUR FROM AB60.GASTOS_TURISTICOS, AB60.PRODUCTOS_TURISTICOS 
            WHERE AB60.GASTOS_TURISTICOS.ID_REL_EXP_ACT_SUB = IN_ID_REL_EXP_ACT_SUB AND AB60.GASTOS_TURISTICOS.ID_PRODUCTO_TURISTICO = AB60.PRODUCTOS_TURISTICOS.ID_PRODUCTO_TURISTICO;

        IF (IN_IDIOMA = 1) THEN -- CASTELLANO
            RETURN IN_DESCRIPCION || '[salto](' || v_DES_CAS_PRO_TUR || ' ' || v_DENOMIMACION || ')';
        ELSE
            RETURN IN_DESCRIPCION || '[salto](' || v_DES_EUS_PRO_TUR || ' ' || v_DENOMIMACION || ')';
        END IF;

      ELSIF (IN_ID_ID_AGRUPACION = 16) OR (IN_ID_ID_AGRUPACION = 17) OR (IN_ID_ID_AGRUPACION = 18) THEN -- PTT (PROGRAMAS)

         SELECT NOMBRE, APELLIDO1, APELLIDO2  INTO v_NOMBRE_PER_CON, v_APELLIDO1_PER_CON, v_APELLIDO2_PER_CON FROM AB60.PERSONAS_CONTRATADAS 
            WHERE AB60.PERSONAS_CONTRATADAS.ID_REL_EXP_ACT_SUB = IN_ID_REL_EXP_ACT_SUB;

        RETURN IN_DESCRIPCION || '[salto](' || v_NOMBRE_PER_CON || ' ' || v_APELLIDO1_PER_CON || ' ' || v_APELLIDO2_PER_CON || ')';

        ELSE 

        RETURN IN_DESCRIPCION;

    END IF;

END OBTENER_DESC_ACT_SUB;

/