PROMPT Creacion de 	Tabla (AB6142T00)


CREATE TABLE AB6142T00
(
	ID_REL_EXP_FECH      NUMBER(8) NOT NULL ,
	ID_EXPEDIENTE        NUMBER(8) NOT NULL ,
	ID_FECHA_EXPEDIENTE  NUMBER(8) NOT NULL ,
	FECHA_EXPEDIENTE     DATE NULL ,
	FECHA_REGISTRO       DATE NULL ,
	USUARIO_REGISTRO     VARCHAR2(20 CHAR) NULL 
)
	TABLESPACE AB6101E00;


COMMENT ON TABLE AB6142T00 IS 'Tabla para almacenar la Relacin de TODAS las FECHAS del Expediente con el Expediente';
COMMENT ON COLUMN AB6142T00.ID_REL_EXP_FECH IS 'Identificador interno de la Fecha del Expediente';
COMMENT ON COLUMN AB6142T00.FECHA_EXPEDIENTE IS 'Fecha del Expediente';
COMMENT ON COLUMN AB6142T00.FECHA_REGISTRO IS 'Fecha cuando se ha almacenado el registro';
COMMENT ON COLUMN AB6142T00.USUARIO_REGISTRO IS 'Usuario que ha almacenado el registro';
COMMENT ON COLUMN AB6142T00.ID_EXPEDIENTE IS 'Identificador interno del Expediente';
COMMENT ON COLUMN AB6142T00.ID_FECHA_EXPEDIENTE IS 'Identificador interno de la Fecha del Expediente';


CREATE SYNONYM REL_EXP_FECH	 FOR AB6142T00;


CREATE UNIQUE INDEX PK_AB6142T00 ON AB6142T00(ID_REL_EXP_FECH   ASC)	TABLESPACE AB6102E00;
ALTER TABLE AB6142T00	ADD CONSTRAINT  PK_AB6142T00 PRIMARY KEY (ID_REL_EXP_FECH);


CREATE  INDEX FK_AB6142T00 ON AB6142T00(ID_EXPEDIENTE   ASC)	TABLESPACE AB6102E00;
CREATE  INDEX FK_AB6142T01 ON AB6142T00(ID_FECHA_EXPEDIENTE   ASC)	TABLESPACE AB6102E00;

ALTER TABLE AB6142T00	ADD (CONSTRAINT FK_AB6102T00_AB6142T00 FOREIGN KEY (ID_EXPEDIENTE) REFERENCES AB6102T00 (ID_EXPEDIENTE));
ALTER TABLE AB6142T00	ADD (CONSTRAINT FK_AB6144T00_AB6142T00 FOREIGN KEY (ID_FECHA_EXPEDIENTE) REFERENCES AB6144T00 (ID_FECHA_EXPEDIENTE));