PROMPT Migracion_Fechas R02_REQUEST (1010205, 0059205, 1066301)


DECLARE

n_ID_TRAZA                  AB61.AB6121T00.ID_TRAZA%TYPE;                       -- Identificador de la Traza
v_EXCEPCION                 AB61.AB6121T00.EXCEPCION%TYPE;                      -- Excepcin dentro de la Traza en caso de que tengamos un Error
v_METODO                    AB61.AB6121T00.METODO%TYPE;                         -- Mtodo (Funcin o Procedimiento) donde ha dado la Excepcin
v_TAREAS                     AB61.AB6121T00.TAREAS%TYPE;


BEGIN


FOR DATO_MENSAJE IN (SELECT ID_MENSAJE FROM AB6117T00 WHERE COD_PROCEDURE_ID IN (1010205, 0059205, 1066301) AND TIPOMENSAJE = 'R02_REQUEST' ORDER BY ID_MENSAJE ASC)
LOOP

	TRATAMIENTO_FECHAS(DATO_MENSAJE.ID_MENSAJE);

END LOOP;

EXCEPTION
WHEN OTHERS THEN
BEGIN

    SELECT S_AB6121T00.NEXTVAL INTO n_ID_TRAZA FROM DUAL;

    v_EXCEPCION:= SUBSTR(SQLERRM, 1, 2000);
    
    INSERT INTO AB6121T00 (ID_TRAZA, ID_EXPEDIENTE, COD_PROCEDURE_ID, EXCEPCION, METODO, ESTADO_SOLICITUD, TAREAS, FECHA_REGISTRO)
    VALUES (n_ID_TRAZA, NULL, NULL, v_EXCEPCION, 'MIGRACION_FECHAS', 2, 'MIGRACION_FECHAS', SYSDATE);

    COMMIT;

    END;

END;

/