create or replace FUNCTION FORMATEAR_IMPORTE_PORCENTAJE (IN_NUMBER IN NUMBER)RETURN VARCHAR2 AS 

v_NUMBER VARCHAR(13);

BEGIN

IF (IN_NUMBER = 0) THEN

v_NUMBER := '0,00';

ELSIF (IN_NUMBER IS NULL) THEN

v_NUMBER := '-';

ELSE

v_NUMBER := TRIM(TO_CHAR(IN_NUMBER, '999G999G999G999D99', 'NLS_NUMERIC_CHARACTERS='',.'''));

END IF;

IF ((SUBSTR(v_NUMBER,1,1) = ',') OR (SUBSTR(v_NUMBER,1,1) = '.')) THEN

v_NUMBER := '0' || v_NUMBER;

END IF;

RETURN v_NUMBER;

EXCEPTION
WHEN OTHERS THEN
BEGIN
   
    RETURN '-';
    
    END;
    
END FORMATEAR_IMPORTE_PORCENTAJE;

/