PROMPT Creacin Tabla (AB6128T00)

CREATE TABLE AB6128T00
(
	ID_ESTADO_HACIENDA   NUMBER(4) NOT NULL ,
	DESCRIPCION_CASTELLANO VARCHAR2(200 CHAR) NULL ,
	DESCRIPCION_EUSKERA  VARCHAR2(200 CHAR) NULL ,
	FECHA_REGISTRO       DATE NULL ,
	USUARIO_REGISTRO     VARCHAR2(20 CHAR) NULL 
)
	TABLESPACE AB6101E00;

COMMENT ON TABLE AB6128T00 IS 'Catlogo de Estados de Hacienda (Interoperabilidad)';
COMMENT ON COLUMN AB6128T00.ID_ESTADO_HACIENDA IS 'Identificador del Estado de Hacienda (Interoperabilidad)';
COMMENT ON COLUMN AB6128T00.DESCRIPCION_CASTELLANO IS 'Descripcin en Castellano del Estado de Hacienda (Interoperabilidad)';
COMMENT ON COLUMN AB6128T00.DESCRIPCION_EUSKERA IS 'Descripcin en Euskera del Estado de Hacienda (Interoperabilidad)';
COMMENT ON COLUMN AB6128T00.FECHA_REGISTRO IS 'Fecha cuando se ha almacenado el registro';
COMMENT ON COLUMN AB6128T00.USUARIO_REGISTRO IS 'Usuario que ha almacenado el registro';


CREATE SYNONYM ESTADOS_HACIENDA	 FOR AB6128T00;


CREATE UNIQUE INDEX PK_AB6128T00 ON AB6128T00(ID_ESTADO_HACIENDA   ASC);
ALTER TABLE AB6128T00	ADD CONSTRAINT  PK_AB6128T00 PRIMARY KEY (ID_ESTADO_HACIENDA);