CREATE TABLE AB6132T00
(
	ID                   VARCHAR2(255 BYTE) NOT NULL ,
	OWNER                VARCHAR2(255 BYTE) NOT NULL ,
	PATH                 VARCHAR2(255 BYTE) NOT NULL ,
	LOCK_DEPTH           VARCHAR2(10 BYTE) NULL ,
	EXPIRES_AT           NUMBER(19,0) NULL ,
	EXCLUSIVE_LOCK       VARCHAR2(1 BYTE) NULL ,
	LOCK_TYPE            VARCHAR2(10 BYTE) NULL ,
	CHILDREN_ID          VARCHAR2(255 BYTE) NULL ,
	PARENT_ID            VARCHAR2(255 BYTE) NULL ,
	TEMP_LOCK            VARCHAR2(1 BYTE) NULL 
)
	TABLESPACE AB6101E00;


COMMENT ON TABLE AB6132T00 IS 'Tabla interna que necesita WEBDAV para su funcionamiento';


CREATE SYNONYM WEBDAV_LOCK	 FOR AB6132T00;


CREATE UNIQUE INDEX PK_AB6132T00 ON AB6132T00(ID   ASC,OWNER   ASC);
ALTER TABLE AB6132T00	ADD CONSTRAINT  PK_AB6132T00 PRIMARY KEY (ID,OWNER);


