PROMPT Actualizar Tabla AB6110T00 - Plantillas

-- Etiqueta Importes del expediente
INSERT INTO AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,ID_PLANTILLA, FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (59, 6, 'formularioSolicitudesEstimadas', 'SELECT EXPEDIENTES.ID_EXPEDIENTE AS VALOR FROM EXPEDIENTES, DATOS_PROYECTO WHERE EXPEDIENTES.ID_EXPEDIENTE = DATOS_PROYECTO.ID_EXPEDIENTE AND ID_RESULTADO = 1 AND ID_PROCEDIMIENTO = ? ORDER BY ID_TERRITORIO_HISTORICO, FOLDER_NUMBER', 'formularioSolicitudesEstimadas','Solicitudes Estimadas', 82, SYSDATE, 'SCRIPT');
INSERT INTO AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,ID_PLANTILLA, FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (60, 5, 'listaActuaciones', 'SELECT (DESCRIPCION_CASTELLANO || ''#'' || AB61.FORMATEAR_IMPORTE_PORCENTAJE(IMPORTE_PRESENTADO) || ''#'' || AB61.FORMATEAR_IMPORTE_PORCENTAJE(IMPORTE_ADMITIDO) || ''#'' || AB61.FORMATEAR_IMPORTE_PORCENTAJE(PORCENTAJE) || ''#'' || AB61.FORMATEAR_IMPORTE_PORCENTAJE(SUBVENCION_CALCULADA)) AS VALOR FROM V_ACTUACIONES_SUBVENCIONABLES, AB6023T00 WHERE V_ACTUACIONES_SUBVENCIONABLES.ID_REL_EXP_ACT_SUB = AB6023T00.ID_REL_EXP_ACT_SUB AND V_ACTUACIONES_SUBVENCIONABLES.ID_EXPEDIENTE = ? ORDER BY DESCRIPCION_CASTELLANO', 'descripcion;importePresentado;importeAnmitido;porcentaje;importaCalculado','Actuaciones del Expediente', NULL , SYSDATE, 'SCRIPT');
INSERT INTO AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,ID_PLANTILLA, FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (61, 2, 'importeExpediente', 'SELECT (AB61.FORMATEAR_IMPORTE_PORCENTAJE(IMPORTE_PRESENTADO) || ''#'' || AB61.FORMATEAR_IMPORTE_PORCENTAJE(IMPORTE_ADMITIDO) || ''#'' || AB61.FORMATEAR_IMPORTE_PORCENTAJE(SUBVENCION_CALCULADA) || ''#'' || AB61.FORMATEAR_IMPORTE_PORCENTAJE(SUBVENCION_RESUELTA)) AS VALOR FROM AB6005T00 WHERE ID_EXPEDIENTE = ?', 'importePresentado;importeAdmitido;importeCalculado;importeResuelto','Importes del Expediente', NULL , SYSDATE, 'SCRIPT');

INSERT INTO AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,ID_PLANTILLA, FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (62, 6, 'formularioSolicitudesDesestimadas', 'SELECT EXPEDIENTES.ID_EXPEDIENTE AS VALOR FROM EXPEDIENTES, DATOS_PROYECTO WHERE EXPEDIENTES.ID_EXPEDIENTE = DATOS_PROYECTO.ID_EXPEDIENTE AND ID_RESULTADO = 2 AND ID_PROCEDIMIENTO = ? ORDER BY ID_TERRITORIO_HISTORICO, FOLDER_NUMBER', 'formularioSolicitudesDesestimadas','Solicitudes Desestimadas', 83, SYSDATE, 'SCRIPT');
INSERT INTO AB6122T00 (ID_CAMPO, NOMBRE_CAMPO, SELECT_CAMPO, NOMBRE_XML, DESCRIPCION, ID_TIPO_CAMPO, ID_PLANTILLA, FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (63, 'fechaResolucionConvocatoria', 'SELECT TO_DATE(FECHA_RESOLUCION, ''DD/MM/YYYY'') AS VALOR FROM CONVOCATORIAS WHERE ID_PROCEDIMIENTO = ?', 'fechaResolucionConvocatoria', 'Fecha de Resolución de la Convocatoria en Castellano y en Euskera', 3, NULL, SYSDATE, 'SCRIPT');
INSERT INTO AB6122T00 (ID_CAMPO, NOMBRE_CAMPO, SELECT_CAMPO, NOMBRE_XML, DESCRIPCION, ID_TIPO_CAMPO, ID_PLANTILLA, FECHA_REGISTRO,USUARIO_REGISTRO) VALUES (64, 'importeConvocatoria', 'SELECT ((SELECT SUM (SUBVENCION_CALCULADA) FROM DATOS_PROYECTO, EXPEDIENTES WHERE DATOS_PROYECTO.ID_EXPEDIENTE = EXPEDIENTES.ID_EXPEDIENTE AND ID_PROCEDIMIENTO = ?) || ''#'' || IMPORTE || ''#'' || FACTOR_AJUSTE) AS VALOR FROM CONVOCATORIAS WHERE ID_PROCEDIMIENTO = ?','importeSubvencionConvocatoria;importeConvocatoria;factorAjuste','Importes de la convocatoria', 2, NULL , SYSDATE, 'SCRIPT');


COMMIT;