PROMPT Migracin de Terceros

DECLARE

n_ID_REL_EXP_TER            AB6134T00.ID_REL_EXP_TER%TYPE;

n_ID_TERCERO_TITULAR        AB6135T00.ID_TERCERO%TYPE; 
n_ID_TERCERO                AB6135T00.ID_TERCERO%TYPE;
v_DOCUMENTO                 AB6135T00.DOCUMENTO%TYPE;
n_ID_TIPO_DOCUMENTO         AB6135T00.ID_TERCERO%TYPE;
v_NOMBRE                    AB6135T00.NOMBRE%TYPE;
v_APELLIDO1                 AB6135T00.APELLIDO1%TYPE;
v_APELLIDO2                 AB6135T00.APELLIDO2%TYPE;
n_ID_SEXO                   AB6135T00.ID_SEXO%TYPE;
n_TIPO_PARTICIPANTE         AB6135T00.TIPO_PARTICIPANTE%TYPE;
n_ID_REPRESENTANTE          AB6135T00.ID_REPRESENTANTE%TYPE;
n_TELEFONO                  AB6135T00.TELEFONO%TYPE;
v_EMAIL                     AB6135T00.EMAIL%TYPE;

n_ID_DIRECCION              AB6136T00.ID_DIRECCION%TYPE;
n_ID_TIPO_DIRECCION         AB6136T00.ID_TIPO_DIRECCION%TYPE;
v_ESTABLECIMIENTO           AB6136T00.ESTABLECIMIENTO%TYPE;
v_DIRECCION                 AB6136T00.DIRECCION%TYPE;
v_NUMERO                    AB6136T00.NUMERO%TYPE;
v_ESCALERA                  AB6136T00.ESCALERA%TYPE;
v_PISO                      AB6136T00.PISO%TYPE;
v_LETRA                     AB6136T00.LETRA%TYPE;
v_CODIGO_POSTAL             AB6136T00.CODIGO_POSTAL%TYPE;
n_ID_PROVINCIA              AB6136T00.ID_PROVINCIA%TYPE;
n_ID_MUNICIPIO              AB6136T00.ID_MUNICIPIO%TYPE;
n_ID_LOCALIDAD              AB6136T00.ID_LOCALIDAD%TYPE;

n_ID_DATO_TER_BEC           AB60.AB6073T00.ID_DATO_TER_BEC%TYPE;
d_FECHA_NACIMIENTO          AB60.AB6073T00.FECHA_NACIMIENTO%TYPE;
n_PAIS_NACIMIENTO           AB60.AB6073T00.ID_PAIS_NACIMIENTO%TYPE;
n_ID_PROVINCIA_NACIMIENTO   AB60.AB6073T00.ID_PROVINCIA_NACIMIENTO%TYPE;
n_ID_MUNICIPIO_NACIMIENTO   AB60.AB6073T00.ID_MUNICIPIO_NACIMIENTO%TYPE;
v_TERRITORIO_NACIMIENTO     AB60.AB6073T00.TERRITORIO_NACIMIENTO%TYPE;
v_LOCALIDAD_NACIMIENTO      AB60.AB6073T00.LOCALIDAD_NACIMIENTO%TYPE;
v_NUMERO_SEGURIDAD_SOCIAL   AB60.AB6073T00.NUMERO_SEGURIDAD_SOCIAL%TYPE;

n_ID_DATO_TER_MEC           AB60.AB6074T00.ID_DATO_TER_MEC%TYPE;
v_PAGINA_WEB                AB60.AB6074T00.PAGINA_WEB%TYPE;
v_ID_IAE                    AB60.AB6074T00.ID_IAE%TYPE;
d_FECHA_ALTA_EMPRESA        AB60.AB6074T00.FECHA_ALTA_EMPRESA%TYPE;
d_FECHA_ALTA_ESTABL         AB60.AB6074T00.FECHA_ALTA_ESTABL%TYPE;
n_NUMERO_SOCIOS             AB60.AB6074T00.NUMERO_SOCIOS%TYPE;
n_NUMERO_SOCIAS             AB60.AB6074T00.NUMERO_SOCIAS%TYPE;

n_ID_DATO_TER_OTC           AB60.AB6081T00.ID_DATO_TER_OTC%TYPE;
n_TELEFONO_OTC              AB60.AB6081T00.TELEFONO%TYPE;
n_FAX                       AB60.AB6081T00.FAX%TYPE;
v_EMAIL_OTC                 AB60.AB6081T00.EMAIL%TYPE;
v_HORARIO_ATENCION          AB60.AB6081T00.HORARIO_ATENCION%TYPE;
v_EQUIPAMIENTO              AB60.AB6081T00.EQUIPAMIENTO%TYPE;

n_ID_DATO_TER_EMET          AB60.AB6082T00.ID_DATO_TER_EMET%TYPE;
n_ID_TIPO_EMPRESA           AB60.AB6082T00.ID_TIPO_EMPRESA%TYPE;
n_ID_DATO_EMPLEO            AB60.AB6082T00.ID_DATO_EMPLEO%TYPE;
n_DAT_EMP_MES_ANT           AB60.AB6082T00.DAT_EMP_MES_ANT%TYPE;
n_DAT_EMP_ANYO_ANT          AB60.AB6082T00.DAT_EMP_ANYO_ANT%TYPE;
n_DAT_EMP_EJE_ANT           AB60.AB6082T00.DAT_EMP_EJE_ANT%TYPE;

n_NUMERO_HOMBRES            AB60.AB6030T00.NUMERO_HOMBRES%TYPE;
n_NUMERO_MUJERES            AB60.AB6030T00.NUMERO_MUJERES%TYPE;
n_EXENTOIVA                 AB60.AB6030T00.EXENTOIVA%TYPE;

n_ID_DATO_PLANTILLA         AB60.AB601BT00.ID_DATO_PLANTILLA%TYPE;
n_PLANTILLA_HOMBRES         AB60.AB601BT00.PLANTILLA_HOMBRES%TYPE;
n_PLANTILLA_MUJERES         AB60.AB601BT00.PLANTILLA_MUJERES%TYPE;

n_ID_TRAZA                  AB6121T00.ID_TRAZA%TYPE;
v_EXCEPCION                 AB6121T00.EXCEPCION%TYPE;
v_TAREAS                    AB6121T00.TAREAS%TYPE;


CURSOR C_REL_EXP_TER_EMP IS 
SELECT ID_PROCEDIMIENTO, ID_REL_EXP_TER_EMP, ID_TIPO_TERCERO, ID_TERCERO, ID_EMPRESA, AB6103T00.ID_EXPEDIENTE FROM AB6103T00, AB6102T00 
WHERE AB6103T00.ID_EXPEDIENTE = AB6102T00.ID_EXPEDIENTE  ORDER BY ID_TIPO_TERCERO ASC;

BEGIN

FOR REL_EXP_TER_EMP IN C_REL_EXP_TER_EMP 
LOOP

BEGIN

v_DOCUMENTO := NULL; n_ID_TIPO_DOCUMENTO := NULL; v_NOMBRE := NULL; v_APELLIDO1 := NULL; v_APELLIDO2 := NULL; n_ID_SEXO := NULL;
v_ESTABLECIMIENTO := NULL; v_DIRECCION := NULL; v_NUMERO := NULL; v_ESCALERA := NULL; v_PISO := NULL; v_LETRA := NULL; v_CODIGO_POSTAL := NULL; n_ID_PROVINCIA := NULL; n_ID_MUNICIPIO := NULL; n_ID_LOCALIDAD := NULL;
n_TELEFONO := NULL; v_EMAIL := NULL;
d_FECHA_NACIMIENTO := NULL; n_PAIS_NACIMIENTO := NULL; n_ID_PROVINCIA_NACIMIENTO := NULL; n_ID_MUNICIPIO_NACIMIENTO := NULL; v_TERRITORIO_NACIMIENTO := NULL; v_LOCALIDAD_NACIMIENTO := NULL; v_NUMERO_SEGURIDAD_SOCIAL := NULL;
v_PAGINA_WEB := NULL; v_ID_IAE := NULL; d_FECHA_ALTA_EMPRESA := NULL; d_FECHA_ALTA_ESTABL := NULL; n_NUMERO_SOCIOS := NULL; n_NUMERO_SOCIAS := NULL; 
n_TELEFONO_OTC := NULL; n_FAX := NULL; v_EMAIL_OTC := NULL; v_HORARIO_ATENCION := NULL; v_EQUIPAMIENTO := NULL;
n_ID_TIPO_EMPRESA := NULL; n_ID_DATO_EMPLEO := NULL; n_DAT_EMP_MES_ANT := NULL; n_DAT_EMP_ANYO_ANT := NULL; n_DAT_EMP_EJE_ANT := NULL;
n_NUMERO_HOMBRES := NULL; n_NUMERO_MUJERES := NULL; n_EXENTOIVA := NULL;
n_PLANTILLA_HOMBRES := NULL; n_PLANTILLA_MUJERES := NULL;
n_ID_TERCERO_TITULAR := NULL; n_ID_TERCERO := NULL;

    IF (REL_EXP_TER_EMP.ID_TIPO_TERCERO = 1 OR    --Solicitante
        REL_EXP_TER_EMP.ID_TIPO_TERCERO = 3) THEN --Representante

        IF (REL_EXP_TER_EMP.ID_TERCERO IS NOT NULL) THEN

            SELECT DOCUMENTO, ID_TIPO_DOCUMENTO, NOMBRE, APELLIDO1, APELLIDO2, ID_SEXO,
                DIRECCION, NUMERO, ESCALERA, PISO, LETRA, CODIGO_POSTAL, ID_PROVINCIA, ID_MUNICIPIO, ID_LOCALIDAD, -- Direccin
                TELEFONO, EMAIL, FECHA_NACIMIENTO, ID_PAIS_NACIMIENTO, ID_PROVINCIA_NACIMIENTO, ID_MUNICIPIO_NACIMIENTO, TERRITORIO_NACIMIENTO, LOCALIDAD_NACIMIENTO, NUM_SEG_SOCIAL -- BEC
            INTO
                v_DOCUMENTO, n_ID_TIPO_DOCUMENTO, v_NOMBRE, v_APELLIDO1, v_APELLIDO2, n_ID_SEXO, 
                v_DIRECCION, v_NUMERO, v_ESCALERA, v_PISO, v_LETRA, v_CODIGO_POSTAL, n_ID_PROVINCIA, n_ID_MUNICIPIO, n_ID_LOCALIDAD, -- Direccin
                n_TELEFONO, v_EMAIL, d_FECHA_NACIMIENTO, n_PAIS_NACIMIENTO, n_ID_PROVINCIA_NACIMIENTO, n_ID_MUNICIPIO_NACIMIENTO, v_TERRITORIO_NACIMIENTO, v_LOCALIDAD_NACIMIENTO, v_NUMERO_SEGURIDAD_SOCIAL -- BEC
            FROM AB6104T00 WHERE AB6104T00.ID_TERCERO = REL_EXP_TER_EMP.ID_TERCERO;

        ELSIF (REL_EXP_TER_EMP.ID_EMPRESA IS NOT NULL) THEN

            SELECT NIF, NOMBRE, 
                DIRECCION, NUMERO, ESCALERA, PISO, LETRA, CODIGO_POSTAL, ID_PROVINCIA, ID_MUNICIPIO, ID_LOCALIDAD, -- Direccin
                NUMERO_SOCIOS, NUMERO_SOCIAS, EQUIPAMIENTO, -- DEC
                PLANTILLA_HOMBRES, PLANTILLA_MUJERES -- DEC / PTT
            INTO
                v_DOCUMENTO, v_NOMBRE, 
                v_DIRECCION, v_NUMERO, v_ESCALERA, v_PISO, v_LETRA, v_CODIGO_POSTAL, n_ID_PROVINCIA, n_ID_MUNICIPIO, n_ID_LOCALIDAD, -- Direccin
                n_NUMERO_HOMBRES, n_NUMERO_MUJERES, n_EXENTOIVA, -- DEC
                n_PLANTILLA_HOMBRES , n_PLANTILLA_MUJERES
            FROM AB6105T00 WHERE AB6105T00.ID_EMPRESA = REL_EXP_TER_EMP.ID_EMPRESA;

            n_ID_TIPO_DOCUMENTO := 2;

        END IF;

         IF (REL_EXP_TER_EMP.ID_TIPO_TERCERO = 1) THEN
            n_TIPO_PARTICIPANTE := 0; -- Titular
        ELSIF (REL_EXP_TER_EMP.ID_TIPO_TERCERO = 3) THEN
            n_TIPO_PARTICIPANTE := 1; -- Representante
        END IF;

        SELECT S_AB6135T00.NEXTVAL INTO n_ID_TERCERO FROM DUAL;

        INSERT INTO AB6135T00 (ID_TERCERO, DOCUMENTO, ID_TIPO_DOCUMENTO, NOMBRE, APELLIDO1, APELLIDO2, ID_SEXO, TIPO_PARTICIPANTE, FECHA_REGISTRO, USUARIO_REGISTRO) 
        VALUES (n_ID_TERCERO, v_DOCUMENTO, n_ID_TIPO_DOCUMENTO, v_NOMBRE, v_APELLIDO1, v_APELLIDO2, n_ID_SEXO, n_TIPO_PARTICIPANTE, SYSDATE, 'MIGRACION');

        IF (REL_EXP_TER_EMP.ID_TIPO_TERCERO = 3) THEN -- En el caso del Representante, actualizamos el ID_REPRESENTANTE del Titular

            SELECT AB6135T00.ID_TERCERO INTO n_ID_TERCERO_TITULAR FROM AB6135T00, AB6134T00
            WHERE AB6135T00.TIPO_PARTICIPANTE = 0 AND AB6135T00.ID_TERCERO = AB6134T00.ID_TERCERO AND AB6134T00.ID_EXPEDIENTE = REL_EXP_TER_EMP.ID_EXPEDIENTE
            AND AB6135T00.USUARIO_REGISTRO = 'MIGRACION';

            UPDATE AB6135T00 SET ID_REPRESENTANTE = n_ID_TERCERO WHERE ID_TERCERO = n_ID_TERCERO_TITULAR;
			
			IF (REL_EXP_TER_EMP.ID_TERCERO IS NOT NULL) THEN
            
                UPDATE AB6116T00 SET ID_DATO_TERCERO = n_ID_TERCERO, FECHA_REGISTRO = SYSDATE, USUARIO_REGISTRO = 'MIGRACION' WHERE ID_TERCERO = REL_EXP_TER_EMP.ID_TERCERO;
            
            ELSIF (REL_EXP_TER_EMP.ID_EMPRESA IS NOT NULL) THEN
            
                UPDATE AB6116T00 SET ID_DATO_TERCERO = n_ID_TERCERO, FECHA_REGISTRO = SYSDATE, USUARIO_REGISTRO = 'MIGRACION' WHERE ID_EMPRESA = REL_EXP_TER_EMP.ID_EMPRESA;
            
            END IF;

        END IF;

        IF (REL_EXP_TER_EMP.ID_TIPO_TERCERO = 1) THEN -- Para el Solicitante, almacenamos el Domicilio del Titular (Direccin solicitante)
                                                                           -- almacenamos la informacin de BEC en AB6073T00   
                                                                           -- actualizaremos los datos de la tabla de Canal de Aviso (AB6116T00)

            IF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 1 OR --MEC
                REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 2 OR --DEC
                REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 4 OR --PTT
                REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 5 OR --CTP
                REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 6) THEN --EMET

                n_ID_TIPO_DIRECCION := 1; -- Direccin solicitante

                SELECT S_AB6136T00.NEXTVAL INTO n_ID_DIRECCION FROM DUAL;

                INSERT INTO AB6136T00 (ID_DIRECCION, ID_TERCERO, ID_TIPO_DIRECCION, DIRECCION, NUMERO, ESCALERA, PISO, LETRA, CODIGO_POSTAL, ID_PROVINCIA, ID_MUNICIPIO, ID_LOCALIDAD, FECHA_REGISTRO, USUARIO_REGISTRO) 
                VALUES (n_ID_DIRECCION, n_ID_TERCERO, n_ID_TIPO_DIRECCION, v_DIRECCION, v_NUMERO, v_ESCALERA, v_PISO, v_LETRA, v_CODIGO_POSTAL, n_ID_PROVINCIA, n_ID_MUNICIPIO, n_ID_LOCALIDAD, SYSDATE, 'MIGRACION');

            END IF;
            
            IF (REL_EXP_TER_EMP.ID_TERCERO IS NOT NULL) THEN
            
                UPDATE AB6116T00 SET ID_DATO_TERCERO = n_ID_TERCERO, FECHA_REGISTRO = SYSDATE, USUARIO_REGISTRO = 'MIGRACION' WHERE ID_TERCERO = REL_EXP_TER_EMP.ID_TERCERO;
            
            ELSIF (REL_EXP_TER_EMP.ID_EMPRESA IS NOT NULL) THEN
            
                UPDATE AB6116T00 SET ID_DATO_TERCERO = n_ID_TERCERO, FECHA_REGISTRO = SYSDATE, USUARIO_REGISTRO = 'MIGRACION' WHERE ID_EMPRESA = REL_EXP_TER_EMP.ID_EMPRESA;
            
            END IF;
            
            IF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 7) THEN -- BEC
            
                SELECT AB60.S_AB6073T00.NEXTVAL INTO n_ID_DATO_TER_BEC FROM DUAL;
                
                INSERT INTO AB60.AB6073T00 (ID_DATO_TER_BEC, ID_TERCERO, FECHA_NACIMIENTO, ID_PAIS_NACIMIENTO, ID_PROVINCIA_NACIMIENTO, ID_MUNICIPIO_NACIMIENTO, TERRITORIO_NACIMIENTO, LOCALIDAD_NACIMIENTO, NUMERO_SEGURIDAD_SOCIAL, FECHA_REGISTRO, USUARIO_REGISTRO)
                VALUES (n_ID_DATO_TER_BEC, n_ID_TERCERO, d_FECHA_NACIMIENTO, n_PAIS_NACIMIENTO, n_ID_PROVINCIA_NACIMIENTO, n_ID_MUNICIPIO_NACIMIENTO, v_TERRITORIO_NACIMIENTO, v_LOCALIDAD_NACIMIENTO, v_NUMERO_SEGURIDAD_SOCIAL, SYSDATE, 'MIGRACION');
                
                UPDATE AB6135T00 SET TELEFONO = n_TELEFONO, EMAIL = v_EMAIL WHERE ID_TERCERO = n_ID_TERCERO;
                
            ELSIF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 2) THEN -- DEC
            
                UPDATE AB60.AB6030T00 SET NUMERO_HOMBRES = n_NUMERO_HOMBRES, NUMERO_MUJERES = n_NUMERO_MUJERES, EXENTOIVA = n_EXENTOIVA, FECHA_REGISTRO = SYSDATE, USUARIO_REGISTRO = 'MIGRACION' WHERE ID_EXPEDIENTE = REL_EXP_TER_EMP.ID_EXPEDIENTE;
                
            END IF;
            
            -- Para DEC y PTT el Nmero de Hombres y Mujeres en la PLantilla se ha guardado para el ID_TIPO_TERCERO igual a 1
             IF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 2 OR --DEC
                REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 4 OR
               REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 5) THEN -- CTP
                
                IF (n_PLANTILLA_HOMBRES IS NOT NULL OR n_PLANTILLA_MUJERES IS NOT NULL) THEN
                
                    SELECT AB60.S_AB601BT00.NEXTVAL INTO n_ID_DATO_PLANTILLA FROM DUAL;
                
                    INSERT INTO AB60.AB601BT00 (ID_DATO_PLANTILLA, ID_EXPEDIENTE, PLANTILLA_HOMBRES, PLANTILLA_MUJERES, FECHA_REGISTRO, USUARIO_REGISTRO) VALUES
                    (n_ID_DATO_PLANTILLA, REL_EXP_TER_EMP.ID_EXPEDIENTE, n_PLANTILLA_HOMBRES, n_PLANTILLA_MUJERES, SYSDATE, 'MIGRACION');
                
                END IF;
                
            END IF;

        END IF;

        SELECT S_AB6134T00.NEXTVAL INTO n_ID_REL_EXP_TER FROM DUAL;

        INSERT INTO AB6134T00 (ID_REL_EXP_TER, ID_EXPEDIENTE, ID_TERCERO, ID_TIPO_TERCERO, PARTICIPANT_ID, FECHA_REGISTRO, USUARIO_REGISTRO) 
        VALUES (n_ID_REL_EXP_TER, REL_EXP_TER_EMP.ID_EXPEDIENTE, n_ID_TERCERO, 1, 0, SYSDATE, 'MIGRACION');

    ELSIF (REL_EXP_TER_EMP.ID_TIPO_TERCERO = 2) THEN    -- Persona de Contacto
    
        SELECT  NOMBRE, APELLIDO1, APELLIDO2, ID_SEXO, TELEFONO, EMAIL
        INTO v_NOMBRE, v_APELLIDO1, v_APELLIDO2, n_ID_SEXO, n_TELEFONO, v_EMAIL
        FROM AB6104T00 WHERE AB6104T00.ID_TERCERO = REL_EXP_TER_EMP.ID_TERCERO;
            
        SELECT S_AB6135T00.NEXTVAL INTO n_ID_TERCERO FROM DUAL;

        INSERT INTO AB6135T00 (ID_TERCERO, NOMBRE, APELLIDO1, APELLIDO2, ID_SEXO, TELEFONO, EMAIL, FECHA_REGISTRO, USUARIO_REGISTRO) 
        VALUES (n_ID_TERCERO, v_NOMBRE, v_APELLIDO1, v_APELLIDO2, n_ID_SEXO, n_TELEFONO, v_EMAIL, SYSDATE, 'MIGRACION');

        SELECT S_AB6134T00.NEXTVAL INTO n_ID_REL_EXP_TER FROM DUAL;

        INSERT INTO AB6134T00 (ID_REL_EXP_TER, ID_EXPEDIENTE, ID_TERCERO, ID_TIPO_TERCERO, PARTICIPANT_ID, FECHA_REGISTRO, USUARIO_REGISTRO) 
        VALUES (n_ID_REL_EXP_TER, REL_EXP_TER_EMP.ID_EXPEDIENTE, n_ID_TERCERO, REL_EXP_TER_EMP.ID_TIPO_TERCERO, NULL, SYSDATE, 'MIGRACION');

    ELSIF (REL_EXP_TER_EMP.ID_TIPO_TERCERO = 5) THEN    -- Ubicacin Inversin
    
        SELECT  NOMBRE, DIRECCION, NUMERO, ESCALERA, PISO, LETRA, CODIGO_POSTAL, ID_PROVINCIA, ID_MUNICIPIO, ID_LOCALIDAD, -- Direccin
                PLANTILLA_HOMBRES, PLANTILLA_MUJERES, -- DEC / PTT
                PAGINA_WEB, ID_IAE, FECHA_ALTA_EMPRESA, FECHA_ALTA_ESTABL, NUMERO_SOCIOS, NUMERO_SOCIAS, -- MEC
                TELEFONO, FAX, EMAIL, HORARIO_ATENCION, EQUIPAMIENTO, -- OTC
                ID_TIPO_EMPRESA, ID_DATO_EMPLEO, DAT_EMP_MES_ANT, DAT_EMP_ANYO_ANT, DAT_EMP_EJE_ANT -- EMET
        INTO
                v_ESTABLECIMIENTO, v_DIRECCION, v_NUMERO, v_ESCALERA, v_PISO, v_LETRA, v_CODIGO_POSTAL, n_ID_PROVINCIA, n_ID_MUNICIPIO, n_ID_LOCALIDAD, -- Direccin
                n_PLANTILLA_HOMBRES , n_PLANTILLA_MUJERES, -- DEC / PTT
                v_PAGINA_WEB, v_ID_IAE, d_FECHA_ALTA_EMPRESA, d_FECHA_ALTA_ESTABL, n_NUMERO_SOCIOS, n_NUMERO_SOCIAS,  --MEC
                n_TELEFONO_OTC, n_FAX, v_EMAIL_OTC, v_HORARIO_ATENCION, v_EQUIPAMIENTO, -- OTC
                n_ID_TIPO_EMPRESA, n_ID_DATO_EMPLEO, n_DAT_EMP_MES_ANT, n_DAT_EMP_ANYO_ANT, n_DAT_EMP_EJE_ANT -- EMET
        FROM AB6105T00 WHERE AB6105T00.ID_EMPRESA = REL_EXP_TER_EMP.ID_EMPRESA;
    
        n_ID_TIPO_DIRECCION := 2; -- Ubicacin Inversion
        
        -- Obtenemos el ID_TERCERO del Solicitante del Expediente
        SELECT AB6134T00.ID_TERCERO INTO n_ID_TERCERO FROM AB6134T00, AB6135T00 WHERE AB6134T00.ID_TERCERO = AB6135T00.ID_TERCERO 
            AND AB6134T00.ID_EXPEDIENTE = REL_EXP_TER_EMP.ID_EXPEDIENTE 
            AND AB6134T00.ID_TIPO_TERCERO = 1 
            AND AB6135T00.TIPO_PARTICIPANTE = 0;           

        SELECT S_AB6136T00.NEXTVAL INTO n_ID_DIRECCION FROM DUAL;

        INSERT INTO AB6136T00 (ID_DIRECCION, ID_TERCERO, ID_TIPO_DIRECCION, ESTABLECIMIENTO, DIRECCION, NUMERO, ESCALERA, PISO, LETRA, CODIGO_POSTAL, ID_PROVINCIA, ID_MUNICIPIO, ID_LOCALIDAD, FECHA_REGISTRO, USUARIO_REGISTRO) 
        VALUES (n_ID_DIRECCION, n_ID_TERCERO, n_ID_TIPO_DIRECCION, v_ESTABLECIMIENTO, v_DIRECCION, v_NUMERO, v_ESCALERA, v_PISO, v_LETRA, v_CODIGO_POSTAL, n_ID_PROVINCIA, n_ID_MUNICIPIO, n_ID_LOCALIDAD, SYSDATE, 'MIGRACION');

        -- Para MEC, OTC, EMET y CTP el Nmero de Hombres y Mujeres en la PLantilla se ha guardado para el ID_TIPO_TERCERO igual a 5
        IF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 1 OR -- MEC
            REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 3 OR --OTC
            REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 6) THEN  -- EMET
                
            IF (n_PLANTILLA_HOMBRES IS NOT NULL OR n_PLANTILLA_MUJERES IS NOT NULL) THEN
                
                SELECT AB60.S_AB601BT00.NEXTVAL INTO n_ID_DATO_PLANTILLA FROM DUAL;
                
                INSERT INTO AB60.AB601BT00 (ID_DATO_PLANTILLA, ID_EXPEDIENTE, PLANTILLA_HOMBRES, PLANTILLA_MUJERES, FECHA_REGISTRO, USUARIO_REGISTRO) VALUES
                (n_ID_DATO_PLANTILLA, REL_EXP_TER_EMP.ID_EXPEDIENTE, n_PLANTILLA_HOMBRES, n_PLANTILLA_MUJERES, SYSDATE, 'MIGRACION');
                
            END IF;
                
        END IF;
        
         -- Para MEC, EMET actualizamos en la tabla de Comunidad de Bienes ID_TERCERO
        IF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 1 OR -- MEC
            REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 6) THEN -- EMET
                            
            UPDATE AB60.AB6014T00 SET ID_TERCERO = n_ID_TERCERO, FECHA_REGISTRO = SYSDATE, USUARIO_REGISTRO = 'MIGRACION' WHERE ID_EMPRESA = REL_EXP_TER_EMP.ID_EMPRESA;
                
        END IF;
        
        IF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 1) THEN  -- MEC
            
            SELECT AB60.S_AB6074T00.NEXTVAL INTO n_ID_DATO_TER_MEC FROM DUAL;
                
            INSERT INTO AB60.AB6074T00 (ID_DATO_TER_MEC, ID_TERCERO, PAGINA_WEB, ID_IAE, FECHA_ALTA_EMPRESA, FECHA_ALTA_ESTABL, NUMERO_SOCIOS, NUMERO_SOCIAS, FECHA_REGISTRO, USUARIO_REGISTRO) VALUES
            (n_ID_DATO_TER_MEC, n_ID_TERCERO, v_PAGINA_WEB, v_ID_IAE, d_FECHA_ALTA_EMPRESA, d_FECHA_ALTA_ESTABL, n_NUMERO_SOCIOS, n_NUMERO_SOCIAS, SYSDATE, 'MIGRACION');
                            
        ELSIF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 3) THEN  -- OTC
            
            SELECT AB60.S_AB6081T00.NEXTVAL INTO n_ID_DATO_TER_OTC FROM DUAL;
                
            INSERT INTO AB60.AB6081T00 (ID_DATO_TER_OTC, ID_TERCERO, TELEFONO, FAX, EMAIL, HORARIO_ATENCION, EQUIPAMIENTO, FECHA_REGISTRO, USUARIO_REGISTRO) VALUES
            (n_ID_DATO_TER_OTC, n_ID_TERCERO, n_TELEFONO_OTC, n_FAX, v_EMAIL_OTC, v_HORARIO_ATENCION, v_EQUIPAMIENTO, SYSDATE, 'MIGRACION');
                            
        ELSIF (REL_EXP_TER_EMP.ID_PROCEDIMIENTO = 6) THEN  -- EMET
            
            SELECT AB60.S_AB6082T00.NEXTVAL INTO n_ID_DATO_TER_EMET FROM DUAL;
                
            INSERT INTO AB60.AB6082T00 (ID_DATO_TER_EMET, ID_TERCERO, ID_TIPO_EMPRESA, ID_DATO_EMPLEO, DAT_EMP_MES_ANT, DAT_EMP_ANYO_ANT, DAT_EMP_EJE_ANT, FECHA_REGISTRO, USUARIO_REGISTRO) VALUES
            (n_ID_DATO_TER_EMET, n_ID_TERCERO, n_ID_TIPO_EMPRESA, n_ID_DATO_EMPLEO, n_DAT_EMP_MES_ANT, n_DAT_EMP_ANYO_ANT, n_DAT_EMP_EJE_ANT, SYSDATE, 'MIGRACION');
                            
        END IF;

    ELSIF (REL_EXP_TER_EMP.ID_TIPO_TERCERO = 6) THEN    -- Representante Legal
        
        IF (REL_EXP_TER_EMP.ID_TERCERO IS NOT NULL) THEN
        
            SELECT  DOCUMENTO, ID_TIPO_DOCUMENTO, NOMBRE, APELLIDO1, APELLIDO2, ID_SEXO
            INTO v_DOCUMENTO, n_ID_TIPO_DOCUMENTO, v_NOMBRE, v_APELLIDO1, v_APELLIDO2, n_ID_SEXO
            FROM AB6104T00 WHERE AB6104T00.ID_TERCERO = REL_EXP_TER_EMP.ID_TERCERO;
        
        ELSIF (REL_EXP_TER_EMP.ID_EMPRESA IS NOT NULL) THEN

            SELECT NIF, NOMBRE 
            INTO v_DOCUMENTO, v_NOMBRE
            FROM AB6105T00 WHERE AB6105T00.ID_EMPRESA = REL_EXP_TER_EMP.ID_EMPRESA;
            n_ID_TIPO_DOCUMENTO := 2;

        END IF;        

        SELECT S_AB6135T00.NEXTVAL INTO n_ID_TERCERO FROM DUAL;

        INSERT INTO AB6135T00 (ID_TERCERO, DOCUMENTO, ID_TIPO_DOCUMENTO, NOMBRE, APELLIDO1, APELLIDO2, ID_SEXO, FECHA_REGISTRO, USUARIO_REGISTRO) 
        VALUES (n_ID_TERCERO, v_DOCUMENTO, n_ID_TIPO_DOCUMENTO, v_NOMBRE, v_APELLIDO1, v_APELLIDO2, n_ID_SEXO, SYSDATE, 'MIGRACION');

        SELECT S_AB6134T00.NEXTVAL INTO n_ID_REL_EXP_TER FROM DUAL;

        INSERT INTO AB6134T00 (ID_REL_EXP_TER, ID_EXPEDIENTE, ID_TERCERO, ID_TIPO_TERCERO, PARTICIPANT_ID, FECHA_REGISTRO, USUARIO_REGISTRO) 
        VALUES (n_ID_REL_EXP_TER, REL_EXP_TER_EMP.ID_EXPEDIENTE, n_ID_TERCERO, REL_EXP_TER_EMP.ID_TIPO_TERCERO, NULL, SYSDATE, 'MIGRACION');
        
    END IF;

EXCEPTION WHEN OTHERS THEN

BEGIN

    ROLLBACK;

    SELECT S_AB6121T00.NEXTVAL INTO n_ID_TRAZA FROM DUAL;

    v_EXCEPCION:= SUBSTR(SQLERRM, 1, 2000);
    
    v_TAREAS := 'ID_REL_EXP_TER_EMP: ' || REL_EXP_TER_EMP.ID_REL_EXP_TER_EMP;

    INSERT INTO AB6121T00 (ID_TRAZA, ID_SOLICITUD, ID_EXPEDIENTE, COD_PROCEDURE_ID, EXCEPCION, METODO, ESTADO_SOLICITUD, TAREAS, FECHA_REGISTRO)
    VALUES (n_ID_TRAZA, NULL, REL_EXP_TER_EMP.ID_EXPEDIENTE, NULL, v_EXCEPCION, 'MIGRACION', 2, v_TAREAS , SYSDATE);

    COMMIT;

    END;
END;

COMMIT;

END LOOP;

EXCEPTION
WHEN OTHERS THEN
BEGIN

    SELECT S_AB6121T00.NEXTVAL INTO n_ID_TRAZA FROM DUAL;

    v_EXCEPCION:= SUBSTR(SQLERRM, 1, 2000);

    INSERT INTO AB6121T00 (ID_TRAZA, ID_SOLICITUD, ID_EXPEDIENTE, COD_PROCEDURE_ID, EXCEPCION, METODO, ESTADO_SOLICITUD, TAREAS, FECHA_REGISTRO)
    VALUES (n_ID_TRAZA, NULL, NULL, NULL, v_EXCEPCION, 'MIGRACION', 2, 'MIGRACION', SYSDATE);

    COMMIT;

    END;

END;

/