PROMPT Creacion de 	Tabla (AB6137T00)

CREATE TABLE AB6137T00
(
	ID_TIPO_DIRECCION    NUMBER(2) NOT NULL ,
	DESCRIPCION_CASTELLANO VARCHAR2(100) NULL ,
	DESCRIPCION_EUSKERA  VARCHAR2(100) NULL ,
	FECHA_REGISTRO       DATE NULL ,
	USUARIO_REGISTRO     VARCHAR2(20) NULL 
)
	TABLESPACE AB6101E00;

COMMENT ON TABLE AB6137T00 IS 'Catlogo de los Tipos de Direcciones';
COMMENT ON COLUMN AB6137T00.ID_TIPO_DIRECCION IS 'Identificador del Tipo de Direccin (secuencia)';
COMMENT ON COLUMN AB6137T00.DESCRIPCION_CASTELLANO IS 'Descripcin en Castellano del Tipo de Direccin';
COMMENT ON COLUMN AB6137T00.DESCRIPCION_EUSKERA IS 'Descripcin en Euskera del Tipo de Direccin';
COMMENT ON COLUMN AB6137T00.FECHA_REGISTRO IS 'Fecha cuando se ha almacenado el registro';
COMMENT ON COLUMN AB6137T00.USUARIO_REGISTRO IS 'Usuario que ha almacenado el registro';


CREATE SYNONYM TIPOS_DIRECCION	 FOR AB6137T00;


CREATE UNIQUE INDEX PK_AB6137T00 ON AB6137T00(ID_TIPO_DIRECCION   ASC);
ALTER TABLE AB6137T00	ADD CONSTRAINT  PK_AB6137T00 PRIMARY KEY (ID_TIPO_DIRECCION);