PROMPT Creacion de 	Tabla (AB6138T00)

CREATE TABLE AB6138T00
(
	ID_BUSQUEDA          NUMBER(8) NOT NULL ,
	ID_LISTADO           NUMBER(8) NOT NULL ,
	NOMBRE               VARCHAR2(80 CHAR) NULL ,
	SQL_LISTADO          VARCHAR2(2000) NULL ,
	CAMPOS               VARCHAR2(200 CHAR) NULL ,
	FECHA_REGISTRO       DATE NULL ,
	USUARIO_REGISTRO     VARCHAR2(20 CHAR) NULL ,
	FECHA_ULTMODIFICACION DATE NULL ,
	USUARIO_ULTMODIFICACION VARCHAR2(20 CHAR) NULL 
)
	TABLESPACE AB6101E00;

COMMENT ON TABLE AB6138T00 IS 'Tabla para almacenar las Bsquedas de los Listados';
COMMENT ON COLUMN AB6138T00.ID_BUSQUEDA IS 'Identificador interno de la Bsqueda del Listado, cada bsqueda se almacenar en una pestaa diferente de la Excel';
COMMENT ON COLUMN AB6138T00.NOMBRE IS 'Nombre de la Bsqueda';
COMMENT ON COLUMN AB6138T00.SQL_LISTADO IS 'SQL de la Bsqueda';
COMMENT ON COLUMN AB6138T00.CAMPOS IS 'Campos a utilizar en la cabecera de la Excel en caso de no tener archivo asociado';
COMMENT ON COLUMN AB6138T00.FECHA_REGISTRO IS 'Fecha cuando se ha almacenado el registro';
COMMENT ON COLUMN AB6138T00.USUARIO_REGISTRO IS 'Usuario que ha almacenado el registro';
COMMENT ON COLUMN AB6138T00.FECHA_ULTMODIFICACION IS 'Fecha de la ltima modificacin del registro';
COMMENT ON COLUMN AB6138T00.USUARIO_ULTMODIFICACION IS 'Usuario que ha realizado la ltima modificacin del registro';
COMMENT ON COLUMN AB6138T00.ID_LISTADO IS 'Identificador interno del Listado';


CREATE SYNONYM BUSQUEDAS	 FOR AB6138T00;


CREATE UNIQUE INDEX PK_AB6138T00 ON AB6138T00(ID_BUSQUEDA   ASC);
ALTER TABLE AB6138T00	ADD CONSTRAINT  PK_AB6138T00 PRIMARY KEY (ID_BUSQUEDA);


CREATE  INDEX FK_AB6138T00 ON AB6138T00(ID_LISTADO   ASC);
ALTER TABLE AB6138T00	ADD (CONSTRAINT FK_AB6108T00_AB6138T00 FOREIGN KEY (ID_LISTADO) REFERENCES AB6108T00 (ID_LISTADO));