PROMPT INSERTING into AB6139T00

Insert into AB6139T00 (ID_DOCUMENTO,NOMBRE_DOCUMENTO,NOMBRE_ARCHIVO,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO) values (s_AB6139T00.nextval,'subsanacionDeficiencia','AB79_SubsanacionDeficiencia.rtf','Subsanacin de Deficiencia',SYSDATE,'SCRIPT');
Insert into AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO,ORIGEN,ID_DOCUMENTO) values (s_AB6110T00.nextval,'91','5','Subsanacin de Deficiencia','EU_Subsanacin de Deficiencia','Subsanacin de Deficiencia',SYSDATE,'SCRIPT','1',s_AB6139T00.currval);

Insert into AB6139T00 (ID_DOCUMENTO,NOMBRE_DOCUMENTO,NOMBRE_ARCHIVO,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO) values (s_AB6139T00.nextval,'requerimientoComparecencia','AB79_RequerimientoComparecencia.rtf','Requerimiento de Comparecencia',SYSDATE,'SCRIPT');
Insert into AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO,ORIGEN,ID_DOCUMENTO) values (s_AB6110T00.nextval,'91','5','Requerimiento de Comparecencia','EU_Requerimiento de Comparecencia','Requerimiento de Comparecencia',SYSDATE,'SCRIPT','1',s_AB6139T00.currval);

Insert into AB6139T00 (ID_DOCUMENTO,NOMBRE_DOCUMENTO,NOMBRE_ARCHIVO,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO) values (s_AB6139T00.nextval,'Informe Tcnico (No Rurales)','AB79_InformeTecnicoInspeccionNoRurales.rtf','Plantilla Archivo Informe Tcnico (No Rurales)',SYSDATE,'SCRIPT');
Insert into AB6110T00 (ID_PLANTILLA,ID_PROCEDIMIENTO,ID_TIPO_PLANTILLA,DESCRIPCION_CASTELLANO,DESCRIPCION_EUSKERA,OBSERVACIONES,FECHA_REGISTRO,USUARIO_REGISTRO,ORIGEN,ID_DOCUMENTO) values (s_AB6110T00.nextval,'91','5','Plantilla Archivo Informe Tcnico (No Rurales)','Plantilla Archivo Informe Tcnico (No Rurales)','Plantilla Archivo Informe Tcnico (No Rurales)',SYSDATE,'SCRIPT','1',s_AB6139T00.currval);


Insert into AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,FECHA_REGISTRO,USUARIO_REGISTRO) values (s_AB6122T00.nextval,'2','inspectora','SELECT NOMBRE_INSPECTOR AS VALOR FROM AB79.INSPECCIONES, AB79.INSPECTORES WHERE AB79.INSPECCIONES.ID_INSPECTOR = AB79.INSPECTORES.ID_INSPECTOR AND AB79.INSPECCIONES.ID_EXPEDIENTE = ?','inspectora','Persona Inspectora de la Inspeccin',SYSDATE,'SCRIPT');
Insert into AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,FECHA_REGISTRO,USUARIO_REGISTRO) values (s_AB6122T00.nextval,'2','datosTerceros','SELECT (NOMBRETITULAR || ''#'' || DOCUMENTOTITULAR || ''#'' || NOMBRE_REPRESENTANTE || ''#'' || DOMICILIO_REPRESENTANTE) AS VALOR FROM (SELECT (NOMBRE  || '' ''  || APELLIDO1  || '' ''  || APELLIDO2) NOMBRETITULAR, DOCUMENTO DOCUMENTOTITULAR FROM AB61.REL_EXP_TER ET, AB61.DATOS_TERCEROS T WHERE ET.ID_TERCERO = T.ID_TERCERO AND ID_EXPEDIENTE = ? AND TIPO_PARTICIPANTE = 0) TITULAR, (SELECT (NOMBRE  || '' ''  || APELLIDO1  || '' ''  || APELLIDO2) NOMBRE_REPRESENTANTE, DOCUMENTO DOMICILIO_REPRESENTANTE FROM AB61.REL_EXP_TER ET, AB61.DATOS_TERCEROS T WHERE ET.ID_TERCERO = T.ID_TERCERO AND ID_EXPEDIENTE = ? AND TIPO_PARTICIPANTE = 1) REPRESENTANTE','nombreTitular;documentoTitular;nombreRepresentante;documentoRepresentante','Datos de Terceros',SYSDATE,'SCRIPT');
Insert into AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,FECHA_REGISTRO,USUARIO_REGISTRO) values (s_AB6122T00.nextval,'2','expediente_origen', 'SELECT FOLDER_NUMBER, DESCRIPCION_CASTELLANO FROM EXPEDIENTES, PROCEDIMIENTOS WHERE ID_EXPEDIENTE = (SELECT ID_EXPEDIENTE_ORIGEN FROM EXPEDIENTES WHERE ID_EXPEDIENTE = ?) AND PROCEDIMIENTOS.ID_PROCEDIMIENTO = EXPEDIENTES.ID_PROCEDIMIENTO','numexp;procedimiento','Expediente de Origen',SYSDATE,'SCRIPT');
Insert into AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,FECHA_REGISTRO,USUARIO_REGISTRO) values (s_AB6122T00.nextval,'5','preguntas_protocolo','SELECT (DESCRIPCION_CASTELLANO || ''#'' || RESPUESTA) AS VALOR FROM RESPUESTAS_PROTOCOLO, PREGUNTAS_PROTOCOLO, REL_PRO_PRE, INSPECCIONES WHERE REL_PRO_PRE.ID_PROTOCOLO = INSPECCIONES.ID_PROTOCOLO AND REL_PRO_PRE.ID_PREGUNTA_PROTOCOLO = PREGUNTAS_PROTOCOLO.ID_PREGUNTA_PROTOCOLO AND REL_PRO_PRE.ID_REL_PRO_PRE = RESPUESTAS_PROTOCOLO.ID_REL_PRO_PRE(+) AND ID_EXPEDIENTE = ? ORDER BY ORDEN','pregunta;respuesta','Preguntas Protocolo',SYSDATE,'SCRIPT');
Insert into AB6122T00 (ID_CAMPO,ID_TIPO_CAMPO,NOMBRE_CAMPO,SELECT_CAMPO,NOMBRE_XML,DESCRIPCION,FECHA_REGISTRO,USUARIO_REGISTRO) values (s_AB6122T00.nextval,'2', 'compareciente', 'SELECT (NOMBRE || '' '' || APELLIDO1 || '' '' || APELLIDO2 || ''#'' || DOCUMENTO) AS VALOR FROM DATOS_TERCEROS WHERE ID_TERCERO = (SELECT ID_TER_COMPARECIENTE FROM AB79.INSPECCIONES WHERE ID_EXPEDIENTE = ?)','nombre;documento','Compareciente',SYSDATE,'SCRIPT');

COMMIT;




