PROMPT Procedimiento (BORRAR_PERSONA_CONTACTO)

create or replace PROCEDURE BORRAR_PERSONA_CONTACTO (IN_ID_EXPEDIENTE IN AB6102T00.ID_EXPEDIENTE%TYPE, OUT_TAREAS IN OUT AB6121T00.TAREAS%TYPE) AS

CURSOR cContactos IS
SELECT  AB61.AB6134T00.ID_TERCERO
FROM AB61.AB6134T00 WHERE ID_EXPEDIENTE = IN_ID_EXPEDIENTE AND ID_TIPO_TERCERO = 2;

BEGIN
  DELETE FROM AB61.AB6134T00 WHERE ID_EXPEDIENTE = IN_ID_EXPEDIENTE AND ID_TIPO_TERCERO = 2;
  OUT_TAREAS := OUT_TAREAS || chr(13) || '-Borrado de la RelaciÃ³n Expediente / Persona de Contacto (Tercero) (AB6134T00)';

  FOR tercero IN cContactos
  LOOP
      DELETE FROM AB61.AB6135T00 WHERE ID_TERCERO = tercero.ID_TERCERO;
      OUT_TAREAS := OUT_TAREAS || chr(13) || '-Borrado de los datos de Persona de Contacto (AB6135T00) (Tercero=' || tercero.ID_TERCERO || ')';
  END LOOP;

EXCEPTION
WHEN OTHERS THEN
BEGIN
    OUT_TAREAS := OUT_TAREAS || chr(13) || '- Error BORRAR_PERSONA_CONTACTO';
    ROLLBACK;

    RAISE;

    END;

END BORRAR_PERSONA_CONTACTO;

/
