PROMPT Creacion Tabla (AB6132T00)

CREATE TABLE AB6132T00
(
	ID_MENSAJE_ERROR     NUMBER(8) NOT NULL ,
	ID_MENSAJE           NUMBER(8) NOT NULL ,
	FOLDER_ID            VARCHAR2(64 CHAR) NULL ,
	FECHA_REGISTRO       DATE NULL 
)
	TABLESPACE AB6101E00;

COMMENT ON TABLE AB6132T00 IS 'Tabla para almacenar los Mensajes R02_TASK que han dado error por llegar antes del Mensaje R02_REQUEST';
COMMENT ON COLUMN AB6132T00.ID_MENSAJE_ERROR IS 'Identificador interno del mensaje con Error';
COMMENT ON COLUMN AB6132T00.ID_MENSAJE IS 'Identificador interno del mensaje';
COMMENT ON COLUMN AB6132T00.FOLDER_ID IS 'Identificador del Expediente en PLATEA';
COMMENT ON COLUMN AB6132T00.FECHA_REGISTRO IS 'Fecha cuando se ha almacenado el registro';

CREATE SYNONYM MENSAJES_ERROR FOR AB6132T00;

CREATE UNIQUE INDEX PK_AB6132T00 ON AB6132T00(ID_MENSAJE_ERROR   ASC) TABLESPACE AB6102E00;
ALTER TABLE AB6132T00 ADD CONSTRAINT  PK_AB6132T00 PRIMARY KEY (ID_MENSAJE_ERROR);


CREATE  INDEX FK_AB6132T00 ON AB6132T00(ID_MENSAJE   ASC)	TABLESPACE AB6102E00;
ALTER TABLE AB6132T00	ADD (CONSTRAINT FK_AB6117T00_AB6132T00 FOREIGN KEY (ID_MENSAJE) REFERENCES AB6117T00 (ID_MENSAJE));