PROMPT Migracion_Fechas 

DECLARE

n_ID_TRAZA                  AB61.AB6121T00.ID_TRAZA%TYPE;                       -- Identificador de la Traza
v_EXCEPCION                 AB61.AB6121T00.EXCEPCION%TYPE;                      -- Excepcin dentro de la Traza en caso de que tengamos un Error
v_METODO                    AB61.AB6121T00.METODO%TYPE;                         -- Mtodo (Funcin o Procedimiento) donde ha dado la Excepcin
v_TAREAS                     AB61.AB6121T00.TAREAS%TYPE;


BEGIN


FOR DATO_MENSAJE IN (SELECT * FROM AB6117T00 WHERE COD_PROCEDURE_ID IN ('0012801','0012802','0012803','0012804','0012805','0012806','0056508','0059205','0089401','0092101','0092102','0092103') 
AND PLATEA_TYPE = 'APORTELEMATICA' AND PLATEA_SUBTYPE IN ('3','ALEGACION_PUBLICA','8','2','r02dFE0673A510281D750C9F9758A73EE2A8DD217E5C','6','5','16','7','18') ORDER BY ID_MENSAJE ASC)
LOOP

	TRATAMIENTO_FECHAS(DATO_MENSAJE.ID_MENSAJE);

END LOOP;

EXCEPTION
WHEN OTHERS THEN
BEGIN

    SELECT S_AB6121T00.NEXTVAL INTO n_ID_TRAZA FROM DUAL;

    v_EXCEPCION:= SUBSTR(SQLERRM, 1, 2000);
    
    INSERT INTO AB6121T00 (ID_TRAZA, ID_EXPEDIENTE, COD_PROCEDURE_ID, EXCEPCION, METODO, ESTADO_SOLICITUD, TAREAS, FECHA_REGISTRO)
    VALUES (n_ID_TRAZA, NULL, NULL, v_EXCEPCION, 'MIGRACION_FECHAS', 2, 'MIGRACION_FECHAS', SYSDATE);

    COMMIT;

    END;

END;

/