
-- AB61: EUSTAT
update AB6138T00 set SQL_LISTADO='select distinct valor as valor, ID_TIPO_ESTABLECIMIENTO, ID_PROVINCIA, FECHA_MVTO from AB63.INFORME_EUSTAT where ((cod_procedure_id IN (''0012801'',''0012802'')AND   fc_fec_exp IS NOT NULL) OR(cod_procedure_id = ''0012803'' AND   fc_fec_exp IS NOT NULL AND   fecha_baja IS NOT NULL) OR    (cod_procedure_id = ''0012803'' AND fc_fec_exp IS NULL)) ORDER BY  ID_TIPO_ESTABLECIMIENTO ASC, ID_PROVINCIA ASC, FECHA_MVTO ASC', CAMPOS ='Tipo ETR;Cod.Mvto.;Fecha.Mvto.;COD PR;Provincia;NIF;Signatura;Nombre Est.;Direccin Est.;Num;Piso-Mano;C.Mun.Est.;C.Pos.Est.;Localidad Est.;Telfono Est.;Categoria;Grupo;CAP;Fis./Jur.;Razn Social;Nombre Tit.;Fecha-D Cierre;Fecha-H Cierre;Modalidad;HAB;Estudios;Plazas estudio;Apartamentos;Plazas apartamentos;Suites;Plazas suites;Conjuntos;Plazas Conjuntos;Telfono Tit.;Direccin Tit.;C.Mun. Tit.;C.Prov. Tit.;C.Pos. Tit.;Localidad Tit.' WHERE NOMBRE = 'informe EUSTAT';
update AB6138T00 set SQL_LISTADO='select distinct valor as valor, ID_TIPO_ESTABLECIMIENTO, ID_PROVINCIA, FECHA_MVTO from AB63.INFORME_EUSTAT ORDER BY  ID_TIPO_ESTABLECIMIENTO ASC, ID_PROVINCIA ASC, FECHA_MVTO ASC', CAMPOS ='Tipo ETR;Cod.Mvto.;Fecha.Mvto.;COD PR;Provincia;NIF;Signatura;Nombre Est.;Direccin Est.;Num;Piso-Mano;C.Mun.Est.;C.Pos.Est.;Localidad Est.;Telfono Est.;Categoria;Grupo;CAP;Fis./Jur.;Razn Social;Nombre Tit.;Fecha-D Cierre;Fecha-H Cierre;Modalidad;HAB;Estudios;Plazas estudio;Apartamentos;Plazas apartamentos;Suites;Plazas suites;Conjuntos;Plazas Conjuntos;Telfono Tit.;Direccin Tit.;C.Mun. Tit.;C.Prov. Tit.;C.Pos. Tit.;Localidad Tit.' WHERE NOMBRE = 'informe EUSTAT con censo';
update AB6138T00 set SQL_LISTADO='select distinct valor as valor, ID_TIPO_ESTABLECIMIENTO, ID_PROVINCIA, FECHA_MVTO from AB63.INFORME_EUSTAT where ((cod_procedure_id IN (''0012801'',''0012802'')AND fc_fec_exp IS NOT NULL AND fc_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1) OR(cod_procedure_id = ''0012803'' AND fc_fec_exp IS NOT NULL AND fc_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1 AND fecha_baja IS NOT NULL) OR (cod_procedure_id = ''0012803'' AND fc_fec_exp IS NULL AND fa_fec_exp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1 AND fecha_inicierretemp BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1)) ORDER BY  ID_TIPO_ESTABLECIMIENTO ASC, ID_PROVINCIA ASC, FECHA_MVTO ASC', CAMPOS ='Tipo ETR;Cod.Mvto.;Fecha.Mvto.;COD PR;Provincia;NIF;Signatura;Nombre Est.;Direccin Est.;Num;Piso-Mano;C.Mun.Est.;C.Pos.Est.;Localidad Est.;Telfono Est.;Categoria;Grupo;CAP;Fis./Jur.;Razn Social;Nombre Tit.;Fecha-D Cierre;Fecha-H Cierre;Modalidad;HAB;Estudios;Plazas estudio;Apartamentos;Plazas apartamentos;Suites;Plazas suites;Conjuntos;Plazas Conjuntos;Telfono Tit.;Direccin Tit.;C.Mun. Tit.;C.Prov. Tit.;C.Pos. Tit.;Localidad Tit.' WHERE NOMBRE = 'informe EUSTAT filtro fechas';

-- AB61_ ITUORBASK
update AB6138T00 set SQL_LISTADO='SELECT DISTINCT ( 
        EST.ID_TIPO_ESTABLECIMIENTO || ''#''
       || DECODE(PRO.COD_PROCEDURE_ID, ''0012801'', ''A'', ''0012802'', ''M'', ''0012803'' ,''B'', ''M'') || ''#''
       || TO_CHAR(NVL(FEC_CIER.FECHA_EXPEDIENTE, FEC_APER.FECHA_EXPEDIENTE),''DD/MM/YYYY'') || ''#''
       || TRIM(TO_CHAR(DIR_EST.ID_PROVINCIA, ''00''))|| ''#''
       || DIR_EST.PROVINCIA || ''#''
       || DIR_EST.IDENTIFICADOR_ESTABLECIMIENTO || ''#''
       || DIR_EST.ESTABLECIMIENTO || ''#''
       || DIR_EST.DIRECCION || ''#''
       || DIR_EST.NUMERO || ''#''
       || DIR_EST.PISO || ''-'' || DIR_EST.LETRA || ''#''
       || DIR_EST.ID_MUNICIPIO || ''#''
       || DIR_EST.CODIGO_POSTAL || ''#''
       || DIR_EST.LOCALIDAD || ''#''
	   || EST.ID_CATEGORIAS || ''#''
       || EST.ID_MODALIDAD || ''#''
       || EST.TELEFONO || ''#''
       || EST.EMAIL || ''#''
       || DECODE(EST.ID_TIPO_ESTABLECIMIENTO, ''A'', 0, DTE.NUM_PLAZAS) || ''#''
       ) valor,
    FEC_CIER.FECHA_EXPEDIENTE FC_FEC_EXP,
    FEC_APER.FECHA_EXPEDIENTE FA_FEC_EXP,
    PRO.COD_PROCEDURE_ID,
    EST.FECHA_BAJA,
    EST.FECHA_INICIERRETEMP,
    EST.ID_TIPO_ESTABLECIMIENTO,
    DIR_EST.ID_PROVINCIA,
    NVL(FEC_CIER.FECHA_EXPEDIENTE, FEC_APER.FECHA_EXPEDIENTE) FECHA_MVTO
FROM
    AB61.AB6102T00 EXP,
    AB61.AB6101T00 PRO,
    AB61.AB6134T00 R_ET,
    AB61.AB6135T00 TER,
    AB63.AB6301T00 EST,
    AB63.AB6321T00 DTE,
    (SELECT DE.id_direccion, DE.id_tercero, DE.id_tipo_direccion, DE.identificador_establecimiento, DE.establecimiento, DE.direccion, DE.numero, DE.escalera, DE.piso, DE.letra, DE.codigo_postal, DE.id_provincia, PRODE.DS_O provincia, DE.id_municipio, MUNDE.DS_O municipio, DE.id_localidad, LOCDE.DS_O localidad FROM AB61.AB6136T00 DE, T17I.T17_PROVINCIA PRODE, T17I.T17_MUNICIPIO MUNDE, T17I.T17_LOCALIDAD LOCDE WHERE DE.ID_PROVINCIA = PRODE.ID(+) AND DE.ID_MUNICIPIO = MUNDE.ID(+) AND MUNDE.PROVINCIA_ID (+)= PRODE.ID AND DE.ID_LOCALIDAD = LOCDE.ID(+) AND LOCDE.PROVINCIA_ID (+)= PRODE.ID AND LOCDE.MUNICIPIO_ID (+)= MUNDE.ID AND DE.id_tipo_direccion = 2) DIR_EST,
    (SELECT R_EFA.ID_EXPEDIENTE, R_EFA.FECHA_EXPEDIENTE FROM AB61.AB6142T00 R_EFA, AB61.AB6144T00 M_FA WHERE R_EFA.ID_FECHA_EXPEDIENTE = M_FA.ID_FECHA_EXPEDIENTE AND M_FA.ETIQUETA_FECHA = ''FECHA_APERTURA'') FEC_APER,
    (SELECT R_EFC.ID_EXPEDIENTE, R_EFC.FECHA_EXPEDIENTE FROM AB61.AB6142T00 R_EFC, AB61.AB6144T00 M_FC WHERE R_EFC.ID_FECHA_EXPEDIENTE = M_FC.ID_FECHA_EXPEDIENTE AND M_FC.ETIQUETA_FECHA = ''FECHA_CIERRE'')  FEC_CIER
where 
    EXP.ID_PROCEDIMIENTO = pro.ID_PROCEDIMIENTO AND
    EXP.ID_EXPEDIENTE = R_ET.ID_EXPEDIENTE AND
    R_ET.ID_TERCERO = TER.ID_TERCERO AND
    R_ET.ID_TERCERO = DIR_EST.ID_TERCERO AND
    EST.IDENTIFICADOR_ESTABLECIMIENTO = DIR_EST.IDENTIFICADOR_ESTABLECIMIENTO  AND
    EXP.ID_EXPEDIENTE = FEC_APER.ID_EXPEDIENTE(+) AND
    EXP.ID_EXPEDIENTE = FEC_CIER.ID_EXPEDIENTE(+) AND
    EST.ID_ESTABLECIMIENTO = DTE.ID_ESTABLECIMIENTO AND
    ((PRO.COD_PROCEDURE_ID = ''0012803'' AND R_ET.ID_TIPO_TERCERO in (1,3) ) OR ( PRO.COD_PROCEDURE_ID in (''0012801'', ''0012802'' ) AND R_ET.ID_TIPO_TERCERO = 1 )) AND
    (( PRO.COD_PROCEDURE_ID IN (''0012801'',''0012802'') AND  FEC_CIER.FECHA_EXPEDIENTE IS NOT NULL )
    OR(PRO.COD_PROCEDURE_ID =''0012803'' AND FEC_CIER.FECHA_EXPEDIENTE IS NOT NULL AND EST.FECHA_BAJA IS NOT NULL)
    OR(PRO.COD_PROCEDURE_ID =''0012803'' AND FEC_CIER.FECHA_EXPEDIENTE IS NULL))  AND
	(EST.FECHA_BAJA IS NULL  AND EST.TIPO_REGISTRO = ''D'' AND EST.VISIBLEWEB = ''1'' AND EST.ID_TIPO_ESTABLECIMIENTO <> ''A'') AND
    TER.TIPO_PARTICIPANTE = 0
    ORDER BY EST.ID_TIPO_ESTABLECIMIENTO ASC, DIR_EST.ID_PROVINCIA ASC, FECHA_MVTO ASC' WHERE NOMBRE = 'informe ITOURBASK';

update AB6138T00 set SQL_LISTADO='SELECT DISTINCT( 
        EST.ID_TIPO_ESTABLECIMIENTO || ''#''
       || DECODE(PRO.COD_PROCEDURE_ID, ''0012801'', ''A'', ''0012802'', ''M'', ''0012803'' ,''B'', ''M'') || ''#''
       || TO_CHAR(NVL(FEC_CIER.FECHA_EXPEDIENTE, FEC_APER.FECHA_EXPEDIENTE),''DD/MM/YYYY'') || ''#''
       || TRIM(TO_CHAR(DIR_EST.ID_PROVINCIA, ''00''))|| ''#''
       || DIR_EST.PROVINCIA || ''#''
       || DIR_EST.IDENTIFICADOR_ESTABLECIMIENTO || ''#''
       || DIR_EST.ESTABLECIMIENTO || ''#''
       || DIR_EST.DIRECCION || ''#''
       || DIR_EST.NUMERO || ''#''
       || DIR_EST.PISO || ''-'' || DIR_EST.LETRA || ''#''
       || DIR_EST.ID_MUNICIPIO || ''#''
       || DIR_EST.CODIGO_POSTAL || ''#''
       || DIR_EST.LOCALIDAD || ''#''
       || EST.ID_CATEGORIAS || ''#''
       || EST.ID_MODALIDAD || ''#''
       || EST.TELEFONO || ''#''
       || EST.EMAIL || ''#''
       || DECODE(EST.ID_TIPO_ESTABLECIMIENTO, ''A'', 0, DTE.NUM_PLAZAS) || ''#''
       ) valor,
    FEC_CIER.FECHA_EXPEDIENTE FC_FEC_EXP,
    FEC_APER.FECHA_EXPEDIENTE FA_FEC_EXP,
    PRO.COD_PROCEDURE_ID,
    EST.FECHA_BAJA,
    EST.FECHA_INICIERRETEMP,
    EST.ID_TIPO_ESTABLECIMIENTO,
    DIR_EST.ID_PROVINCIA,
    NVL(FEC_CIER.FECHA_EXPEDIENTE, FEC_APER.FECHA_EXPEDIENTE) FECHA_MVTO
FROM
    AB61.AB6102T00 EXP,
    AB61.AB6101T00 PRO,
    AB61.AB6134T00 R_ET,
    AB61.AB6135T00 TER,
    AB63.AB6301T00 EST,
    AB63.AB6321T00 DTE,
    (SELECT DE.id_direccion, DE.id_tercero, DE.id_tipo_direccion, DE.identificador_establecimiento, DE.establecimiento, DE.direccion, DE.numero, DE.escalera, DE.piso, DE.letra, DE.codigo_postal, DE.id_provincia, PRODE.DS_O provincia, DE.id_municipio, MUNDE.DS_O municipio, DE.id_localidad, LOCDE.DS_O localidad FROM AB61.AB6136T00 DE, T17I.T17_PROVINCIA PRODE, T17I.T17_MUNICIPIO MUNDE, T17I.T17_LOCALIDAD LOCDE WHERE DE.ID_PROVINCIA = PRODE.ID(+) AND DE.ID_MUNICIPIO = MUNDE.ID(+) AND MUNDE.PROVINCIA_ID (+)= PRODE.ID AND DE.ID_LOCALIDAD = LOCDE.ID(+) AND LOCDE.PROVINCIA_ID (+)= PRODE.ID AND LOCDE.MUNICIPIO_ID (+)= MUNDE.ID AND DE.id_tipo_direccion = 2) DIR_EST,
    (SELECT R_EFA.ID_EXPEDIENTE, R_EFA.FECHA_EXPEDIENTE FROM AB61.AB6142T00 R_EFA, AB61.AB6144T00 M_FA WHERE R_EFA.ID_FECHA_EXPEDIENTE = M_FA.ID_FECHA_EXPEDIENTE AND M_FA.ETIQUETA_FECHA = ''FECHA_APERTURA'') FEC_APER,
    (SELECT R_EFC.ID_EXPEDIENTE, R_EFC.FECHA_EXPEDIENTE FROM AB61.AB6142T00 R_EFC, AB61.AB6144T00 M_FC WHERE R_EFC.ID_FECHA_EXPEDIENTE = M_FC.ID_FECHA_EXPEDIENTE AND M_FC.ETIQUETA_FECHA = ''FECHA_CIERRE'')  FEC_CIER
where 
    EXP.ID_PROCEDIMIENTO = pro.ID_PROCEDIMIENTO AND
    EXP.ID_EXPEDIENTE = R_ET.ID_EXPEDIENTE AND
    R_ET.ID_TERCERO = TER.ID_TERCERO AND
    R_ET.ID_TERCERO = DIR_EST.ID_TERCERO AND
    EST.IDENTIFICADOR_ESTABLECIMIENTO = DIR_EST.IDENTIFICADOR_ESTABLECIMIENTO  AND
    EXP.ID_EXPEDIENTE = FEC_APER.ID_EXPEDIENTE(+) AND
    EXP.ID_EXPEDIENTE = FEC_CIER.ID_EXPEDIENTE(+) AND
    EST.ID_ESTABLECIMIENTO = DTE.ID_ESTABLECIMIENTO AND
    ((PRO.COD_PROCEDURE_ID = ''0012803'' AND R_ET.ID_TIPO_TERCERO in (1,3) ) OR ( PRO.COD_PROCEDURE_ID in (''0012801'', ''0012802'' ) AND R_ET.ID_TIPO_TERCERO = 1 )) AND
    (EST.FECHA_BAJA IS NULL  AND EST.TIPO_REGISTRO = ''D'' AND EST.VISIBLEWEB = ''1'' AND EST.ID_TIPO_ESTABLECIMIENTO <> ''A'') AND
    TER.TIPO_PARTICIPANTE = 0
    ORDER BY EST.ID_TIPO_ESTABLECIMIENTO ASC, DIR_EST.ID_PROVINCIA ASC, FECHA_MVTO ASC' WHERE NOMBRE = 'informe ITOURBASK con Censo';		
	
update AB6138T00 set SQL_LISTADO='SELECT DISTINCT (EST.ID_TIPO_ESTABLECIMIENTO||''#''||DECODE(PRO.COD_PROCEDURE_ID, ''0012801'', ''A'', ''0012802'', ''M'', ''0012803'' ,''B'', ''M'')||''#''|| TO_CHAR(NVL(FEC_CIER.FECHA_EXPEDIENTE, FEC_APER.FECHA_EXPEDIENTE),''DD/MM/YYYY'')||''#''||TRIM(TO_CHAR(DIR_EST.ID_PROVINCIA, ''00''))|| ''#''|| DIR_EST.PROVINCIA||''#''||DIR_EST.IDENTIFICADOR_ESTABLECIMIENTO||''#''||DIR_EST.ESTABLECIMIENTO || ''#''|| DIR_EST.DIRECCION||''#''||DIR_EST.NUMERO||''#''|| DIR_EST.PISO || ''-'' || DIR_EST.LETRA || ''#''|| DIR_EST.ID_MUNICIPIO||''#''||DIR_EST.CODIGO_POSTAL||''#''|| DIR_EST.LOCALIDAD||''#''||EST.ID_CATEGORIAS||''#''||EST.ID_MODALIDAD||''#''||EST.TELEFONO||''#''||EST.EMAIL || ''#''|| DECODE(EST.ID_TIPO_ESTABLECIMIENTO, ''A'', 0, DTE.NUM_PLAZAS) || ''#'') valor, FEC_CIER.FECHA_EXPEDIENTE FC_FEC_EXP, FEC_APER.FECHA_EXPEDIENTE FA_FEC_EXP,PRO.COD_PROCEDURE_ID,EST.FECHA_BAJA,EST.FECHA_INICIERRETEMP,EST.ID_TIPO_ESTABLECIMIENTO,DIR_EST.ID_PROVINCIA,NVL(FEC_CIER.FECHA_EXPEDIENTE, FEC_APER.FECHA_EXPEDIENTE) FECHA_MVTO
FROM AB61.AB6102T00 EXP, AB61.AB6101T00 PRO,AB61.AB6134T00 R_ET,AB61.AB6135T00 TER,AB63.AB6301T00 EST,AB63.AB6321T00 DTE,
 (SELECT DE.id_direccion, DE.id_tercero, DE.id_tipo_direccion, DE.identificador_establecimiento, DE.establecimiento, DE.direccion, DE.numero, DE.escalera, DE.piso, DE.letra, DE.codigo_postal, DE.id_provincia, PRODE.DS_O provincia, DE.id_municipio, MUNDE.DS_O municipio, DE.id_localidad, LOCDE.DS_O localidad FROM AB61.AB6136T00 DE, T17I.T17_PROVINCIA PRODE, T17I.T17_MUNICIPIO MUNDE, T17I.T17_LOCALIDAD LOCDE WHERE DE.ID_PROVINCIA = PRODE.ID(+) AND DE.ID_MUNICIPIO = MUNDE.ID(+) AND MUNDE.PROVINCIA_ID (+)= PRODE.ID AND DE.ID_LOCALIDAD = LOCDE.ID(+) AND LOCDE.PROVINCIA_ID (+)= PRODE.ID AND LOCDE.MUNICIPIO_ID (+)= MUNDE.ID AND DE.id_tipo_direccion = 2) DIR_EST,
 (SELECT R_EFA.ID_EXPEDIENTE, R_EFA.FECHA_EXPEDIENTE FROM AB61.AB6142T00 R_EFA, AB61.AB6144T00 M_FA WHERE R_EFA.ID_FECHA_EXPEDIENTE = M_FA.ID_FECHA_EXPEDIENTE AND M_FA.ETIQUETA_FECHA = ''FECHA_APERTURA'') FEC_APER,
 (SELECT R_EFC.ID_EXPEDIENTE, R_EFC.FECHA_EXPEDIENTE FROM AB61.AB6142T00 R_EFC, AB61.AB6144T00 M_FC WHERE R_EFC.ID_FECHA_EXPEDIENTE = M_FC.ID_FECHA_EXPEDIENTE AND M_FC.ETIQUETA_FECHA = ''FECHA_CIERRE'') FEC_CIER
where EXP.ID_PROCEDIMIENTO = pro.ID_PROCEDIMIENTO AND EXP.ID_EXPEDIENTE = R_ET.ID_EXPEDIENTE AND R_ET.ID_TERCERO = TER.ID_TERCERO AND R_ET.ID_TERCERO = DIR_EST.ID_TERCERO AND EST.IDENTIFICADOR_ESTABLECIMIENTO = DIR_EST.IDENTIFICADOR_ESTABLECIMIENTO AND EXP.ID_EXPEDIENTE = FEC_APER.ID_EXPEDIENTE(+) AND EXP.ID_EXPEDIENTE = FEC_CIER.ID_EXPEDIENTE(+) AND EST.ID_ESTABLECIMIENTO = DTE.ID_ESTABLECIMIENTO AND ((PRO.COD_PROCEDURE_ID = ''0012803'' AND R_ET.ID_TIPO_TERCERO in (1,3) ) OR ( PRO.COD_PROCEDURE_ID in (''0012801'', ''0012802'' ) AND R_ET.ID_TIPO_TERCERO = 1 )) AND (EST.FECHA_BAJA IS NULL AND EST.TIPO_REGISTRO = ''D'' AND EST.VISIBLEWEB = ''1'' AND EST.ID_TIPO_ESTABLECIMIENTO <> ''A'') AND ((PRO.COD_PROCEDURE_ID IN (''0012801'',''0012802'') AND FEC_CIER.FECHA_EXPEDIENTE IS NOT NULL AND FEC_CIER.FECHA_EXPEDIENTE BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1) OR(PRO.COD_PROCEDURE_ID =''0012803'' AND FEC_CIER.FECHA_EXPEDIENTE IS NOT NULL AND FEC_CIER.FECHA_EXPEDIENTE BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1 AND EST.FECHA_BAJA IS NOT NULL) OR (PRO.COD_PROCEDURE_ID =''0012803'' AND FEC_CIER.FECHA_EXPEDIENTE IS NULL AND FEC_aper.FECHA_EXPEDIENTE BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1 AND EST.FECHA_INICIERRETEMP BETWEEN TO_DATE(''_fechaDesde_'', ''DD/MM/YYYY'') AND TO_DATE(''_fechaHasta_'', ''DD/MM/YYYY'')+1)) AND TER.TIPO_PARTICIPANTE = 0 ORDER BY EST.ID_TIPO_ESTABLECIMIENTO ASC, DIR_EST.ID_PROVINCIA ASC, FECHA_MVTO ASC' WHERE NOMBRE = 'informe ITOURBASK filtro fecha';		
	

COMMIT;
