PROMPT V_T_ACT_SUBVENCIONABLES

CREATE OR REPLACE FORCE EDITIONABLE VIEW "AB61"."V_T_ACT_SUBVENCIONABLES" ("ID_EXPEDIENTE", "PARAMETRO", "VALOR", "DESCRIPCION_CASTELLANO", "DESCRIPCION_EUSKERA") AS 
  SELECT DISTINCT 
		EXPEDIENTES.ID_EXPEDIENTE,
        EXPEDIENTES.FOLDER_NUMBER AS PARAMETRO,
        AB60.REL_EXP_ACT_SUB.ID_REL_EXP_ACT_SUB AS VALOR,
		OBTENER_DESC_ACT_SUB(T_ACT_SUB.ID_AGRUPACION, AB60.REL_EXP_ACT_SUB.ID_REL_EXP_ACT_SUB, T_ACT_SUB.DESCRIPCION_CASTELLANO, 1) AS DESCRIPCION_CASTELLANO,
        OBTENER_DESC_ACT_SUB(T_ACT_SUB.ID_AGRUPACION, AB60.REL_EXP_ACT_SUB.ID_REL_EXP_ACT_SUB, T_ACT_SUB.DESCRIPCION_EUSKERA, 2) AS DESCRIPCION_EUSKERA
	FROM 
		EXPEDIENTES,
		AB60.REL_EXP_ACT_SUB,
		AB60.ACT_SUBVENCIONABLE T_ACT_SUB,
        AB60.REL_ACT_SUB_MOT_DEN,
        AB60.DATOS_PROYECTO
    WHERE
        EXPEDIENTES.ID_EXPEDIENTE = AB60.REL_EXP_ACT_SUB.ID_EXPEDIENTE AND
        AB60.DATOS_PROYECTO.ID_EXPEDIENTE = EXPEDIENTES.ID_EXPEDIENTE AND
        AB60.REL_EXP_ACT_SUB.ID_ACT_SUB = T_ACT_SUB.ID_ACT_SUB AND
        (EXPEDIENTES.ID_PROCEDIMIENTO = 1 OR EXPEDIENTES.ID_PROCEDIMIENTO = 101 OR -- MEC
        EXPEDIENTES.ID_PROCEDIMIENTO = 5 OR EXPEDIENTES.ID_PROCEDIMIENTO = 105 OR -- CTP
        EXPEDIENTES.ID_PROCEDIMIENTO = 3 OR EXPEDIENTES.ID_PROCEDIMIENTO = 103 OR -- OTC
        ((EXPEDIENTES.ID_PROCEDIMIENTO = 6 OR EXPEDIENTES.ID_PROCEDIMIENTO = 106 OR EXPEDIENTES.ID_PROCEDIMIENTO = 4 OR EXPEDIENTES.ID_PROCEDIMIENTO = 104) AND -- EMET / PTT
            (T_ACT_SUB.ID_ACT_SUB_PADRE IS NOT NULL
			AND AB60.REL_EXP_ACT_SUB.IMPORTE_PRESENTADO IS NOT NULL) OR
            (T_ACT_SUB.ID_ACT_SUB_PADRE IS NULL AND
                ((SELECT 
                    COUNT(*)
                FROM 
                    AB60.ACT_SUBVENCIONABLE T_ACT_SUB_H
                WHERE 
                    T_ACT_SUB_H.ID_ACT_SUB_PADRE = T_ACT_SUB.ID_ACT_SUB) = 0))) OR 
        ((EXPEDIENTES.ID_PROCEDIMIENTO = 2 OR EXPEDIENTES.ID_PROCEDIMIENTO = 102)  AND -- DEC
        (T_ACT_SUB.ID_ACT_SUB_PADRE IS NOT NULL AND 
            (((SELECT
                T_ACT_SUB_A.ID_ACT_SUB_PADRE
            FROM
                AB60.ACT_SUBVENCIONABLE T_ACT_SUB_A
            WHERE
                T_ACT_SUB_A.ID_ACT_SUB = T_ACT_SUB.ID_ACT_SUB_PADRE) IS NOT NULL)
                OR ((SELECT 
                    COUNT(*)
                FROM 
                    AB60.ACT_SUBVENCIONABLE T_ACT_SUB_H
                WHERE 
                    T_ACT_SUB_H.ID_ACT_SUB_PADRE = T_ACT_SUB.ID_ACT_SUB) = 0)
                )
                ))) AND  
        AB60.DATOS_PROYECTO.ID_MOTIVO_DESESTIMACION IS NULL AND
        NOT EXISTS (
            SELECT 
                AB60.REL_ACT_SUB_MOT_DEN.ID_REL_ACT_SUB_MOT_DEN
            FROM 
                AB60.REL_ACT_SUB_MOT_DEN, AB60.MOTIVOS_DENEGACION
            WHERE 
                AB60.REL_EXP_ACT_SUB.ID_REL_EXP_ACT_SUB = AB60.REL_ACT_SUB_MOT_DEN.ID_REL_EXP_ACT_SUB
                AND AB60.REL_ACT_SUB_MOT_DEN.ID_MOTIVO_DENEGACION = AB60.MOTIVOS_DENEGACION.ID_MOTIVO_DENEGACION
                AND AB60.MOTIVOS_DENEGACION.ORIGEN = 1
                );
				
/