
package com.ejie.ab61.clientesWS.X43Procedimientos;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TProcedure complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TProcedure">
 *   &lt;complexContent>
 *     &lt;extension base="{com/ejie/x43s/v2/fcp/xml}TBasicProcedure">
 *       &lt;sequence>
 *         &lt;element name="status" type="{com/ejie/x43s/v2/fcp/xml}TProcedureStatus"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}language"/>
 *         &lt;element name="languageType" type="{com/ejie/x43s/v2/ttn/xml}TLanguageType"/>
 *         &lt;element name="managerCalendar" type="{com/ejie/x43s/v2/ttn/xml}TCalendar"/>
 *         &lt;element name="managerCalendarFunction" type="{com/ejie/x43s/v2/ttn/xml}TSvt"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}entityID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}entityName"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}organismID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}organismName"/>
 *         &lt;element name="managingUnit" type="{com/ejie/x43s/v2/fcp/xml}TManagingUnit"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}procedureFamilyID"/>
 *         &lt;element name="term" type="{com/ejie/x43s/v2/fcp/xml}TTermDefinition"/>
 *         &lt;element name="daProcedureID" type="{com/ejie/x43s/v2/ttn/xml}TID64"/>
 *         &lt;element name="daDocumentalSeries" type="{com/ejie/x43s/v2/fcp/xml}TDADocumentalSeries"/>
 *         &lt;element name="certifiedValidationMode" type="{com/ejie/x43s/v2/ttn/xml}TCertifiedValidationType"/>
 *         &lt;element name="initRequestPresentationDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="useBeginingDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="useFinalDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="exitRequestPresentationDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="resolutionUnit" type="{com/ejie/x43s/v2/fcp/xml}TManagingUnit"/>
 *         &lt;element name="resolutionCalendar" type="{com/ejie/x43s/v2/ttn/xml}TCalendar"/>
 *         &lt;element name="resolutionCalendarFunction" type="{com/ejie/x43s/v2/ttn/xml}TSvt"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}servicioCP"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}procedureCP"/>
 *         &lt;element name="activeRdRDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="localizationSystem" type="{com/ejie/x43s/v2/fcp/xml}TLocationSystem"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}mailboxID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}mailboxName"/>
 *         &lt;element name="procedureInformationUrl" type="{com/ejie/x43s/v2/ttn/xml}TTextI18N"/>
 *         &lt;element name="isRequestSignature" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isTelematic" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isEvent" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isInitOffice" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isPNP" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isAllowCitizenDelay" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="signSystem" type="{com/ejie/x43s/v2/fcp/xml}TSignSystem"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TProcedure", propOrder = {
    "status",
    "language",
    "languageType",
    "managerCalendar",
    "managerCalendarFunction",
    "entityID",
    "entityName",
    "organismID",
    "organismName",
    "managingUnit",
    "procedureFamilyID",
    "term",
    "daProcedureID",
    "daDocumentalSeries",
    "certifiedValidationMode",
    "initRequestPresentationDate",
    "useBeginingDate",
    "useFinalDate",
    "exitRequestPresentationDate",
    "resolutionUnit",
    "resolutionCalendar",
    "resolutionCalendarFunction",
    "servicioCP",
    "procedureCP",
    "activeRdRDate",
    "localizationSystem",
    "mailboxID",
    "mailboxName",
    "procedureInformationUrl",
    "isRequestSignature",
    "isTelematic",
    "isEvent",
    "isInitOffice",
    "isPNP",
    "isAllowCitizenDelay",
    "signSystem"
})
public class TProcedure
    extends TBasicProcedure
{

    @XmlElement(required = true)
    protected TProcedureStatus status;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TLanguage language;
    @XmlElement(required = true)
    protected TLanguageType languageType;
    @XmlElement(required = true)
    protected TCalendar managerCalendar;
    @XmlElement(required = true)
    protected TSvt managerCalendarFunction;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String entityID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N entityName;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String organismID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N organismName;
    @XmlElement(required = true)
    protected TManagingUnit managingUnit;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String procedureFamilyID;
    @XmlElement(required = true)
    protected TTermDefinition term;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String daProcedureID;
    @XmlElement(required = true)
    protected TDADocumentalSeries daDocumentalSeries;
    @XmlElement(required = true)
    protected TCertifiedValidationType certifiedValidationMode;
    @XmlElement(required = true)
    protected String initRequestPresentationDate;
    @XmlElement(required = true)
    protected String useBeginingDate;
    @XmlElement(required = true)
    protected String useFinalDate;
    @XmlElement(required = true)
    protected String exitRequestPresentationDate;
    @XmlElement(required = true)
    protected TManagingUnit resolutionUnit;
    @XmlElement(required = true)
    protected TCalendar resolutionCalendar;
    @XmlElement(required = true)
    protected TSvt resolutionCalendarFunction;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String servicioCP;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String procedureCP;
    @XmlElement(required = true)
    protected String activeRdRDate;
    @XmlElement(required = true)
    protected TLocationSystem localizationSystem;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String mailboxID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N mailboxName;
    @XmlElement(required = true)
    protected TTextI18N procedureInformationUrl;
    @XmlElement(required = true)
    protected TBoolean isRequestSignature;
    @XmlElement(required = true)
    protected TBoolean isTelematic;
    @XmlElement(required = true)
    protected TBoolean isEvent;
    @XmlElement(required = true)
    protected TBoolean isInitOffice;
    @XmlElement(required = true)
    protected TBoolean isPNP;
    @XmlElement(required = true)
    protected TBoolean isAllowCitizenDelay;
    @XmlElement(required = true)
    protected TSignSystem signSystem;

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link TProcedureStatus }
     *     
     */
    public TProcedureStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link TProcedureStatus }
     *     
     */
    public void setStatus(TProcedureStatus value) {
        this.status = value;
    }

    /**
     * Gets the value of the language property.
     * 
     * @return
     *     possible object is
     *     {@link TLanguage }
     *     
     */
    public TLanguage getLanguage() {
        return language;
    }

    /**
     * Sets the value of the language property.
     * 
     * @param value
     *     allowed object is
     *     {@link TLanguage }
     *     
     */
    public void setLanguage(TLanguage value) {
        this.language = value;
    }

    /**
     * Gets the value of the languageType property.
     * 
     * @return
     *     possible object is
     *     {@link TLanguageType }
     *     
     */
    public TLanguageType getLanguageType() {
        return languageType;
    }

    /**
     * Sets the value of the languageType property.
     * 
     * @param value
     *     allowed object is
     *     {@link TLanguageType }
     *     
     */
    public void setLanguageType(TLanguageType value) {
        this.languageType = value;
    }

    /**
     * Gets the value of the managerCalendar property.
     * 
     * @return
     *     possible object is
     *     {@link TCalendar }
     *     
     */
    public TCalendar getManagerCalendar() {
        return managerCalendar;
    }

    /**
     * Sets the value of the managerCalendar property.
     * 
     * @param value
     *     allowed object is
     *     {@link TCalendar }
     *     
     */
    public void setManagerCalendar(TCalendar value) {
        this.managerCalendar = value;
    }

    /**
     * Gets the value of the managerCalendarFunction property.
     * 
     * @return
     *     possible object is
     *     {@link TSvt }
     *     
     */
    public TSvt getManagerCalendarFunction() {
        return managerCalendarFunction;
    }

    /**
     * Sets the value of the managerCalendarFunction property.
     * 
     * @param value
     *     allowed object is
     *     {@link TSvt }
     *     
     */
    public void setManagerCalendarFunction(TSvt value) {
        this.managerCalendarFunction = value;
    }

    /**
     * Gets the value of the entityID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEntityID() {
        return entityID;
    }

    /**
     * Sets the value of the entityID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEntityID(String value) {
        this.entityID = value;
    }

    /**
     * Gets the value of the entityName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getEntityName() {
        return entityName;
    }

    /**
     * Sets the value of the entityName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setEntityName(TTextI18N value) {
        this.entityName = value;
    }

    /**
     * Gets the value of the organismID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganismID() {
        return organismID;
    }

    /**
     * Sets the value of the organismID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganismID(String value) {
        this.organismID = value;
    }

    /**
     * Gets the value of the organismName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getOrganismName() {
        return organismName;
    }

    /**
     * Sets the value of the organismName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setOrganismName(TTextI18N value) {
        this.organismName = value;
    }

    /**
     * Gets the value of the managingUnit property.
     * 
     * @return
     *     possible object is
     *     {@link TManagingUnit }
     *     
     */
    public TManagingUnit getManagingUnit() {
        return managingUnit;
    }

    /**
     * Sets the value of the managingUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link TManagingUnit }
     *     
     */
    public void setManagingUnit(TManagingUnit value) {
        this.managingUnit = value;
    }

    /**
     * Gets the value of the procedureFamilyID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcedureFamilyID() {
        return procedureFamilyID;
    }

    /**
     * Sets the value of the procedureFamilyID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcedureFamilyID(String value) {
        this.procedureFamilyID = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link TTermDefinition }
     *     
     */
    public TTermDefinition getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTermDefinition }
     *     
     */
    public void setTerm(TTermDefinition value) {
        this.term = value;
    }

    /**
     * Gets the value of the daProcedureID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDaProcedureID() {
        return daProcedureID;
    }

    /**
     * Sets the value of the daProcedureID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDaProcedureID(String value) {
        this.daProcedureID = value;
    }

    /**
     * Gets the value of the daDocumentalSeries property.
     * 
     * @return
     *     possible object is
     *     {@link TDADocumentalSeries }
     *     
     */
    public TDADocumentalSeries getDaDocumentalSeries() {
        return daDocumentalSeries;
    }

    /**
     * Sets the value of the daDocumentalSeries property.
     * 
     * @param value
     *     allowed object is
     *     {@link TDADocumentalSeries }
     *     
     */
    public void setDaDocumentalSeries(TDADocumentalSeries value) {
        this.daDocumentalSeries = value;
    }

    /**
     * Gets the value of the certifiedValidationMode property.
     * 
     * @return
     *     possible object is
     *     {@link TCertifiedValidationType }
     *     
     */
    public TCertifiedValidationType getCertifiedValidationMode() {
        return certifiedValidationMode;
    }

    /**
     * Sets the value of the certifiedValidationMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link TCertifiedValidationType }
     *     
     */
    public void setCertifiedValidationMode(TCertifiedValidationType value) {
        this.certifiedValidationMode = value;
    }

    /**
     * Gets the value of the initRequestPresentationDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInitRequestPresentationDate() {
        return initRequestPresentationDate;
    }

    /**
     * Sets the value of the initRequestPresentationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInitRequestPresentationDate(String value) {
        this.initRequestPresentationDate = value;
    }

    /**
     * Gets the value of the useBeginingDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUseBeginingDate() {
        return useBeginingDate;
    }

    /**
     * Sets the value of the useBeginingDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUseBeginingDate(String value) {
        this.useBeginingDate = value;
    }

    /**
     * Gets the value of the useFinalDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUseFinalDate() {
        return useFinalDate;
    }

    /**
     * Sets the value of the useFinalDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUseFinalDate(String value) {
        this.useFinalDate = value;
    }

    /**
     * Gets the value of the exitRequestPresentationDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExitRequestPresentationDate() {
        return exitRequestPresentationDate;
    }

    /**
     * Sets the value of the exitRequestPresentationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExitRequestPresentationDate(String value) {
        this.exitRequestPresentationDate = value;
    }

    /**
     * Gets the value of the resolutionUnit property.
     * 
     * @return
     *     possible object is
     *     {@link TManagingUnit }
     *     
     */
    public TManagingUnit getResolutionUnit() {
        return resolutionUnit;
    }

    /**
     * Sets the value of the resolutionUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link TManagingUnit }
     *     
     */
    public void setResolutionUnit(TManagingUnit value) {
        this.resolutionUnit = value;
    }

    /**
     * Gets the value of the resolutionCalendar property.
     * 
     * @return
     *     possible object is
     *     {@link TCalendar }
     *     
     */
    public TCalendar getResolutionCalendar() {
        return resolutionCalendar;
    }

    /**
     * Sets the value of the resolutionCalendar property.
     * 
     * @param value
     *     allowed object is
     *     {@link TCalendar }
     *     
     */
    public void setResolutionCalendar(TCalendar value) {
        this.resolutionCalendar = value;
    }

    /**
     * Gets the value of the resolutionCalendarFunction property.
     * 
     * @return
     *     possible object is
     *     {@link TSvt }
     *     
     */
    public TSvt getResolutionCalendarFunction() {
        return resolutionCalendarFunction;
    }

    /**
     * Sets the value of the resolutionCalendarFunction property.
     * 
     * @param value
     *     allowed object is
     *     {@link TSvt }
     *     
     */
    public void setResolutionCalendarFunction(TSvt value) {
        this.resolutionCalendarFunction = value;
    }

    /**
     * Gets the value of the servicioCP property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServicioCP() {
        return servicioCP;
    }

    /**
     * Sets the value of the servicioCP property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServicioCP(String value) {
        this.servicioCP = value;
    }

    /**
     * Gets the value of the procedureCP property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcedureCP() {
        return procedureCP;
    }

    /**
     * Sets the value of the procedureCP property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcedureCP(String value) {
        this.procedureCP = value;
    }

    /**
     * Gets the value of the activeRdRDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getActiveRdRDate() {
        return activeRdRDate;
    }

    /**
     * Sets the value of the activeRdRDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setActiveRdRDate(String value) {
        this.activeRdRDate = value;
    }

    /**
     * Gets the value of the localizationSystem property.
     * 
     * @return
     *     possible object is
     *     {@link TLocationSystem }
     *     
     */
    public TLocationSystem getLocalizationSystem() {
        return localizationSystem;
    }

    /**
     * Sets the value of the localizationSystem property.
     * 
     * @param value
     *     allowed object is
     *     {@link TLocationSystem }
     *     
     */
    public void setLocalizationSystem(TLocationSystem value) {
        this.localizationSystem = value;
    }

    /**
     * Gets the value of the mailboxID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailboxID() {
        return mailboxID;
    }

    /**
     * Sets the value of the mailboxID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailboxID(String value) {
        this.mailboxID = value;
    }

    /**
     * Gets the value of the mailboxName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getMailboxName() {
        return mailboxName;
    }

    /**
     * Sets the value of the mailboxName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setMailboxName(TTextI18N value) {
        this.mailboxName = value;
    }

    /**
     * Gets the value of the procedureInformationUrl property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getProcedureInformationUrl() {
        return procedureInformationUrl;
    }

    /**
     * Sets the value of the procedureInformationUrl property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setProcedureInformationUrl(TTextI18N value) {
        this.procedureInformationUrl = value;
    }

    /**
     * Gets the value of the isRequestSignature property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsRequestSignature() {
        return isRequestSignature;
    }

    /**
     * Sets the value of the isRequestSignature property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsRequestSignature(TBoolean value) {
        this.isRequestSignature = value;
    }

    /**
     * Gets the value of the isTelematic property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsTelematic() {
        return isTelematic;
    }

    /**
     * Sets the value of the isTelematic property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsTelematic(TBoolean value) {
        this.isTelematic = value;
    }

    /**
     * Gets the value of the isEvent property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsEvent() {
        return isEvent;
    }

    /**
     * Sets the value of the isEvent property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsEvent(TBoolean value) {
        this.isEvent = value;
    }

    /**
     * Gets the value of the isInitOffice property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsInitOffice() {
        return isInitOffice;
    }

    /**
     * Sets the value of the isInitOffice property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsInitOffice(TBoolean value) {
        this.isInitOffice = value;
    }

    /**
     * Gets the value of the isPNP property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsPNP() {
        return isPNP;
    }

    /**
     * Sets the value of the isPNP property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsPNP(TBoolean value) {
        this.isPNP = value;
    }

    /**
     * Gets the value of the isAllowCitizenDelay property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsAllowCitizenDelay() {
        return isAllowCitizenDelay;
    }

    /**
     * Sets the value of the isAllowCitizenDelay property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsAllowCitizenDelay(TBoolean value) {
        this.isAllowCitizenDelay = value;
    }

    /**
     * Gets the value of the signSystem property.
     * 
     * @return
     *     possible object is
     *     {@link TSignSystem }
     *     
     */
    public TSignSystem getSignSystem() {
        return signSystem;
    }

    /**
     * Sets the value of the signSystem property.
     * 
     * @param value
     *     allowed object is
     *     {@link TSignSystem }
     *     
     */
    public void setSignSystem(TSignSystem value) {
        this.signSystem = value;
    }

}
