
package com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TResultSignature complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TResultSignature">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ejgvDocument" type="{com/ejie/x43s/v2/ttn/xml}TEjgvDocument"/>
 *         &lt;element name="signerID" type="{com/ejie/x43s/v2/ttn/xml}TID64"/>
 *         &lt;element name="signerName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}departmentID" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}entityID" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}format" minOccurs="0"/>
 *         &lt;element name="mimeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="authorizedPersonList" type="{com/ejie/x43s/v2/pps/xml}TResultAuhorizedPerson" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TResultSignature", namespace = "com/ejie/x43s/v2/pps/xml", propOrder = {
    "ejgvDocument",
    "signerID",
    "signerName",
    "departmentID",
    "entityID",
    "format",
    "mimeType",
    "authorizedPersonList"
})
public class TResultSignature {

    @XmlElement(required = true)
    protected String ejgvDocument;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String signerID;
    @XmlElement(required = true)
    protected String signerName;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String departmentID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String entityID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
    protected String format;
    protected String mimeType;
    protected List<TResultAuhorizedPerson> authorizedPersonList;

    /**
     * Gets the value of the ejgvDocument property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEjgvDocument() {
        return ejgvDocument;
    }

    /**
     * Sets the value of the ejgvDocument property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEjgvDocument(String value) {
        this.ejgvDocument = value;
    }

    /**
     * Gets the value of the signerID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSignerID() {
        return signerID;
    }

    /**
     * Sets the value of the signerID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSignerID(String value) {
        this.signerID = value;
    }

    /**
     * Gets the value of the signerName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSignerName() {
        return signerName;
    }

    /**
     * Sets the value of the signerName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSignerName(String value) {
        this.signerName = value;
    }

    /**
     * Gets the value of the departmentID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDepartmentID() {
        return departmentID;
    }

    /**
     * Sets the value of the departmentID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDepartmentID(String value) {
        this.departmentID = value;
    }

    /**
     * Gets the value of the entityID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEntityID() {
        return entityID;
    }

    /**
     * Sets the value of the entityID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEntityID(String value) {
        this.entityID = value;
    }

    /**
     * Gets the value of the format property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFormat() {
        return format;
    }

    /**
     * Sets the value of the format property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFormat(String value) {
        this.format = value;
    }

    /**
     * Gets the value of the mimeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * Sets the value of the mimeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMimeType(String value) {
        this.mimeType = value;
    }

    /**
     * Gets the value of the authorizedPersonList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the authorizedPersonList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAuthorizedPersonList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TResultAuhorizedPerson }
     * 
     * 
     */
    public List<TResultAuhorizedPerson> getAuthorizedPersonList() {
        if (authorizedPersonList == null) {
            authorizedPersonList = new ArrayList<TResultAuhorizedPerson>();
        }
        return this.authorizedPersonList;
    }

}
