
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TWait complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TWait">
 *   &lt;complexContent>
 *     &lt;extension base="{com/ejie/x43s/v2/rta/xml}AWaitBasic">
 *       &lt;sequence>
 *         &lt;element name="receiver" type="{com/ejie/x43s/v2/ttn/xml}TPersonIDName"/>
 *         &lt;element name="isInformConsultation" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="status" type="{com/ejie/x43s/v2/ttn/xml}TWaitStatus"/>
 *         &lt;element name="isExpired" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="datConsult" type="{com/ejie/x43s/v2/rta/xml}TDatConsult"/>
 *         &lt;element name="datTask" type="{com/ejie/x43s/v2/rta/xml}TTask"/>
 *         &lt;element name="instanceID" type="{com/ejie/x43s/v2/ttn/xml}TID64"/>
 *         &lt;element name="instanceName" type="{com/ejie/x43s/v2/ttn/xml}TTextI18N"/>
 *         &lt;element name="instanceTypeID" type="{com/ejie/x43s/v2/ttn/xml}TInstanceType"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}participantID" minOccurs="0"/>
 *         &lt;element name="targetParticipant" type="{com/ejie/x43s/v2/rta/xml}TParticipant" minOccurs="0"/>
 *         &lt;element name="waitResultList" type="{com/ejie/x43s/v2/rta/xml}TWaitResultList"/>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="waitStoreDoc" type="{com/ejie/x43s/v2/rta/xml}TWaitStoreDocument"/>
 *           &lt;element name="waitPayFee" type="{com/ejie/x43s/v2/rta/xml}TWaitPayFee"/>
 *           &lt;element name="waitNotification" type="{com/ejie/x43s/v2/rta/xml}TWaitNotification"/>
 *           &lt;element name="waitSignature" type="{com/ejie/x43s/v2/rta/xml}TWaitSignature"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TWait", propOrder = {
    "receiver",
    "isInformConsultation",
    "status",
    "isExpired",
    "datConsult",
    "datTask",
    "instanceID",
    "instanceName",
    "instanceTypeID",
    "participantID",
    "targetParticipant",
    "waitResultList",
    "waitStoreDoc",
    "waitPayFee",
    "waitNotification",
    "waitSignature"
})
public class TWait
    extends AWaitBasic
{

    @XmlElement(required = true)
    protected TPersonIDName receiver;
    @XmlElement(required = true)
    protected TBoolean isInformConsultation;
    @XmlElement(required = true)
    protected TWaitStatus status;
    @XmlElement(required = true)
    protected TBoolean isExpired;
    @XmlElement(required = true)
    protected TDatConsult datConsult;
    @XmlElement(required = true)
    protected TTask datTask;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String instanceID;
    @XmlElement(required = true)
    protected TTextI18N instanceName;
    @XmlElement(required = true)
    protected TInstanceType instanceTypeID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String participantID;
    protected TParticipant targetParticipant;
    @XmlElement(required = true)
    protected TWaitResultList waitResultList;
    protected TWaitStoreDocument waitStoreDoc;
    protected TWaitPayFee waitPayFee;
    protected TWaitNotification waitNotification;
    protected TWaitSignature waitSignature;

    /**
     * Gets the value of the receiver property.
     * 
     * @return
     *     possible object is
     *     {@link TPersonIDName }
     *     
     */
    public TPersonIDName getReceiver() {
        return receiver;
    }

    /**
     * Sets the value of the receiver property.
     * 
     * @param value
     *     allowed object is
     *     {@link TPersonIDName }
     *     
     */
    public void setReceiver(TPersonIDName value) {
        this.receiver = value;
    }

    /**
     * Gets the value of the isInformConsultation property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsInformConsultation() {
        return isInformConsultation;
    }

    /**
     * Sets the value of the isInformConsultation property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsInformConsultation(TBoolean value) {
        this.isInformConsultation = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link TWaitStatus }
     *     
     */
    public TWaitStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link TWaitStatus }
     *     
     */
    public void setStatus(TWaitStatus value) {
        this.status = value;
    }

    /**
     * Gets the value of the isExpired property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsExpired() {
        return isExpired;
    }

    /**
     * Sets the value of the isExpired property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsExpired(TBoolean value) {
        this.isExpired = value;
    }

    /**
     * Gets the value of the datConsult property.
     * 
     * @return
     *     possible object is
     *     {@link TDatConsult }
     *     
     */
    public TDatConsult getDatConsult() {
        return datConsult;
    }

    /**
     * Sets the value of the datConsult property.
     * 
     * @param value
     *     allowed object is
     *     {@link TDatConsult }
     *     
     */
    public void setDatConsult(TDatConsult value) {
        this.datConsult = value;
    }

    /**
     * Gets the value of the datTask property.
     * 
     * @return
     *     possible object is
     *     {@link TTask }
     *     
     */
    public TTask getDatTask() {
        return datTask;
    }

    /**
     * Sets the value of the datTask property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTask }
     *     
     */
    public void setDatTask(TTask value) {
        this.datTask = value;
    }

    /**
     * Gets the value of the instanceID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstanceID() {
        return instanceID;
    }

    /**
     * Sets the value of the instanceID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstanceID(String value) {
        this.instanceID = value;
    }

    /**
     * Gets the value of the instanceName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getInstanceName() {
        return instanceName;
    }

    /**
     * Sets the value of the instanceName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setInstanceName(TTextI18N value) {
        this.instanceName = value;
    }

    /**
     * Gets the value of the instanceTypeID property.
     * 
     * @return
     *     possible object is
     *     {@link TInstanceType }
     *     
     */
    public TInstanceType getInstanceTypeID() {
        return instanceTypeID;
    }

    /**
     * Sets the value of the instanceTypeID property.
     * 
     * @param value
     *     allowed object is
     *     {@link TInstanceType }
     *     
     */
    public void setInstanceTypeID(TInstanceType value) {
        this.instanceTypeID = value;
    }

    /**
     * Gets the value of the participantID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getParticipantID() {
        return participantID;
    }

    /**
     * Sets the value of the participantID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setParticipantID(String value) {
        this.participantID = value;
    }

    /**
     * Gets the value of the targetParticipant property.
     * 
     * @return
     *     possible object is
     *     {@link TParticipant }
     *     
     */
    public TParticipant getTargetParticipant() {
        return targetParticipant;
    }

    /**
     * Sets the value of the targetParticipant property.
     * 
     * @param value
     *     allowed object is
     *     {@link TParticipant }
     *     
     */
    public void setTargetParticipant(TParticipant value) {
        this.targetParticipant = value;
    }

    /**
     * Gets the value of the waitResultList property.
     * 
     * @return
     *     possible object is
     *     {@link TWaitResultList }
     *     
     */
    public TWaitResultList getWaitResultList() {
        return waitResultList;
    }

    /**
     * Sets the value of the waitResultList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TWaitResultList }
     *     
     */
    public void setWaitResultList(TWaitResultList value) {
        this.waitResultList = value;
    }

    /**
     * Gets the value of the waitStoreDoc property.
     * 
     * @return
     *     possible object is
     *     {@link TWaitStoreDocument }
     *     
     */
    public TWaitStoreDocument getWaitStoreDoc() {
        return waitStoreDoc;
    }

    /**
     * Sets the value of the waitStoreDoc property.
     * 
     * @param value
     *     allowed object is
     *     {@link TWaitStoreDocument }
     *     
     */
    public void setWaitStoreDoc(TWaitStoreDocument value) {
        this.waitStoreDoc = value;
    }

    /**
     * Gets the value of the waitPayFee property.
     * 
     * @return
     *     possible object is
     *     {@link TWaitPayFee }
     *     
     */
    public TWaitPayFee getWaitPayFee() {
        return waitPayFee;
    }

    /**
     * Sets the value of the waitPayFee property.
     * 
     * @param value
     *     allowed object is
     *     {@link TWaitPayFee }
     *     
     */
    public void setWaitPayFee(TWaitPayFee value) {
        this.waitPayFee = value;
    }

    /**
     * Gets the value of the waitNotification property.
     * 
     * @return
     *     possible object is
     *     {@link TWaitNotification }
     *     
     */
    public TWaitNotification getWaitNotification() {
        return waitNotification;
    }

    /**
     * Sets the value of the waitNotification property.
     * 
     * @param value
     *     allowed object is
     *     {@link TWaitNotification }
     *     
     */
    public void setWaitNotification(TWaitNotification value) {
        this.waitNotification = value;
    }

    /**
     * Gets the value of the waitSignature property.
     * 
     * @return
     *     possible object is
     *     {@link TWaitSignature }
     *     
     */
    public TWaitSignature getWaitSignature() {
        return waitSignature;
    }

    /**
     * Sets the value of the waitSignature property.
     * 
     * @param value
     *     allowed object is
     *     {@link TWaitSignature }
     *     
     */
    public void setWaitSignature(TWaitSignature value) {
        this.waitSignature = value;
    }

}
