package com.ejie.ab61.dao.mensajesError;

import com.ejie.ab61.model.configuracionEventos.ConfigEventos;
import com.ejie.ab61.model.mensajesError.MensajesError;

/**
 * MensajesErrorDao  
 * 
 *  
 */

public interface MensajesErrorDao {

	/**
	 * Inserts a single row in the MensajesError table.
	 *
	 * @param mensajesError
	 *            MensajesError
	 * @return MensajesError
	 */
	MensajesError add(MensajesError mensajesError);

	/**
	 * Finds a single row in the MensajesError table.
	 *
	 * @param mensajesError
	 *            MensajesError
	 * @return MensajesError
	 */
	MensajesError find(MensajesError mensajesError);

	/**
	 * Removes a single row in the MensajesError table.
	 *
	 * @param mensajesError
	 *            MensajesError
	 */
	void remove(MensajesError mensajesError);

}
