package com.ejie.ab61.service.serviciosWeb;

import java.util.List;

import com.ejie.ab61.exceptions.Ab61Exception;
import com.ejie.ab61.model.serviciosWeb.BusquedasWS;
import com.ejie.ab61.model.serviciosWeb.inicioOficio.DatosInicioOficio;
import com.ejie.ab61.model.serviciosWeb.inicioOficio.InicioOficioTitularWS;
import com.ejie.ab61.model.serviciosWeb.inicioOficio.InicioOficioWS;

public interface ServiciosWebService {

	String obtenerDatosNegocio(String folder_number, String nombreVista);

	String generarDocumento(Integer idPlantilla, String procedureId, String foderId, String usuario)
			throws Ab61Exception;

	String descargarDocumento(Integer idPlantilla, String procedureId, String foderId, String aplicacion)
			throws Ab61Exception;

	String modificarDocumento(Integer idPlantilla, String procedureId, String foderId, String usuario)
			throws Ab61Exception;

	String generarExcelListados(int idListado, List<BusquedasWS> listaBusquedas, String codAplic) throws Ab61Exception;

	String aportarDocumento(Integer idPlantilla, String folderId, String procedureId, String n38Login, String usuario)
			throws Ab61Exception;

	String eliminarDocumento(Integer idPlantilla, String folderId, String procedureId) throws Ab61Exception;

	DatosInicioOficio generarInicioOficio(InicioOficioWS inicioOficio) throws Ab61Exception;

	DatosInicioOficio generarInicioOficioTitular(InicioOficioTitularWS inicioOficioTitular) throws Ab61Exception;
}
