package com.ejie.ab61.service.terceros;

import com.ejie.ab61.model.terceros.CanalesAviso;

/**
 * CanalesAvisoService  
 * 
 *  
 */

public interface CanalesAvisoService {

	/**
	 * Inserts a single row in the CanalesAviso table.
	 *
	 * @param canalesAviso
	 *            CanalesAviso
	 * @return CanalesAviso
	 */
	CanalesAviso add(CanalesAviso canalesAviso);

	/**
	 * Updates a single row in the CanalesAviso table.
	 *
	 * @param canalesAviso
	 *            CanalesAviso
	 * @return CanalesAviso
	 */
	CanalesAviso update(CanalesAviso canalesAviso);

	/**
	 * Finds a single row in the CanalesAviso table.
	 *
	 * @param canalesAviso
	 *            CanalesAviso
	 * @return CanalesAviso
	 */
	CanalesAviso find(CanalesAviso canalesAviso);

	/**
	 * Deletes a single row in the CanalesAviso table.
	 *
	 * @param canalesAviso
	 *            CanalesAviso
	 */
	void remove(CanalesAviso canalesAviso);

}
