<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!-- TABLA CONFIGURACIÓN DE EVENTOS -->
<section>
	<div id="space"></div>
	<div class="container">

		<div class="panel panel-default">
			<div class="panel-heading"><spring:message code="configEventos"/></div>
			<div id="tablaConfigEventosFeedback"></div>
			<div class="panel-body">
				<div id="tablaConfigEventos_div" class="rup-table-container">
					<div id="tablaConfigEventos_feedback" class="hidden"></div>
					<div id="tablaConfigEventos_filter_div" class="rup-table-container">
						<form:form commandName="procedimientos" id="tablaConfigEventos_filter_form"  method="POST" class="hidden"></form:form>
						<div id="tablaConfigEventos_toolbar" class="mitoolbar clearfix">
							<button id="btnExcelConfigEventos" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="configEventos.excel" />'><i class="fa fa-file-excel-o" aria-hidden="true"></i></button>
							<button id="btnAddConfigEventos" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="configEventos.nueva" />'><i class="fa fa-file-o" aria-hidden="true"></i></button>
							<button id="btnModifConfigEventos" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="configEventos.editar" />'><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>
							<button id="btnBorrarConfigEventos" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="configEventos.borrar" />'><i class="fa fa-trash-o" aria-hidden="true"></i></button>
						</div>
						
						<div id="tablaConfigEventos_grid_div">
							<!-- Tabla -->
							<table id="tablaConfigEventos" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tablaConfigEventos_pager"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div id="tablaConfigEventos_filter_toolbar" style="visibility: hidden;"></div>
</section>
<form id="configEventos_Report" action="/ab61WebAppWar/configEventos/xlsReport" method="get">
</form> 

<!-- MODAL DETALLE CONFIGURACIÓN DE EVENTOS -->
<div class="modal" id="configEventosModal">
	<div class="modal-body">
		<form:form id="configEventosModalForm" modelAttribute="ConfigEventos">
			<div id="configEventosModalFeedback"></div>
			<input type="hidden" id="idConfigEventosModal" name="idConfigEventos" />
			<div class="form-group row">
				<div class="col-xs-6">
					<label for="tipoEventoModal"><spring:message code="configEventos.tipoEvento" /></label>
					<input type="text" id="tipoEventoModal" class="form-control" name="tipoEvento" />
				</div>
				<div class="col-xs-6">
					<label for="configuracionModal"><spring:message code="configEventos.configuracion" /></label>
					<input type="number" id="configuracionModal" class="form-control" name="configuracion" />
				</div>
			</div>
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="plateaTypeModal"><spring:message code="configEventos.plateaType" /></label>
					<input type="text" id="plateaTypeModal" class="form-control" name="plateaType" />
				</div>
			</div>
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="plateaSubtypeModal"><spring:message code="configEventos.plateaSubtype" /></label>
					<input type="text" id="plateaSubtypeModal" class="form-control" name="plateaSubtype" />
				</div>
			</div>
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="descripcionCastellanoModal"><spring:message code="configEventos.descripcionCastellano" /></label>
					<input type="text" id="descripcionCastellanoModal" class="form-control" name="descripcionCastellano" />
				</div>
			</div>
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="descripcionEuskeraModal"><spring:message code="configEventos.descripcionEuskera" /></label>
					<input type="text" id="descripcionEuskeraModal" class="form-control" name="descripcionEuskera" />
				</div>
			</div>
		</form:form>
				
	</div>
	
	<div class="modal-footer">
		<div class="row">
			<div class="col-xs-12">
				<button type="submit" class="btn btn-primary" id="configEventosModalGuardar"><spring:message code="save" /></button>
				<button class="btn btn-light" id="configEventosModalCancelar"><spring:message code="cancel" /></button>
			</div>
		</div>
	</div>
</div>