<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

<section>
	<div id="listados_feedback"></div>
	<form:form class="form-horizontal" modelAttribute="relLisPro" method="post" id="listadosForm" enctype="multipart/form-data">
		<input type="hidden" id="idProcedimiento" name="procedimientos.idProcedimiento" value="${idProcedimiento}"/>
		<input type="hidden" id="idRelLisPro" name="idRelLisPro" value="${idRelLisPro}"/>
		
		<div class="row">
			<div class="col-xs-12 form-group">
				<label for="comboListados"><spring:message code="flistado.listado"/></label>
				<select name="listados.idListado" id="comboListados" class="form-control"></select>		
				<input type="hidden" id="idListado" value="${idListado}"/>		
			</div>			
		</div>		

		<div class="row">
			<div class="col-xs-12 form-group">
				<label for="descripcionCastellano"><spring:message code="listados.descripcionCastellano"/></label>
				<input type="text" class="form-control" class="form-control" name="descripcionCastellano" id="descripcionCastellano" maxlength="200"  value="${descripcionCastellano}"/>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-12 form-group">
				<label for="descripcionEuskera" ><spring:message code="listados.descripcionEuskera"/></label>
				<input type="text" class="form-control" class="form-control" name="descripcionEuskera" id="descripcionEuskera" maxlength="200"  value="${descripcionEuskera}"/>
			</div>
		</div>
	</form:form>
</section>