<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<input type="hidden" id="idMensajeTraza" value="${idMensaje}"/>
<input type="hidden" id="configuracionTraza" value="${configuracion}"/>

<section>
	<c:if test="${configuracion == 1 || configuracion == 2}">
		<div id="space"></div>
		<div class="container">
			<div class="panel panel-default">
				<div class="panel-heading"><spring:message code="moduloAdministrativo.trazasSolicitud"/></div>
				<div id="id_capaSolicitudes"></div>
				<div class="panel-body">
					<div id="tblTrazasSolicitudes_div" class="rup-table-container">
						<div id="tblTrazasSolicitudes_feedback" class="hidden"></div>
						<div id="tblTrazasSolicitudes_filter_div" class="rup-table-container">		
							<form:form commandName="tblTrazasSolicitudesCommand" id="tblTrazasSolicitudes_filter_form"  method="POST">
							</form:form>
							
							<div id="tblTrazasSolicitudes_toolbar" class="mitoolbar clearfix">
							</div>
							
							<div id="tblTrazasSolicitudes_grid_div">
								<!-- Tabla -->
								<table id="tblTrazasSolicitudes" class="table"></table>
								<!-- Barra de paginación -->
								<div id="tblTrazasSolicitudes_pager"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div id="tblTrazasSolicitudes_div" class="rup-table-formEdit-detail modal-lg">
			<div id="tblTrazasSolicitudes_detail_navigation" class="hidden"></div>
			<div class="ui-dialog-content ui-widget-content">
			
			</div>
			<div class="rup-table-buttonpane  ui-helper-clearfix">
				<div class="ui-dialog-buttonset">
					<button id="tblTrazasSolicitudes_detail_button_save" type="button" class="btn btn-primary">
						<spring:message code="save" />
					</button>			
					<a href="#" role="button" id="tblTrazasSolicitudes_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
				</div>
			</div>
		</div>
		<div id="tblTrazasSolicitudes_filter_toolbar" style="visibility: hidden;"></div>
	</c:if>
	<div id="space"></div>
	<div class="container">
		<div class="panel panel-default">
			<div class="panel-heading"><spring:message code="moduloAdministrativo.trazasMensaje"/></div>
			<div id="id_capaMensajes"></div>
			<div class="panel-body">
				<div id="tblTrazasMensajes_div" class="rup-table-container">
					<div id="tblTrazasMensajes_feedback" class="hidden"></div>
					<div id="tblTrazasMensajes_filter_div" class="rup-table-container">	
						<form:form commandName="tblTrazasMensajesCommand" id="tblTrazasMensajes_filter_form"  method="POST">
						</form:form>	
						
						<div id="tblTrazasMensajes_toolbar" class="mitoolbar clearfix">
						</div>
						
						<div id="tblTrazasMensajes_grid_div">
							<!-- Tabla -->
							<table id="tblTrazasMensajes" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tblTrazasMensajes_pager"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div id="tblTrazasMensajes_div" class="rup-table-formEdit-detail modal-lg">
		<div id="tblTrazasMensajes_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
		
		</div>
		<div class="rup-table-buttonpane  ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="tblTrazasMensajes_detail_button_save" type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>			
				<a href="#" role="button" id="tblTrazasMensajes_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
			</div>
		</div>
	</div>
	<div id="tblTrazasMensajes_filter_toolbar" style="visibility: hidden;"></div>
</section>
<div id=dialogsTareasMensajes style="display: none"></div>
<div id=dialogsTareasSolicitudes style="display: none"></div>