<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<h2>Plantillas</h2>
	
<br><br>
	<div id="plantillas_div" class="rup-table-container">
	
	<div id="plantillas_feedback"></div>						<!-- Feedback de la tabla --> 
	<div id="plantillas_toolbar"class="mitoolbar clearfix"></div>							<!-- Botonera de la tabla -->

	<div id="plantillas_grid_div">
		<!-- Tabla -->
		<table id="plantillas"></table>
		<!-- Barra de paginación -->
		<div id="plantillas_pager"></div>
	</div>
</div>	

<!-- Formulario de detalle -->
<div id="plantillas_detail_div" class="rup-table-formEdit-detail">
	<form action="/ab61WebAppWar/plantillas/anyadirAdjuntarDocs" id="usuarioForm" enctype="multipart/form-data" method="POST">
		<input type="hidden" name="idPlantilla" id="idPlantilla" />
		<input type="hidden" name="procedimientos.idProcedimiento" id="procedimientos.idProcedimiento" />
		<input type="hidden" name="campos" id="campos" />
		<input type="hidden" name="tienePlantilla" id="tienePlantilla" />
		<input type="hidden" name="retorno" id="retorno" value="${retorno}"/>
		<div class="floating_left_pad_right one-column" style="width: 80%;">
			<label for="descripcionCastellano_detail_table"><spring:message code="descripcionCastellano"/>:</label>
			<select class="form-control" id="comboTipos" /></select>
			<input type="hidden"  name="tiposPlantilla.idTipoPlantilla" class="idTipo"/>
		</div>
		<div class="floating_left_pad_right one-column">
			<label for="descripcionCastellano_detail_table"><spring:message code="descripcionCastellano"/>:</label>
			<input type="text" name="descripcionCastellano" class="formulario_linea_input" id="descripcionCastellano_detail_table"/>
		</div>
		<div class="floating_left_pad_right one-column">
			<label for="descripcionEuskera_detail_table"><spring:message code="descripcionEuskera"/>:</label>
			<input type="text" name="descripcionEuskera" class="formulario_linea_input" id="descripcionEuskera_detail_table"/>
		</div>
		<div class="floating_left_pad_right one-column">
			<label for="documento_detail_table"><spring:message code="documento"/>:</label>
			<input type="text" name="documento" class="formulario_linea_input" id="documento_detail_table"/>
		</div>
		<div class="floating_left_pad_right one-column">
			<label for="comboRemoto">Combo remoto</label>
			<select id="multicomboRemoto" name="multicomboRemoto" multiple="multiple">
			<input type="hidden"  name="campos" class="idCampos"/>
		</div>
		 <div class="floating_left_pad_right one-column" id="docPlantilla" style="display: none;">
			<a id="idDescPlantilla" href="descargarPlantilla/param1"  class="active"><spring:message code="documento"/></a>
		</div>
		<div class="fileupload-buttonbar floating_left_pad_right one-column">
			<label for="file_only">Fichero: </label>
			<input id="file_form" type="file" name="files[]"/>
		</div>
		
		<div class="fileupload-content floating_left_pad_right one-column">
			<table class="files"></table>
		</div>
		<div class="formulario_columna_cnt">
			<button id="sendButton" type="button" class="start">Enviar formulario</button>
		</div>
	</form>
</div>