/*!
 * Copyright 2012 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la «Licencia»);
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
 * el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */

jQuery(document).ready(function(){

	// Evitar conflictos entre Bootstrap y jQueryUI
	$.fn.bootstrapBtn = $.fn.button.noConflict();

	//logo
	$("#rup_dept_logo").attr("src", $.rup.APP_STATICS + "/images/dept_logo_" + $.rup.lang + ".gif");
		
	//rastro de migas
	$("#ab61WebAppWar_migas").rup_breadCrumb({
		breadCrumb: {}	
	});
	
	//Sacar --- en los combos de toda la app
	jQuery.extend(true, jQuery.rup.i18n.base.rup_combo, { blankNotDefined : "----" });
	
	//idioma
	$("#ab61WebAppWar_language").rup_language({languages: $.rup.AVAILABLE_LANGS_ARRAY, modo: "default"});
	
	//menu
	$("#ab61WebAppWar_menu").rup_menu({
		display: ($.rup.LAYOUT === "vertical" ? 'vertical' : 'horizontal')
	});
	if ($.rup.LAYOUT === "mixto") {
		$("#ab61WebAppWar_menu_mixto").rup_menu({
			display: 'vertical'
		});
	}
	
	//pie
	$(".footer [title]").rup_tooltip();
	
	//botones y menús desplegables
	$('.dropdown-toggle').dropdown();

	
	//tooltips
	$('[data-toggle="tooltip"]').tooltip({trigger: "hover"});


	
	
	//idioma cambiar en el selector de idiomas
	$("[data-idioma='" + $.rup.lang + "']").addClass("active");

	var selector = '.nav li';
	
	$(selector).on('click', function(){
	    $(selector).removeClass('active');
	    $(this).addClass('active');
	});
		
	
//	 $("#enviarValor").click( function(){
//	
//		var valorId = $("#valor").val();
//	
//		
//	//	$('#myform').attr('action', 'http://desarrollo.jakina.ejiedes.net:7001/ab61WebAppWar/terceros/'+ valorId);
//		$('#enviarValor').attr('href','terceros/'+ valorId);
//		
//		
//	 });
//	 
//	 $("#enviarValorEmpresa").click( function(){
//			
//			var valorIdEmpresa = $("#valorEmpresa").val();
//		
//			
//		//	$('#myform').attr('action', 'http://desarrollo.jakina.ejiedes.net:7001/ab61WebAppWar/terceros/'+ valorId);
//			$('#enviarValorEmpresa').attr('href','empresas/'+ valorIdEmpresa);
//			
//			
//		 });
//	//coger valor de caja input para ver datos de terceros

	
})