jQuery(function($) {
	
	var idioma = $.rup_utils.get("language");
	var descTooltip ="";
	if(idioma == "es"){	
		descTooltip = $("#desProcedimientoCasCompleta").val();
	}else{
		descTooltip = $("#desProcedimientoEusCompleta").val();
	}
	$('#nombreProcedimiento').rup_tooltip({
		content:{
			text:descTooltip
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});
});


//Botón de Generar Documetos de Plantilla	
$("#btnGenerarDoc").on("click", function () {
	var url = "/ab61WebAppWar/plantillas/maint/" + $("#idProcedimiento").val()+"/" + $("#idExpediente").val();
	abrirDialogoPlantillaSinBotones(url);
	
});

function abrirDialogoPlantillaSinBotones(urlDestino) {
	$("#dialogs").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: urlDestino ,
		autoOpen: true,
		modal: true,
		width: 1200,
		resizable: true
	});	
}

function accederMenu(nombreControlador) {
	window.location = "/ab61WebAppWar/" + nombreControlador + "/maint"			
}


function refrescarPagina(nombreControlador, idProcedimiento) {
	window.location = "/ab61WebAppWar/" + nombreControlador + "/refrescarPantalla/"+ idProcedimiento		
}

function refrescarPaginaSinProcedimiento(nombreControlador) {
	window.location = "/ab61WebAppWar/" + nombreControlador + "/refrescarPantalla";		
}