jQuery(function($) {
	
	$("#CamposPlantilla_feedback").rup_feedback({block : false});
	$("#CamposPlantillaSelec_feedback").rup_feedback({block : false});
	var primeraVez = true;
	
	if (null !== $("#nombreArchivoDetalle").val() && "" !== $("#nombreArchivoDetalle").val()) {
		$("#conNombre").show();
		$("#sinNombre").hide();
	}else{
		$("#conNombre").hide();
		$("#sinNombre").show();
	}	
	
	//COMBO TIPOS CAMPO
	$("#idTipoCampo_filter_table").rup_combo({
		source: "/ab61WebAppWar/tipocampo",
		blank: "0",
		sourceParam: {
			label: (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value: "idTipoCampo",
		},
		width: 500,
	});
	
	$("#idTipoCampo_filter_table-button").addClass("oculto");

	$("#CamposPlantilla").rup_table({		
		url: "/ab61WebAppWar/camposplantilla",
		colNames: [
			"idCampo",
			"idTipoCampo",
			$.rup.i18n.app.tablaMantenimientoObjetos.tipoObjeto,
			"idPlantilla",
			"idDocumento",
			$.rup.i18n.app.tablaMantenimientoObjetos.nombre,
			$.rup.i18n.app.tablaMantenimientoObjetos.select,
			"nombreXml",
			$.rup.i18n.app.tablaMantenimientoObjetos.descripcion
		],
		colModel: [
			{ 	name: "idCampo", 
			 	label: "idCampo",
				align: "left", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "idTipoCampo", 
			 	label: "idTipoCampo",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: (("eu"===$.rup_utils.get("language")) ? "tipoCampo.descripcionEuskera": "tipoCampo.descripcionCastellano"),
				label: (("eu"===$.rup_utils.get("language")) ? "tipoCampo.descripcionEuskera": "tipoCampo.descripcionCastellano"),				   			 	
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},			
			{ 	name: "plantillas.idPlantilla", 
			 	label: "idPlantilla",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "documentos.idDocumento", 
			 	label: "idDocumento",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "nombreCampo", 
			 	label: "nombreCampo",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "selectCampo", 
			 	label: "selectCampo",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true,
				formatter: truncarVisualizacionCampo,
				title: false
			},
			{ 	name: "nombreXml", 
			 	label: "nombreXml",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "descripcion", 
			 	label: "descripcion",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			}
        ],

        model:"CamposPlantilla",
        usePlugins:[
        	"feedback",
			"toolbar",
        	"responsive",
        	"filter"
         	],
		primaryKey: "idCampo",
		sortname: "idCampo",
		sortorder: "asc",
		rowList:[5,10,20,30],
		rowNum:5,
		loadOnStartUp: true,
		gridComplete: function(){
			definePopoverTable("CamposPlantilla");

		},
		loadComplete: function(){
			if(primeraVez){
				$("#CamposPlantilla").rup_table("clearGridData", true);
				primeraVez=false;
			}
			$("#CamposPlantilla").setSelection($("#CamposPlantilla .jqgrow").attr("id"));
		}
	});	
	
	$("#CamposPlantillaSelec").rup_table({
		url: "/ab61WebAppWar/camposplantilla/obtenerRelacionCamposDocumento/" + $("#idDocumento").val(),
		colNames: [
			"idCampo",
			"idTipoCampo",
			$.rup.i18n.app.tablaMantenimientoObjetos.tipoObjeto,
			"idPlantilla",
			"idDocumento",
			$.rup.i18n.app.tablaMantenimientoObjetos.nombre,
			$.rup.i18n.app.tablaMantenimientoObjetos.select,
			"nombreXml",
			$.rup.i18n.app.tablaMantenimientoObjetos.descripcion
		],
		colModel: [
			{ 	name: "idCampo", 
			 	label: "idCampo",
				align: "left", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "idTipoCampo", 
			 	label: "idTipoCampo",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: (("eu"===$.rup_utils.get("language")) ? "tipoCampo.descripcionEuskera": "tipoCampo.descripcionCastellano"),
				label: (("eu"===$.rup_utils.get("language")) ? "tipoCampo.descripcionEuskera": "tipoCampo.descripcionCastellano"),				   			 	
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},						
			{ 	name: "plantillas.idPlantilla", 
			 	label: "idPlantilla",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "documentos.idDocumento", 
			 	label: "idDocumento",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "nombreCampo", 
			 	label: "nombreCampo",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "selectCampo", 
			 	label: "selectCampo",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true,
				formatter: truncarVisualizacionCampo,
				title: false
			},
			{ 	name: "nombreXml", 
			 	label: "nombreXml",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "descripcion", 
			 	label: "descripcion",
				align: "", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: true, 
				resizable: true, 
				sortable: true
			}
        ],
        model:"CamposPlantilla",
        usePlugins:[
        	"feedback",
			"toolbar",
        	"responsive"
         	],
		primaryKey: "idCampo",
		sortname: "idCampo",
		sortorder: "asc",
		rowNum:5,
		loadOnStartUp: true,
		gridComplete: function(){
			definePopoverTable("CamposPlantillaSelec");
		}
	});		
	
	$('#btnAddTablaSelecc').rup_tooltip({
		content:{
			text:$.rup.i18n.app.anadir
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});		
	
	$('#btnBorrarTablaSelecc').rup_tooltip({
		content:{
			text:$.rup.i18n.app.eliminar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});	
	
	function truncarVisualizacionCampo(cellvalue, options, rowObject) {
		var text = "";
		if (rowObject.selectCampo == null || rowObject.selectCampo == ""){
			text = "";
		}else{
			text = rowObject.selectCampo.substring(0, 45);
		}
		return "<span data-toggle='popover' data-placement='left' data-content=\"" + rowObject.selectCampo + "\">" + text + "</span>";
	}	
	
	$('#btnAddTablaSelecc').on("click",function () {

		var activeRowId = $("#CamposPlantilla").rup_table("getSelectedRows");
			
		for (var i = 0; i < activeRowId.length; i++) { 

			if ($("#listaIdCampo").val().indexOf("#"+ activeRowId[i] +"#") === -1)
			{
				var datosFila = $("#CamposPlantilla").rup_table("getRowData", activeRowId[i]);
	   			var posicion =  $("#CamposPlantillaSelec").rup_table("getDataIDs").length;
	   			$("#CamposPlantillaSelec").rup_table("addRowData", activeRowId[i], datosFila);
	   	   		$("#CamposPlantillaSelec").rup_table("updateDetailPagination", posicion+1, posicion+1 );
	   	   		
	   	   		$("#listaIdCampo").val($("#listaIdCampo").val() +"#"+ activeRowId[i] +"#");				
			}
		}

	});	
	
	$('#btnBorrarTablaSelecc').on("click",function () {
		var activeRowId = $("#CamposPlantillaSelec").rup_table("getSelectedRows");
		
		if (activeRowId.length === 0)
		{
			$("#CamposPlantillaSelec_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#CamposPlantillaSelec_feedback").rup_feedback("set",$.rup.i18n.app.msgAlert.selFila, "error");
		}
		else
		{
			var datosFila = $("#CamposPlantillaSelec").rup_table("getRowData", activeRowId[0]);
	
			var posicion =  $("#CamposPlantillaSelec").rup_table("getDataIDs").length;
			$("#CamposPlantillaSelec").rup_table("delRowData", activeRowId);
			$("#CamposPlantillaSelec").rup_table("updateDetailPagination", posicion-1, posicion-1 );
			
			$("#listaIdCampo").val($("#listaIdCampo").val().replace("#"+ datosFila.idCampo +"#", ""));
		}
	});	
	
	document.getElementsByClassName("ui-dialog-titlebar")[0].style.border="none";
	document.getElementsByClassName("ui-dialog-buttonpane")[0].style.border="none";
	
	$('#btnAddTablaSelecc').on("click",function () {
		var activeRowId = $("#CamposPlantilla").rup_table("getSelectedRows");
		
		if (activeRowId.length === 0)
		{
			$("#CamposPlantillaSelec_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#CamposPlantillaSelec_feedback").rup_feedback("set",$.rup.i18n.app.msgAlert.selFila, "error");
		}
	});
	
});

function borrarFichero(){
	bloquearInterfaz();
	$.ajax({	
        url: "/ab61WebAppWar/documentos/borrarFichero/" + $("#idDocumento").val(),
        type: "POST",
        success: function(json) {
        	$("#documentosDetalle_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#documentosDetalle_feedback").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
        	$("#nombreFichero").val("");
        	$("#conNombre").hide();
       		$("#sinNombre").show();
       		$("#tbldocumentos").trigger("reloadGrid");
       		desbloquearInterfaz();
       		
        },
		error: function(){
			$("#documentosDetalle_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
        	$("#documentosDetalle_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
			desbloquearInterfaz();
		}
	});
}

function definePopoverTable(idTabla){
	$('#' + idTabla + ' [data-toggle="popover"]').popover({
		trigger: 'hover',
		container: 'body',
		template: '<div class="popover" style="width:35%; max-width: 40%" role="tooltip"><div class="arrow"></div><h3 class="popover-title"></h3><div class="popover-content" style="max-width: 100%; overflow: auto"></div></div>'
	});
}

function anadirNombreFichero(){
	var nombre = document.getElementById('ficheroDetalle').files[0].name;
	$("#nombreFichero").val(nombre);
}