jQuery(function($) {

	$("#mnFichaExpediente").hide();
	$("#mnListados").hide();
	$("#mnMantenimientoTablas").show();
	$("#mnMantenimientoListados").show();
	$("#mnMantenimientoPlantillas").show();
	$("#mnMantenimientoModuloAdministrativo").show();
	
	
	$("#mnMantenimientoListados").addClass("active");
//	$('#btnModif').attr("disabled",true); 
//	$('#btnAdd').attr("disabled",true);
//	$('#btnBorrar').attr("disabled",true);
		
	//TABLA LISTADOS
	$("#tbldocumentoslistado").rup_table({
		url: "/ab61WebAppWar/documentosListado",
		headertitles: true,
		autowidth: true,
		colNames: [
				   '',
				   $.rup.i18n.app.tablaListados.nombre,
				   $.rup.i18n.app.tablaListados.nombreBusqueda
		          ],
      colModel: [{
				   name: "idListado",
				   label: "idListado",
				   hidden: true
			  },{
				   name: "nombre",
				   label: "nombre",
				   align: "center",
				   width: 150
			  },{
				   name: "nombreBusquedas",
				   label: "nombreBusqueda",
				   align: "center",
				   width: 150
			  }],
		model: "Listados",
		loadComplete:function (){
			 $("#tbldocumentoslistado").setSelection($("#tbldocumentoslistado .jqgrow").attr("id")); 
		},
		usePlugins: [
			"responsive",
			"feedback",
			"toolbar",
			"filter"
		],
    	core : {
			showOperations : {
				"clone" : false
			}
    	},
		multiselect: false,
		loadOnStartUp : true,
		primaryKey: "idListado",
		sortorder : "asc"
	});
	
	$('#btnModif').on("click",function () {
		abrirDialog("/ab61WebAppWar/documentosListado/modificar/" + $("#tbldocumentoslistado").rup_table("getGridParam", "selrow"));
	});
	$('#btnAdd').on("click",function () {
		abrirDialog("/ab61WebAppWar/documentosListado/anyadir");
	});
	$('#btnBorrar').on("click",function () {
		bloquearInterfaz();
		$.ajax({
	        url: "/ab61WebAppWar/documentosListado/"+$("#tbldocumentoslistado").rup_table("getGridParam", "selrow"),
	        type: "DELETE",
	        success: function() {
	        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				$("#id_capa").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_eliminados_OK, "ok");
				$("#tbldocumentoslistado").trigger("reloadGrid");
				desbloquearInterfaz();
	        },
	        error: function() {
	        	$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
	        	$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_elimados_error, "error");
	        	desbloquearInterfaz();
	        }
	    });
	});
});

function abrirDialog(urlDestino) {
	 $("#tbldocumentoslistado_detail_div").rup_dialog({
		type: $.rup.dialog.AJAX,
		url: urlDestino ,
		autoOpen: true,
		modal: true,
		width:1100,
		resizable: true,
		closeOnEscape:false,
		ajaxOptions: {
			success: function (){
				desbloquearInterfaz();
			}
		}, 
		title: $.rup.i18n.app.tablaParametro.configurar,
		buttons: [{
			text: $.rup.i18n.app.aceptar,
			click: function () { 
					guardarListado();
				},
			},
			{
				text: $.rup.i18n.app.cerrar,
				btnType: $.rup.dialog.LINK,
				click: function () { 
					$("#tbldocumentoslistado_detail_div").rup_dialog("close");
					refrescarPaginaSinProcedimiento('documentosListado');
				}
			}
		]
	});	
}

function guardarListado(){
	$("#documentosListadoForm").rup_form({
		url:"/ab61WebAppWar/documentosListado/modif",
		type : "POST",
		dataType : 'json',
		success:function(data){
			$("#documentosListado_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#documentosListado_feedback").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
			$("#tbldocumentoslistado").trigger("reloadGrid");	
			$("#idListado").val(data.idListado);
			$("#idListadoFormListados").val(data.idListado);
			$("#ocultarBusquedas").show();
			$("#conNombre").show();
       		$("#sinNombre").hide();
       		$("#nombreFichero").val(data.nombreFichero);
       		$("#tbldocumentoslistado_detail_div").rup_dialog("close");
       		desbloquearInterfaz();
		},
		error : function(){
			$("#documentosListado_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
        	$("#documentosListado_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
        	$("#ocultarBusquedas").hide();
			$("#ocultarParametros").hide();
			desbloquearInterfaz();
		}
	});
	bloquearInterfaz();
	$("#documentosListadoForm").submit();
}