jQuery(function($) {
	
	$("html, body").animate({ scrollTop: "0" }, 1);
	
	$('#btnLimpiarMensaje').css('outline','none'); 
	
	$("#textoMensajesSinLimpiar").focusout(function() {
		$("#mensajeSinLimpiar").html("<textarea rows='41' cols='162' id='textoMensajesSinLimpiar'>   "+$("#textoMensajesSinLimpiar").val()+"</textarea>");
	});
	
	$("#btnLimpiarMensaje").on("click", function () {	
		
		var mensaje = $("#mensajeSinLimpiar").html();
		console.log(mensaje);
		mensaje = mensaje.replace(/&lt;/g,'<');
		mensaje = mensaje.replace(/&gt;/g,'>');
		mensaje = mensaje.replace(/&amp;lt;/g,'<');
		mensaje = mensaje.replace(/&amp;gt;/g,'>');
		
		var cadenaABorrarNB = mensaje.substring(0, 63);
		mensaje = mensaje.replace(cadenaABorrarNB, "");
		
		var posicionNB = mensaje.indexOf("</textarea>");
		if (posicionNB != -1) {
			var cadenaABorrarNB = mensaje.substring(posicionNB, posicionNB+12);
			mensaje = mensaje.replace(cadenaABorrarNB, "");
		}
		
		var posicionNB = mensaje.indexOf("<?");
		if (posicionNB != -1) {
			var cadenaABorrarNB = mensaje.substring(0, posicionNB+39);
			mensaje = mensaje.replace(cadenaABorrarNB, "");
		}
		
		var posicionNB = mensaje.indexOf("<pre>");
		if (posicionNB != -1) {
			var cadenaABorrarNB = mensaje.substring(0, posicionNB+6);
			mensaje = mensaje.replace(cadenaABorrarNB, "");
		}
		
		var posicionNB = mensaje.indexOf("</pre>");
		if (posicionNB != -1) {
			var cadenaABorrarNB = mensaje.substring(posicionNB, posicionNB+6);
			mensaje = mensaje.replace(cadenaABorrarNB, "");
		}

		var posicionNB = mensaje.indexOf("NotificationBody");
		if (posicionNB != -1) {
			var posicionCierreNB = mensaje.indexOf(">", posicionNB + 16);
			var cadenaABorrarNB = mensaje.substring(posicionNB + 16, posicionCierreNB);
			mensaje = mensaje.replace(cadenaABorrarNB, "");
		}
		
		/**
		 * Eliminamos de la etiqueta NotificationBody la propiedad
		 * com/ejie/notification/xml
		 */
		var posicionTASK = mensaje.indexOf("task");
		if (posicionTASK != -1) {
			var posicionCierreTASK = mensaje.indexOf(">", posicionTASK + 4);
			var cadenaABorrarTASK = mensaje.substring(posicionTASK + 4, posicionCierreTASK);
			mensaje = mensaje.replace(cadenaABorrarTASK, "");
		}

		/**
		 * Eliminamos de la etiqueta notificationEvent la propiedad
		 * xmlns="com/ejie/pnt/xml"
		 */
		var posicionNE = mensaje.indexOf("notificationEvent");
		if (posicionNE != -1) {
			var posicionCierreNE = mensaje.indexOf(">", posicionNE + 17);
			var cadenaABorrarNE = mensaje.substring(posicionNE + 17, posicionCierreNE);
			mensaje = mensaje.replace(cadenaABorrarNE, "");
		}

		/**
		 * Eliminamos de la etiqueta contextSubmissionEvent la propiedad
		 * xmlns="com/ejie/folderManagement/xml"
		 */
		var posicionCS = mensaje.indexOf("contextSubmissionEvent");
		if (posicionCS != -1) {
			var posicionCierreCS = mensaje.indexOf(">", posicionCS + 22);
			var cadenaABorrarCS = mensaje.substring(posicionCS + 22, posicionCierreCS);
			mensaje = mensaje.replace(cadenaABorrarCS, "");
		}

		/**
		 * Eliminamos de la etiqueta EventCorrelationId la propiedad
		 * xsi:nil="true" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 */
		var posicionEC = mensaje.indexOf("<Name>EventCorrelationId</Name><Value");
		if (posicionEC != -1) {
			var posicionCierreEC = mensaje.indexOf(">", posicionEC + 37);
			var cadenaABorrarEC = mensaje.substring(posicionEC + 37, posicionCierreEC);
			mensaje = mensaje.replace(cadenaABorrarEC, "");
		}

		/**
		 * Eliminamos de la etiqueta instanceId la propiedad xsi:nil="true"
		 */
		var posicionIN = mensaje.indexOf("<instanceId xsi:nil=");
		if (posicionIN != -1) {
			var posicionCierreIN = mensaje.indexOf("/>", posicionIN);
			var cadenaABorrarIN = mensaje.substring(posicionIN, posicionCierreIN + 2);
			mensaje = mensaje.replace(cadenaABorrarIN, "");
		}
		
		$("#mensajeSinLimpiar").hide();
		$("#textoMensajesLimpiado").text(mensaje);
		$("#mensajeLimpiado").show();
		
	});
	
	$("#btnGuardarMensaje").on("click", function () {
		
		bloquearInterfaz();
		
		var textoLimpiado;
		
		if(!$("#mensajeLimpiado").is(":hidden")){
			textoLimpiado = $("#textoMensajesLimpiado").val();
		}else{
			textoLimpiado = $("#textoMensajesSinLimpiar").val();
		}
		
		$.ajax({	
	        url: "/ab61WebAppWar/mantenimientoModuloAdministrativo/guardarMensajeLimpiado/"+ $("#idModificarMensaje").val(),
	        type: "POST",
	        dataType: "JSon",
	        data: { "textoLimpiado": textoLimpiado},
	        success: function() {
	        	$("#id_capaMensaje").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000});
				$("#id_capaMensaje").rup_feedback("set",$.rup.i18n.app.mensajes.OK.datos_guardados_OK, "ok");
	       		desbloquearInterfaz();
	       		
	        },
			error: function(){
				$("#id_capaMensaje").rup_feedback({ gotoTop : true, block : false, closeLink : true, delay:3000 });
	        	$("#id_capaMensaje").rup_feedback("set", $.rup.i18n.app.mensajes.error.datos_guardados_error, "error");
				desbloquearInterfaz();
			}
		});		
	});
	
});