jQuery(function($) {

	$("#mnFichaExpediente").hide();
	$("#mnListados").hide();
	$("#mnMantenimientoTablas").show();
	$("#mnMantenimientoListados").show();
	$("#mnMantenimientoPlantillas").show();
	$("#mnMantenimientoModuloAdministrativo").show();
	
	$("#mnMantenimientoPlantillas").addClass("active");
	
	if($("#roleAb61In0008").val() == "true"){
		$("#mnMantenimientoModuloAdministrativo").css("display","none");
		$("#mnMantenimientoListados").css("display","none");
		$("#mnFichaExpediente").css("display","none");
		$("#mnListados").css("display","none");
		$("#mnMantenimientoTablas").css("display","none");
	}
	
	//COMBO DIRECCIONES
	$("#direcciones").rup_combo({
		source: "/ab61WebAppWar/direcciones",
		blank: "0",
		sourceParam: {
			label: (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value: "idDireccion"
		},
		selected: 0,
		select: function(){
			if($("#direcciones").rup_combo("index") == 0){
				$("#tblplantillas").rup_table("clearGridData", true);
			}

		},
		onLoadSuccess: function(){
			
			$("#direcciones").rup_combo("order", true, -1);
			
			if($("#roleAb61In0008").val() == "true" && $("#roleTecnicoTurismo").val() == "true"){
				$("#direcciones").rup_combo("select", TECNICOTURISMO);
				$("#direcciones").rup_combo("disable");
			}
			
			if($("#roleAb61In0008").val() == "true" && $("#roleTecnicoComercio").val() == "true"){
				$("#direcciones").rup_combo("select", TECNICOCOMERCIO);
				$("#direcciones").rup_combo("disable");
			}
			
			if($("#roleAb61In0008").val() == "true" && $("#roleTecnicoConsumo").val() == "true"){
				$("#direcciones").rup_combo("select", TECNICOCONSUMO);
				$("#direcciones").rup_combo("disable");
			}
			
			if($("#roleAb61In0008").val() == "true" && $("#roleTecnicoTurismo").val() == "false"
				&& $("#roleTecnicoComercio").val() == "false" && $("#roleTecnicoConsumo").val() == "false"){
				$("#direcciones").rup_combo("disable");
			}
			
		},
		width: 500
	});
	
	//COMBO PROCEDIMIENTOS
	$("#idProcedimiento").rup_combo({
		parent: [ "direcciones" ],
		source: "/ab61WebAppWar/procedimientos/procEnlazado",
		blank: "0",
		sourceParam: {
			label: "descripcionConCodProcedure",
			value: "idProcedimiento"
		},
		//CARGAR LA TABLA CON LA OPCION SELECCIONADA
		select: function() {
			$("#tblplantillas").trigger("reloadGrid");
		},
		width:$("#comboProcedimientos").width(),
		onLoadSuccess: function(){
			if($("#direcciones").rup_combo("isDisabled")){
				$("#idProcedimiento").rup_combo("enable");
			}
		}
	});
	
	//COMBO TIPOS PLANTILLA
	$("#comboTipoPlantilla").rup_combo({
		source: "/ab61WebAppWar/tiposplantilla",
		blank: "",
		sourceParam: {
			label: (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
			value: "idTipoPlantilla"
		},
		width: 500
	});	

	if($("#roleAb61In0008").val() == "true" && ($("#roleTecnicoTurismo").val() == "true" || $("#roleTecnicoComercio").val() == "true" || $("#roleTecnicoConsumo").val() == "true")){
		var direccion;
		
		if($("#roleTecnicoTurismo").val() == "true"){
			direccion=TECNICOTURISMO;
		}
		
		if($("#roleTecnicoComercio").val() == "true"){
			direccion=TECNICOCOMERCIO;
		}
		
		if($("#roleTecnicoConsumo").val() == "true"){
			direccion=TECNICOCONSUMO;
		}
		
		//COMBO DOCUMENTOS
		$("#comboDocumento").rup_combo({
			source: "/ab61WebAppWar/documentos//getAllPorDireccion/"+direccion,
			blank: "",
			sourceParam: {
				label: "nombreDocumento",
				value: "idDocumento"
			},
			width: 500
		});	
	}else{
		//COMBO DOCUMENTOS
		$("#comboDocumento").rup_combo({
			source: "/ab61WebAppWar/documentos",
			blank: "",
			sourceParam: {
				label: "nombreDocumento",
				value: "idDocumento"
			},
			width: 500
		});	
	}
	
	pintarComboOrigen();
	
	if($("#roleAb61In0008").val() == "true" && ($("#roleTecnicoTurismo").val() == "true" || $("#roleTecnicoComercio").val() == "true" || $("#roleTecnicoConsumo").val() == "true")){
		var direccion;
		
		if($("#roleTecnicoTurismo").val() == "true"){
			direccion=TECNICOTURISMO;
		}
		
		if($("#roleTecnicoComercio").val() == "true"){
			direccion=TECNICOCOMERCIO;
		}
		
		if($("#roleTecnicoConsumo").val() == "true"){
			direccion=TECNICOCONSUMO;
		}
		
		//TABLA PLANTILLAS POR DIRECCION
		$("#tblplantillas").rup_table({
			url: "/ab61WebAppWar/mantenimientoPlantillas/platillasPorDireccion/"+direccion,
			headertitles: true,
			autowidth: true,
			colNames: [
					   '',
					   $.rup.i18n.app.tablaMantenimientoPlantilla.tipoPlantilla,
					   $.rup.i18n.app.tablaMantenimientoPlantilla.descripcion,
					   $.rup.i18n.app.tablaMantenimientoPlantilla.documento
			          ],
	      colModel: [{
					   name: "idPlantilla",
					   label: "idPlantilla",
					   hidden: true
				  },{
					   name: (("eu"===$.rup_utils.get("language")) ? "tiposPlantilla.descripcionEuskera": "tiposPlantilla.descripcionCastellano"),
					   label: (("eu"===$.rup_utils.get("language")) ? "tiposPlantilla.descripcionEuskera": "tiposPlantilla.descripcionCastellano"),				   
					   align: "left",
					   width: 150
				  },{
					   name: (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
					   label: (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
					   align: "left",
					   width: 150
				  },{
					   name: "documento.nombreDocumento",
					   label: "documento.nombreDocumento",
					   align: "left",
					   width: 150
				  }],
			model: "Plantillas",
			gridComplete:function (){

				 $("#tblplantillas").setSelection($("#tblplantillas .jqgrow").attr("id")); 
				 
				 if ($("#idProcedimiento").val() !== "0")
				 {
					$('[id = tblplantillas_toolbar##btnAdd]').removeClass('ui-button-disabled ui-state-disabled');
				 }
				 else
				 {
					setTimeout("$('[id = tblplantillas_toolbar##btnAdd]').addClass('ui-button-disabled ui-state-disabled');",300);
				 }
			},
			usePlugins: [
				"formEdit",
				"responsive",
				"feedback",
				"toolbar",
				"filter"
			],
			formEdit:{
				detailForm: "#tblplantillas_detail_div",
				fillDataMethod: "serverSide",
	    		addEditOptions:{
					reloadAfterSubmit:true,
					width:1000,
					closable:false,
					closeOnEscape:false,
				},
				deleteOptions: {
					reloadAfterSubmit:true
				}
				,validate:{
	    			rules:{
	    				"tiposPlantilla.idTipoPlantilla" :{
	    					required:true,
	    					maxlength : 2
	    				},    				
	    				"descripcionCastellano" :{
	    					required:true,
	    					maxlength : 100
	    				},
	    				"descripcionEuskera":{
	    					required:true,
	    					maxlength : 100
	    				},
	    				"observaciones":{
	    					required:false,
	    					maxlength : 500
	    				},    				
	    				"documento.idDocumento":{
	    					required:true,
	    					maxlength : 8
	    				}    				
	    			}
	    		}			
			},		
	    	core : {
				showOperations : {
					"clone" : false
				}
	    	},
			multiselect: false,
			loadOnStartUp : false,
			primaryKey: "idPlantilla",
			sortorder : "asc"
		});	
	}else{
		//TABLA PLANTILLAS TODAS LAS PLANTILLAS
		$("#tblplantillas").rup_table({
			url: "/ab61WebAppWar/mantenimientoPlantillas" ,
			headertitles: true,
			autowidth: true,
			colNames: [
					   '',
					   $.rup.i18n.app.tablaMantenimientoPlantilla.tipoPlantilla,
					   $.rup.i18n.app.tablaMantenimientoPlantilla.descripcion,
					   $.rup.i18n.app.tablaMantenimientoPlantilla.documento
			          ],
	      colModel: [{
					   name: "idPlantilla",
					   label: "idPlantilla",
					   hidden: true
				  },{
					   name: (("eu"===$.rup_utils.get("language")) ? "tiposPlantilla.descripcionEuskera": "tiposPlantilla.descripcionCastellano"),
					   label: (("eu"===$.rup_utils.get("language")) ? "tiposPlantilla.descripcionEuskera": "tiposPlantilla.descripcionCastellano"),				   
					   align: "left",
					   width: 150
				  },{
					   name: (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
					   label: (("eu"===$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
					   align: "left",
					   width: 150
				  },{
					   name: "documento.nombreDocumento",
					   label: "documento.nombreDocumento",
					   align: "left",
					   width: 150
				  }],
			model: "Plantillas",
			gridComplete:function (){
				 $("#tblplantillas").setSelection($("#tblplantillas .jqgrow").attr("id")); 
				 
				 if ($("#idProcedimiento").val() !== "0")
				 {
					$('[id = tblplantillas_toolbar##btnAdd]').removeClass('ui-button-disabled ui-state-disabled');
				 }
				 else
				 {
					setTimeout("$('[id = tblplantillas_toolbar##btnAdd]').addClass('ui-button-disabled ui-state-disabled');",300);
				 }
			},
			usePlugins: [
				"formEdit",
				"responsive",
				"feedback",
				"toolbar",
				"filter"
			],
			formEdit:{
				detailForm: "#tblplantillas_detail_div",
				fillDataMethod: "serverSide",
	    		addEditOptions:{
					reloadAfterSubmit:true,
					width:1000,
					closable:false,
					closeOnEscape:false,
				},
				deleteOptions: {
					reloadAfterSubmit:true
				}
				,validate:{
	    			rules:{
	    				"tiposPlantilla.idTipoPlantilla" :{
	    					required:true,
	    					maxlength : 2
	    				},    				
	    				"descripcionCastellano" :{
	    					required:true,
	    					maxlength : 100
	    				},
	    				"descripcionEuskera":{
	    					required:true,
	    					maxlength : 100
	    				},
	    				"observaciones":{
	    					required:false,
	    					maxlength : 500
	    				},    				
	    				"documento.idDocumento":{
	    					required:true,
	    					maxlength : 8
	    				}    				
	    			}
	    		}			
			},		
	    	core : {
				showOperations : {
					"clone" : false
				}
	    	},
			multiselect: false,
			loadOnStartUp : false,
			primaryKey: "idPlantilla",
			sortorder : "asc"
		});
	}

	$("#tblplantillas").on("jqGridAddEditClickSubmit", function(rowid,callback,url,op){

		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		if(op=="edit"){
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_modificado, "ok");
		}else{
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_ok, "ok");
		}
	});
	
	$("#tblplantillas").on("rupTableAfterDelete", function(data, textStatus, xhr){
	
		$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#id_capa").rup_feedback("set", $.rup.i18n.app.mensajes.datos_borrado, "ok");

	});
	
	$('[id = tblplantillas_toolbar##btnAdd]').click(function(){
		if ( ($("#idProcedimientoDetalle").val() == null || $("#idProcedimientoDetalle").val() == "") && $("#idProcedimiento").val() != 0)
		{
			$("#idProcedimientoDetalle").val($("#idProcedimiento").val());
		}
	});	
	
	$('[id = tblplantillas_toolbar##btnAdd]').rup_tooltip({
		content:{
			text:$.rup.i18n.app.anadir
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});		
	
	$('[id = tblplantillas_toolbar##btnEdit]').rup_tooltip({
		content:{
			text:$.rup.i18n.app.editar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});	
	
	$('[id = tblplantillas_toolbar##btnDelete]').rup_tooltip({
		content:{
			text:$.rup.i18n.app.eliminar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});	
});

function pintarComboOrigen(){
	
	var list = new Array();				
	list[0]= {i18nCaption: $.rup.i18n.app.tablaMantenimientoPlantilla.expediente, value:ORIGENEXPEDIENTE};
	list[1]= {i18nCaption: $.rup.i18n.app.tablaMantenimientoPlantilla.procedimiento, value:ORIGENPROCEDIMIENTO};	
	//Transformo en JSON la lista
	$.toJSON(list);
	$("#comboOrigen").rup_combo({
		source : list,
		blank : "",
		width:"150"		
	});
}